v5.0.18 ( Sep 3, 2026 )
-----------------------------------
- **fix:** Displayed percentage-based subscription coupons (Sign Up Fee and Recurring) as percentages instead of currency amounts.
- **fix:** Enforced the subscription pack's allowed categories and gallery image limit whenever a product is saved, including in the new product editor and via the API.
- **fix:** Fixed WooCommerce 11.0.1 compatibility across CSV import, the coupon product search (GTIN), vendor order item meta, and booking line items.
- **fix:** Verified staff ownership across the Vendor Staff API so a vendor can only manage and delete their own staff members.

v5.0.17 ( Sep 1, 2026 )
-----------------------------------
- **new:** Added WP-CLI commands for license and module management, so `wp dokan license` and `wp dokan module` can drive provisioning scripts, CI and staging setup from the shell.
- **fix:** Stopped the old Dokan Shipping method from offering a rate for addresses outside the locations the vendor covers.
- **fix:** Applied the subscription pack's category restriction to vendor staff, so staff can no longer assign categories outside the vendor's allowance.
- **fix:** Fixed admin Subscriptions list pagination so page 2 and beyond show their own records instead of repeating page 1.
- **fix:** Showed a clear message on the vendor dashboard when Reports are disabled from the Menu Manager, replacing the misleading "Something went wrong" error.
- **fix:** Required quote ownership before customer-facing quote actions can change a quote's status.
- **fix:** Required quote ownership in vendor bulk quote actions, so a seller can no longer change another vendor's quote statuses.
- **fix:** Scoped the Rank Math capability bypass for vendor staff to their own vendor's products, preventing edits to other vendors' product SEO meta.

v5.0.16 ( Aug 25, 2026 )
-----------------------------------
- **fix:** Kept the Request for Quotation quote details page rendering when a quoted product has been deleted, skipping the removed line item.
- **fix:** Required login and quote ownership before a quote's status can be changed.
- **fix:** Prevented stored cross-site scripting in abuse reports by sanitizing and escaping the report description.

v5.0.15 ( Aug 21, 2026 )
-----------------------------------
- **update:** Guided vendors through verification when "Verified Only" selling is enabled, replacing the generic notice with clear next steps and a link to the verification page.
- **fix:** Linked quote-converted orders to their vendor so they appear in the vendor's Orders list, and split multi-vendor quotes into per-vendor sub-orders.
- **fix:** Rendered vendor verification method help text with its formatting on the React vendor dashboard, matching the legacy dashboard.
- **fix:** Made vendor verification method Edit and Delete controls always visible and fixed silent edit and delete failures.
- **fix:** Stopped the booking product list from showing a subscription limit notice while Product Subscription is disabled, and honored the vendor's selling status.

v5.0.14 ( Aug 19, 2026 )
-----------------------------------
- **new:** Added an "Allow ordering from non-connected sellers" setting to Stripe Express, holding the vendor's share for payout once they complete onboarding.
- **fix:** Fixed WordPress 7.1 compatibility for the Booking module stylesheet and the Dokan Shortcode block.

v5.0.13 ( Aug 17, 2026 )
-----------------------------------
- **fix:** Fixed WooCommerce block checkout blocking carts that contain only no-shipping products.
- **fix:** Made vendor shipping honor WooCommerce's "hide rates when free shipping is available" setting.
- **fix:** Patched a SQL injection in the RMA warranty-request listing by binding all filters with prepared statements.
- **fix:** Required plugin install and activate capabilities in the Dokan Lite installer AJAX handler.

v5.0.12 ( Aug 12, 2026 )
-----------------------------------
- **new:** Added a pending-ticket badge to the admin Vendor Support menu so open tickets are visible at a glance.
- **new:** Added Germanized EU compliance field support to the new vendor product editor so vendors no longer need the legacy form.
- **update:** Made Germanized order withdrawal multi-vendor aware so each vendor can confirm or reject the request for their own sub-order.
- **fix:** Fixed ShipStation order export failing for orders that contain fee line items.
- **fix:** Prevented partial refunds via Authorize.Net from being cancelled when approved by an admin.
- **fix:** Showed the "Auto" refund type label for payment gateway refunds instead of "Manual".
- **fix:** Restricted abuse-report management to marketplace administrators.
- **fix:** Patched a SQL injection in the RMA warranty conversation lookup by binding the request ID as an integer.

v5.0.11 ( Aug 10, 2026 )
-----------------------------------
- **update:** Bump version to 5.0.11.

v5.0.10 ( Aug 03, 2026 )
-----------------------------------
- **fix:** Fixed Apple Pay not opening inside the Stripe Express Payment Element on Safari.
- **fix:** Prevented stored cross-site scripting in the Geolocation map info windows by escaping vendor-supplied shop names, titles, and links.
- **fix:** Ensured product add-on groups can only be deleted by their owner.
- **fix:** Restricted the all-order-logs CSV export to marketplace administrators so vendor orders and earnings stay private.

v5.0.9 ( Jul 27, 2026 )
-----------------------------------
- **update:** Removed a duplicated copy of the Tailwind framework from admin and dashboard stylesheets for smaller, cleaner asset bundles.
- **fix:** Fixed repeat partial refunds failing on PayPal Marketplace orders by sending a unique invoice reference for each refund.
- **fix:** Prevented stored cross-site scripting in the Live Chat script by escaping the vendor shop name and email.
- **fix:** Ensured bookable persons can only be removed from the vendor's own booking products.

v5.0.8 ( Jul 21, 2026 )
-----------------------------------
- **new:** Added auction product support to the new vendor product editor so vendors can create and edit auctions without the legacy form.
- **update:** Showed the Stripe Express payment method in block checkout only when every vendor in the cart has completed onboarding.
- **fix:** Prevented duplicate order notes on single-vendor orders paid via Stripe Express.
- **fix:** Prevented stored cross-site scripting in the Booking module's Manage Bookings list by escaping customer names and emails.
- **fix:** Ensured Product Add-ons can only be edited by their owner.
- **fix:** Ensured MangoPay account signup, disconnection, and saved-card actions apply only to the vendor's own account.
- **fix:** Ensured vendors can only update or delete reviews on their own products.
- **fix:** Ensured auction products can only be edited by their owner.
- **fix:** Ensured ShipStation shipment notifications apply only to the vendor's own orders.

v5.0.7 ( Jul 14, 2026 )
-----------------------------------
- **new:** Added a "Clear Dokan Caches" tool on the admin Tools page so stale marketplace data can be refreshed in one click.
- **new:** Showed the staff member's name on the Manage Permissions page so vendors always know whose access they are editing.
- **update:** Hid Tax Status and Tax Class on the vendor product form when tax calculations are turned off, removing fields that had no effect.
- **fix:** Kept admin-only subscription packs fully hidden from vendors, including on the subscription page and at checkout.
- **fix:** Fixed a fatal error when generating a Credit Note while the Subscription module is active.
- **fix:** Hardened the Booking module so bookings and booking resources can only be viewed, changed, or deleted by their rightful owner.
- **fix:** Hardened vendor delivery time updates so they can only be saved against a vendor's own orders.
- **fix:** Patched a cross-site scripting vulnerability in the Elementor store template preview.

v5.0.6 ( Jun 26, 2026 )
-----------------------------------
- **fix:** Prevented stored XSS in the Live Chat (Tawk.to) module by escaping vendor Property and Widget IDs in the storefront chat script.
- **fix:** Improved seller-wise shipping package splitting when the WooCommerce cart is not yet ready.
- **fix:** Improved Commission API category handling so the product editor's earning preview stays accurate.
- **fix:** Ensured vendor's own draft and hidden products remain visible in the new dashboard product list when the Request for Quotation module is active.
- **fix:** Refined the admin Product Q&A table column widths for a clearer, more consistent layout.

v5.0.5 ( Jun 19, 2026 )
-----------------------------------
- **new:** Added store pickup support to Delivery Time on block checkout, excluding shipping charges for pickup vendors with live order total updates.
- **update:** Migrated admin dashboard list tables to the unified DataViews experience for consistent tabs, filters, search, and actions.
- **update:** Added a "Search by Author" filter to the vendor dashboard reviews page.
- **fix:** Patched SQL injection via the latitude and longitude parameters in the geolocation query.
- **fix:** Patched SQL injection via the orderby parameter in the Request for Quotation list query.
- **fix:** Fixed a vendor-staff privilege escalation in the update_capabilities REST endpoint.
- **fix:** Prevented Stripe Express transfers from exceeding the charge amount when admin coupons are applied.
- **fix:** Enforced the subscription product limit during bulk edit on the vendor dashboard.
- **fix:** Loaded AI image enhancer assets on the new vendor dashboard layout product and auction pages.
- **fix:** Corrected the free shipping "Only X away" notice to show only when free shipping is actually available on classic checkout.
- **fix:** Lazy-loaded product editor taxonomies to prevent memory exhaustion on stores with large catalogues.

v5.0.4 ( Jun 12, 2026 )
-----------------------------------
- **fix:** Fixed the empty Rank Math SEO panel in the new product editor when Rank Math bundles a newer CMB2 version.
- **fix:** Fixed untranslated subscription limit notices on the vendor dashboard product listing page.

v5.0.3 ( Jun 08, 2026 )
-----------------------------------
- **new:** Added Product Add-ons support to the new vendor product editor so vendors can manage add-ons without legacy editor.
- **new:** Added a Rank Math SEO section to the new product editor with the full Rank Math metabox UI.
- **new:** Added vendor-specific coupons analytics data on the vendor report analytics.
- **fix:** Adjusted the RTL switcher translation for improved layout consistency.

v5.0.2 ( May 21, 2026 )
-----------------------------------
- **update:** Loaded AI image enhancer assets in the product editor only when AI image/text features are enabled.
- **fix:** Resolved vendor inbox chat layout and height inconsistencies for a responsive, viewport-aware UI.
- **fix:** Fixed untranslated Quick Edit, Duplicate, and Advertise strings on the vendor dashboard products page.

v5.0.1 ( May 18, 2026 )
-----------------------------------
- **new:** Added Paystack support on the order-pay endpoint with transaction verification to reuse existing payments.
- **new:** Added search and sortable Priority column to the Product Add-ons admin list.
- **update:** Honored the "Enable Selling — Verified Only" setting during subscription purchase and staff account creation.
- **update:** Hide customer-identifying details in vendor order views and emails based on admin settings.
- **fix:** Surfaced proper validation errors on Stripe Express checkout and stopped processing on failure.
- **fix:** Prevented the Add Shipping Method dropdown from clipping inside the shipping modal.
- **fix:** Showed manual order address modal warnings as inline alerts instead of transient toasts.
- **fix:** Restored bullet point styling in vendor subscription pack details.
- **fix:** Corrected Payment Methods menu visibility on the customer dashboard.
- **fix:** Resolved malformed HTML and missing data in RMA and conversation notification emails.
- **fix:** Corrected the 404 documentation URL for the Product Form Manager module.
- **fix:** Resolved vendor verification upload failure on the seller setup wizard's Verifications step.
- **fix:** Pointed the What's New admin notice "View Details" CTA to the correct changelog page.

v5.0.0 ( Apr 28, 2026 )
-----------------------------------
- **new:** Introduced the Product Form Customization module to control vendor product form fields and layout.
- **new:** Re-engineered the ShipStation vendor dashboard with a React-based interface.
- **new:** Implemented the Admin RFQ (Request for Quote) pages with the new admin frontend.
- **new:** Implemented the Admin Reports page with the new React frontend.
- **new:** Introduced a brand-new Admin Earnings panel under Admin Reports.
- **new:** Added an iframe-based support ticket modal and integrated it with the Pro support button.
- **new:** Migrated the vendor dashboard Booking page list tables (3 tables) to React with Plugin UI.
- **new:** Migrated the Auction page list tables (3 tables, admin and vendor dashboard) to React with Plugin UI.
- **new:** Migrated the User Subscriptions page list table to React with Plugin UI.
- **new:** Migrated the Request Quotes (RFQ) page list table to React with Plugin UI.
- **new:** Migrated the Coupons page list tables (2 tables) to React with Plugin UI.
- **new:** Migrated the Reports - Statement page list table to React with Plugin UI.
- **new:** Migrated the Reviews page list table to React with Plugin UI.
- **new:** Migrated the Seller Badge page list table to React with Plugin UI.
- **new:** Migrated the Product Q&A page list table to React with Plugin UI.
- **new:** Migrated the Return Requests (RMA) page list table to React with Plugin UI.
- **new:** Migrated the Seller Staff page list table to React with Plugin UI.
- **new:** Migrated the Store Followers page list table to React with Plugin UI.
- **new:** Migrated the Vendor Subscription page list table to React with Plugin UI.
- **new:** Migrated the Store Stats page list table to React with Plugin UI.
- **new:** Migrated the Admin Support page list table to React with Plugin UI.
- **new:** Migrated the Support Tickets page list table to React with Plugin UI.
- **new:** Migrated the Settings - Product Add-ons page list table to React with Plugin UI.
- **new:** Migrated the Settings - Shipping page list tables (2 tables) to React with Plugin UI.
- **update:** Migrated Dokan UI to Tailwind CSS v4 with a consolidated shared component bundle.
- **update:** Refreshed the Vendor Announcement panel UX, including the modal "View" URL.
- **update:** Refactored the product editor namespace and assets for better maintainability.
- **update:** Updated the request quote back-link URL and Add-ons table column width.
- **update:** Updated the subscription URL on the page notice and the subscription duplicate action logic.
- **update:** Added control over vendor staff access to Delivery Time menus via dedicated permission capabilities in the Manage Permissions panel.
- **fix:** Resolved the admin earnings filtering context mismatch.
- **fix:** Resolved the ShipStation vendor connection by adding vendor-scoped REST endpoints for diagnostics, inventory, and orders.
- **fix:** Resolved Product Q&A delete action and modal display issues.
- **fix:** Corrected the brand filter, Store Stats active menu, and Product Q&A table interactions.
- **fix:** Resolved Store Stats UI inconsistencies on the vendor dashboard.
- **fix:** Resolved the undefined array key 'include-hidden-product' notice on the admin product list.
- **fix:** Added the missing title field on the Request Quotes form.
- **fix:** Resolved Stripe Express checkout shipping method update failure for Apple Pay.

v4.3.3 ( Apr 03, 2026 )
-----------------------------------
- **fix:** Resolve Stripe Express vendor payment disbursement not executing independently for completed suborders in multi-vendor orders.

v4.3.2 ( Mar 31, 2026 )
-----------------------------------
- **update:** Provide vendor delivery time configuration and available slot data via Store API for cart and checkout.
- **update:** Return order-specific delivery information instead of vendor configuration in the shop order REST API response.
- **update:** Improve mobile responsiveness for the manual order creation page in vendor dashboard.
- **update:** Add REST support to allow vendors to update order delivery time information.
- **update:** Apply quote page redirection link to quote restriction error notice for better navigation.
- **update:** Introduce hooks and slots for vendor subscription pack list template customization.
- **fix:** Resolve admin subscription page calling incorrect API endpoint when vendor subscription is disabled from settings.
- **fix:** Stripe Express onboarding country not updating based on vendor store location changes.
- **fix:** Resolve untranslated strings on vendor dashboard Reports Stock screen.
- **fix:** Standardize unlimited values across Dokan Subscription product settings fields for pack validity.
- **fix:** Resolve translation not loading for vendor dashboard Store Support menu.

v4.3.1 ( Mar 06, 2026 )
-----------------------------------
- **update:** Prevent incorrect product count and subscription limit enforcement during CSV import.
- **update:** Stripe Express payout delay for suborders to process vendor payments independently upon individual suborder completion.
- **update:** Update Razorpay SDK to resolve dependency conflicts.
- **fix:** Handle input sanitization and output escaping to prevent vulnerability.
- **fix:** Handle product dropdown in the Advertisement modal to correctly fetch vendor-specific products.
- **fix:** Handle percentage discount display for vendor-created coupons to correctly show as percentage instead of fixed amount.
- **fix:** Dokan PayPal Marketplace payment gateway not appearing during product Advertisement checkout.

v4.3.0 ( Feb 25, 2026 )
-----------------------------------
- **new:** Add Block Checkout integration for Stripe Express payments.
- **new:** Implemented unified payment token handling across checkout modes and enabled multiple card support configurable from the Stripe Express dashboard.
- **update:** Refactor Dokan CAPTCHA service and add CAPTCHA support to the Store Support login popup.
- **update:** Improve Stripe Express gateway settings with clearer test environment options (Live/Test/Sandbox).
- **update:** Enhance subscription/recurring payment handling during checkout.
- **fix:** Resolve incorrect coupon error message when a vendor coupon is used with admin products.
- **fix:** Ensure User Subscription renew correctly when Dokan is enabled.
- **fix:** Prevent Stripe Express webhook timestamp type mismatch issue.
- **fix:** Ensure jQuery BlockUI and TipTip script handlers load correctly.
- **fix:** Stripe Express connection check to require both charges and payouts to be enabled.

v4.2.4 ( Jan 30, 2026 )
-----------------------------------
- **update:** Apply updated DokanModal support to vendor support tickets.
- **update:** Apply REST API restrictions on manual order availability for vendors and vendor staff.
- **update:** Display trial period details on vendor subscription screens.
- **update:** Show current billing period start and end dates for recurring subscriptions.
- **fix:** Incorrect API key field for Dokan Stripe Sandbox and Test mode selection.
- **fix:** Improve default table interactions in Dokan admin.
- **fix:** Show unread live chat message count in the vendor dashboard inbox.
- **fix:** Prevent PHP warning for missing payment key in custom withdrawal methods.
- **fix:** Improve Dokan AI Image Enhancer service to prevent enhancer error.

v4.2.3 ( Jan 14, 2026 )
-----------------------------------
- **fix:** Resolve vendor staff failed to load product advertisement for due to ownership validation.
- **fix:** PHP 8.2 deprecation warnings in Store Support module.
- **fix:** Handle vendor verification OAuth redirection.
- **fix:** Resolve Dokan Rank Math module was broken due to the use of a legacy Rank Math namespace.
- **fix:** Vendor Support modules ticket ID and title not clickable in mobile view.
- **fix:** Resolve multiple PHP 8.2 compatibility warnings to ensure more stable operation.
- **fix:** Resolve Product QA visibility issues for improve vendor staff REST API responses.
- **fix:** Social profile inputs UI inconsistencies for bold border.
- **fix:** Resolve cancelled subscriptions incorrectly showing as valid for unlimited time.
- **fix:** Resolve UI inconsistencies when adding product add-on fields from the Vendor Dashboard.

v4.2.2 ( Dec 30, 2025 )
-----------------------------------
- **new:** Razorpay Payment Gateway now supports subscriptions, including Vendor Subscriptions, Simple Subscriptions and Reverse Withdrawal.
- **update:** Added email notification to customers when vendors update RMA request status.
- **update:** Enhanced Product Q&A admin with a modern UI for a better user experience.
- **update:** Admin setting added for booking product to enable or disable delivery time in checkout.
- **update:** Hide delivery time option for booking product in checkout based on admin setting.
- **update:** Support new YouTube URL format in vendor social profiles.
- **fix:** Translate properly the cancelled refund email text.
- **fix:** Added strict validation and content scanning to prevent malicious file uploads in the Export/Import module.
- **fix:** Hardened the file deletion process to prevent unauthorized removal of server files via the Export/Import module.
- **fix:** Enhanced security for document uploads in the Mangopay module with stricter file validation.
- **fix:** Updated delivery calendar behavior when vendors have no available delivery days.
- **fix:** Improved chat and support message formatting: preserved line breaks, switched chat text blocks to block flow, and standardized paragraph spacing across desktop and mobile.
- **fix:** Store Support Ticket list totals now reflect the active filter (Open / Closed / All), showing accurate counts per tab.
- **fix:** Store Support ticket reply emails now respect topic-level notification settings; replies are skipped when notifications for that topic are turned off to avoid unwanted emails.
- **fix:** Resolved an issue where Table Rates screen in the vendor dashboard, the dropdowns for "Shipping class" and "Condition" do not work properly in the new UI.

v4.2.1 ( Dec 04, 2025 )
-----------------------------------
- **new:** Added options to the "Filter by Order Type" dropdown to filter by Product Advertisement and Subscription orders.
- **update:** Added compatibility to correctly display admin-configured banner dimensions in the admin vendor settings.
- **update:** Removed the XML import/export options from the Vendor Dashboard as following of WooCommerce similarity.
- **update:** Modernized the Admin's Store Support page interface (UI), making it simpler to manage vendor issues.
- **update:** Enhanced the RMA API by adding eligibility flags in order responses for easier return or warranty actions.
- **update:** Added a new API endpoint to fetch RMA details like types, reasons, and warranty information.
- **update:** Added a new API endpoint to submit new RMA requests (with product, type, reason, and notes selection).
- **update:** Removed the Wirecard payment gateway from Dokan.
- **update:** Added Store Support API points for customers to create support tickets directly to vendors.
- **update:** Added an API point for customers to view their existing support tickets.
- **update:** Added a vendor API point for responding to customer tickets.
- **fix:** Resolved an issue where failed transactions (like insufficient funds) left bookings in `unpaid` status, incorrectly showing the resource as unavailable for future attempts.
- **fix:** Corrected how the subscription product name displays on the vendor's single-page subscription information.
- **fix:** Fixed inconsistencies in Vendor delivery time settings and calendar page permissions.
- **fix:** Corrected the default toggle switch states when creating a new vendor.
- **fix:** Added compatibility support for including product variations in manual order requests.
- **fix:** Prevented a deprecation warning from appearing in the Vendor Support module.
- **fix:** Prevented a deprecation warning from appearing in the Booking module.
- **fix:** Fixed an issue preventing the admin from uploading the WooCommerce product featured image for Dokan modules.
- **fix:** Resolved an issue where the Elementor modal was not working correctly for Dokan Pro availability settings.

v4.2.0 ( Nov 24, 2025 )
-----------------------------------
- **new:** Vendors can now add their TikTok profile in their social settings to connect with more customers.
- **new:** Introduced a weekly email digest for "New Product Added" notifications, reducing email clutter by sending customers a single, clean summary of updates from their followed stores.
- **update:** Redesigned the Admin's Abuse Report page for a cleaner and more intuitive user experience.
- **update:** Modernized the Admin's Subscription List page, making it faster and easier to manage subscriptions.
- **update:** Updated the Announcements section in the Admin Panel with a fresh, user-friendly layout.
- **update:** Redesigned the Wholesale management section in the Admin Panel for improved usability.
- **update:** Improved the Product Advertisement section in the Admin Panel with a modern and intuitive design.
- **update:** Revamped the Admin's Refunds page with a modern UI for a smoother workflow.
- **update:** Upgraded the Seller Badge management pages (list, create, and edit) with a modern design for an improved user experience.
- **update:** Modernized the Vendor Store Categories UI in the Admin Dashboard for better navigation and management.
- **update:** Redesigned the License page UI in the Admin Dashboard for enhanced clarity and ease of use.
- **update:** Integrated RMA (Return Merchandise Authorization) data with the WooCommerce Store API for better developer access.
- **update:** Ensured full compatibility for Pro features with the new vendor full-width dashboard layout.
- **update:** Strengthened security by adding authorization checks to the wholesale customer registration process as a security patch.
- **fix:** Fixed a map rendering issue in Live Search results when the 'Replace Current Content' option was enabled.
- **fix:** Resolved an issue where the 'Place Order' button appeared incorrectly while the PayPal Smart Button was loading.

v4.1.4 ( Nov 12, 2025 )
-----------------------------------
- **new:** Vendors can now set an order preparation "buffer time" in hours for more precise delivery scheduling.
- **update:** Redesigned the Admin's Vendor Verification page with a modern look, making it easier and faster to manage new vendor applications.
- **update:** The Vendor Support module is now available on all subscription plans, allowing more vendors to connect directly with admin for any problem.
- **update:** Wrapped the store review title and content fields with `Tooltip` to display the full text on hover. Improved text wrapping and line clamping for better readability and user experience.
- **fix:** Improved the layout and button consistency on the manual order creation pop-up for a more intuitive experience.
- **fix:** Resolved an issue where renewal orders were not being created correctly for vendor subscriptions, ensuring billing cycles now process reliably.
- **fix:** Vendors can now successfully purchase product advertisements even if the admin has not connected their Stripe account.
- **fix:** Corrected an issue where images were not displaying correctly in the "Image" choice type for Product Add-ons.
- **fix:** The "Full day" option in the store time settings now works correctly, ensuring accurate store availability.
- **fix:** The vendor dashboard now displays the correct subscription status message after changing plans.
- **fix:** All Products" option is now displayed correctly when editing Product Add-ons.
- **fix:** Resolved an issue that prevented admins from uploading product images while Dokan Pro was active.

v4.1.3 ( Oct 28, 2025 )
-----------------------------------
- **new:** Redesigned the Store Reviews section in the Admin Panel for a more intuitive and user-friendly layout.
- **new:** Redesigned the distance rate shipping with modern UI for a better user experience.
- **update:** Load login modal on the single store page when a guest user clicks on the 'Chat Now' button
- **update:** Admin Dashboard vendor list UI with Modern Design and Improved User Experience.
- **fix:** Updating a coupon’s description now also updates legacy content fields for better integration and display compatibility.
- **fix:** 0% discount is no longer flagged as an error when free shipping is enabled on vendor coupons.
- **fix:** Enable status selection for warranty request based on current status

v4.1.2 ( Oct 16, 2025 )
-----------------------------------
- **new:** Introduced Vendor Support Module to establish a dedicated, centralized system for Vendor-to-Admin communication, issue discussion and track via ticket system.
- **new:** Added Auction Anti-Sniping functionality with configurable time extension settings, accessible directly from the Vendor Dashboard for improved auction fairness.
- **fix:** Resolved an issue ensuring that Admin-only subscription packages remain correctly hidden from the vendor dashboard when the WooCommerce Simple Auctions plugin is active.
- **fix:** Corrected a problem where booking products were not properly displayed for selection on the coupon creation/update forms within the vendor dashboard.

v4.1.1 ( Oct 09, 2025 )
-----------------------------------

- **feat:** Introduced Dokan Paystack, a dedicated payment gateway designed to unlock the African market by enabling seamless customer payments, automated commission handling, and direct vendor withdrawals.
- **feat:** Store the gateway fee in the dokan_vendor_balance table as a debit entry, with the gateway provider reference.
- **feat:** Redesigned Store Support interface using React for real-time updates, advanced filtering (customer, date range, keyword), and improved performance. Replaced full page reloads with a responsive, modern user experience.
- **update:** Capture PayPal standard button payment on order processed.
- **fix:** Display the vendor gateway fee in the vendor dashboard report statement
- **fix:** Correctly calculate the vendor balance after a refund, considering the gateway fee.

v4.1.0 ( Sep 30, 2025 )
-----------------------------------

- **feat:** AI-powered Product Image Enhancement for Vendors with AI Engines such as Gemini (Supported Model: 2.5 Flash Image aka Nano Banana) and BRIA AI (Supported Model: BRIA 2.3 Image-Prompt).
- **update:** Razorpay vendor registration to use v2 API with enhanced address validation.
- **fix:** Automatically update product geolocation data when vendor store location changes.

v4.0.10 ( Sep 26, 2025 )
-----------------------------------

- **feat:** Added order fee details and refund support to Logs API and Reports UI.
- **update:** Enhanced Delivery Time with modern UI for a better user experience.
- **update:** Added Order reference ID on Admin support ticket list table and ticket details page.
- **update:** Add a user-friendly message for duplicate comment when admin replays in a ticket.
- **update:** Filter reset option on Vendor dashboard and Admin dashboard support tickets list table.
- **update:** Added options 'Mark as read' and 'Mark as unread' on admin support ticket bulk action.
- **update:** Added Order reference ID on Vendor support ticket list table.
- **update:** Vendor Subscription exclusive for admin only support added.
- **update**: Conditionally hide the commission details in product listing, order listing, order details page for Dokan subscription product and Dokan advertisement product.
- **update:** Fixed coupon validation to correctly apply discounts when products or their parent variations are explicitly included, ensuring consistent eligibility across vendor rules.
- **fix:** Vendor shipping placeholder costs not being supported in the updated Dashboard.
- **fix:** enhance withdraw schedule handling and improve data safety.
- **fix:** Fix Dashboard and Report page header title and apply filters.
- **fix:** generate and apply coupons for bulk discounts when cart item quantities are updated.
- **fix:** ensure bulk discount coupons apply consistently across both blocks and classic cart pages.
- **fix:** Explicitly define nullable parameter types in `Customer::map_data()` for PHP 8.4 compatibility.
- **fix:** Currency always showing USD in vendor panel dashboard and report section.
- **fix:** Store opening and closing times were not saving correctly when the site language was not English.
- **fix:** PHP 8.4 deprecation warnings in Stripe Express checkout flow.
- **fix:** Explicitly define nullable parameter types in `Payment::generate_data()` for PHP 8.4 compatibility.
- **fix:** Subscription cancellation shows error message despite successful cancellation.
- **fix:** Corrected coupon "Minimum Amount" field to properly save values with localized decimal separators.
- **fix:** ArgumentCountError in bulk edit product brands by ensuring correct argument count for the action hook.
- **fix:** prevent payment processing conflicts in guest checkout by temporarily disabling locking mechanism.
- **fix:** Fixed admin commission for recurring vendor subscriptions when paid via Stripe Express.

v4.0.9 ( Sep 16, 2025 )
-----------------------------------
- **fix:** Resolved an issue where Elementor Pro version 3.32.0 creates error.

v4.0.8 ( Sep 12, 2025 )
-----------------------------------
- **update:** Add dynamic social profile fields with URL validation and improved UI.
- **update:** Improve error message for unsupported vendor country in Dokan PayPal Marketplace setup.
- **update:** Rank Math SEO section is now supported on vendor dashboard product forms for Booking and Auction products.
- **update:** Move subscription email settings to WooCommerce for better consistency.
- **fix:** Prevent potential errors for manual order actions controller.
- **fix:** Resolve store subscription settings typo error in current subscription header.
- **fix:** Use standardize ui classes for product addon image buttons.
- **fix:** Add support for decimal-less currencies in PayPal integration.
- **fix:** Update shipping zone link to conditionally navigate to old settings page.
- **fix:** Resolve test email functionality error for subscription cancelled notification template.

v4.0.7 ( Sep 03, 2025 )
-----------------------------------
- **update:** Updated the user interface of the vendor dashboard Product Review page.
- **update:** Added an option in gateway settings to disconnect all connected vendors when MangoPay credentials are changed.
- **update:** Updated the user interface of the vendor dashboard Product Q&A page.
- **update:** Added translation support for analytics report scripts to improve internationalization (i18n).
- **update:** Enabled script translations for the Table Rate Shipping module in the vendor dashboard app.
- **fix:** The commission meta box will now be hidden for orders that include product advertisements.
- **fix:** Resolved fatal error in abuse report admin email by removing unnecessary timestamp conversion.
- **fix:** Resolved broken order links in vendor dashboard reports that were redirecting to incorrect or non-existent order detail pages.
- **fix:** Adjusted zero amount order handling in Stripe Connect payment processing.
- **fix:** Enforced ownership validation when updating vendor staff so only the current vendor can modify their own staff records.

v4.0.6 ( Aug 06, 2025 )
-----------------------------------
- **new:** Added sandbox mode and enhanced integration support in Dokan Stripe Express.
- **update:** Simplified FreeShippingHandler class by removing unnecessary conditions and redundant code to improve maintainability and code clarity.
- **update:** Subscription alert message styling for better visual alignment.
- **update:** Added auto synchronization between include and exclude product selectors in coupon admin to prevent product overlap during selection.
- **update:** Added required field indicators for required methods in Vendor Verification Setup Wizard.
- **update:** Enhanced MangoPay gateway validation to handle "Pay for Order" scenarios with account eligibility checks.
- **update:** Added functionality to dismiss profile progress bar and store user preference for a day.
- **update:** Enhanced Advertisement slot controls for Vendor Subscriptions.
- **fix:** Resolved an issue where the admin can not change the product meta tab in the product create edit screen when dokan booking module is activated.
- **fix:** Resolved privilege escalation vulnerability in staff password reset by enforcing proper user identity validation.
- **fix:** Allow vendors to add unlimited products without an active subscription.
- **fix:** Fixed order fee line item display issues including column data alignment and currency symbol positioning in order edit page.
- **fix:** Coupon validation logic to require both vendor invalidity and product exclusion for a coupon to be marked invalid.

v4.0.5 ( Jul 18, 2025 )
-----------------------------------
- **update:** Enhanced vendor verification with a modern UI for a better user experience.
- **update:** Enhanced display of verification statuses, notes, documents, and seller address.
- **update:** Added phone verification logic with OTP resend timers and input masking.
- **update:** Improved social profile connection management with connect/disconnect actions.
- **update:** Marked legacy product brand management features as deprecated in favor of WooCommerce native brands, with guidance for migration.
- **fix:** Improved refund handling by preventing automatic refunds when the seller is not connected to Stripe Express.
- **fix:** Fixed delivery time duplicate entry when place an order.
- **fix:** Improved the display of recurring payment intervals in subscription pricing, ensuring intervals are shown with the correct number and period type for greater clarity and localization.
- **fix:** Improved error messages for payment capture failures, ensuring clearer and more specific information is displayed to users when issues occur.
- **fix:** Improved the reliability and accuracy of subscription expiry alerts by enhancing date handling and error management.
- **fix:** Improved coupon tracking during vendor subscription checkout, ensuring that changes to applied coupons are detected and handled efficiently.
- **fix:** Resolved unable to purchase a new vendor subscription with trail by stripe express.

v4.0.4 ( Jul 03, 2025 )
-----------------------------------
- **update**: Enhanced social profile with a modern UI for a better user experience.
- **update**: Improved UI of subscription pack listing on vendor dashboard.
- **fix**: Resolved an issue where description and short-description contents were missing from the vendor dashboard subscription pack listing.
- **fix:** Fixed an issue where Line item & Item subtotal price shows 0 in recurring vendor subscription renewal order.
- **fix:** Fixed an issue where Multiple meta fields do not get saved when creating a product via dokan REST API.
- **fix:** Ensured item subtotals in PayPal Marketplace orders match the declared total, reducing the risk of calculation discrepancies.
- **fix**: Fixed date format inconsistency of store reviews in the single store page.
- **fix**: Improved error handling during subscription creation and updates, ensuring smoother recovery from errors and more reliable subscription management.
- **fix:** Improved handling of cost values for person types in bookings to ensure prices are stored and processed as numbers.
- **fix:** Improved handling of payment data to prevent errors when updating Stripe Express status for sellers.
- **fix:** Improved coupon validation to more accurately check vendor eligibility, ensuring coupons are only valid for the correct vendors and authors.
- **fix:** Improved handling of missing social profile fields, ensuring more accurate detection and display of incomplete profiles.
- **fix**: Shipping fee displaying correctly for multiple zone based shipping.
- **fix**: Corrected an issue where shipping tax was missing from vendor suborders when using Vendor Table Rate Shipping.
- **fix**: Improved display of vendor information to ensure an empty value is shown if vendor details are missing.

v4.0.3 ( Jun 03, 2025 )
-----------------------------------
- **update:** Add low and out of stock filtering options for vendor products page.
- **update:** Update enable selling status for new vendor as `Automatically` and `Manually'.
- **update**: Update SAPO tracking option from shipping methods.
- **update**: Enhanced Order REST API Response with Shipment Tracking Information.
- **update:** Added input mask validation support for quote amount fields in the RFQ quote listing section of the admin dashboard, making input fields more intuitive and consistent.
- **fix:** Resolved an issue where updated shipping cost values in quote requests were being converted to integers, ensuring float values are now preserved.
- **fix:** Resolved deprecated warnings from razorpay sdk.
- **fix:** Fixed fatal error that occurred when attempting to pay via PayPal Marketplace from the "Pay for order" page when the order doesn't exist or is invalid.
- **fix:** Fixed incorrect payment amount calculation in Stripe Express gateway.
- **fix:** Refund calculation to include vendor stripe express gateway fee adjustments.
- **fix**: Resolve an issue where incorrect product moderation link in pending product email notification was being sent.
- **fix:** Enhanced Geolocation Filter Category Dropdown.

v4.0.2 ( May 16, 2025 )
-----------------------------------
- **update:** Introduced vendor subscription page on vendor dashboard for admin.
- **update:** Refactored SQL Queries in V3.12.6 upgrader to improve performance.
- **fix:** Resolved an issue where Printful connect admin settings help page was redirecting to a wrong URL.
- **fix:** Resolved an issue where subscription footer contents were appearing on all type of order invoices.
- **fix:** Resolved an issue of delivery time slot validation to respect selection requirement setting for classic checkout.
- **fix:** Resolved an issue where a fatal error occurred at the time of loading Dokan_Staff_Password_Update class.
- **fix:** Resolved an issue where shipment tracking email was not triggering when shipment notification settings were enabled.

v4.0.1 ( May 08, 2025 )
-----------------------------------
- **fix:** Product subscription css conflict with WordPress admin styles.
- **fix:** Resolve an PayPal Marketplace vendor connection issue.
- **fix:** Resolve issue on refresh setup showing php warning from PayPal Marketplace block.
- **fix:** Resolve issue where gateway fee does not reflect in reports log according to processing fee settings.
- **fix:** Resolved store category settings unavailability and store listing page broken issue.

v4.0.0 ( May 06, 2025 )
-----------------------------------
- **new:** Bulk editing, supports import/export of products with brand data
- **new:** Introduced new "Create order by vendor" feature for streamlined order management
- **new:** Introduce vendor reports integrating with WooCommerce analytics system.
- **new:** Introduced vendor-specific analytics filter for the WooCommerce Analytics dashboard.
- **update:** Enhanced vendor staff with modern UI for a better user experience
- **update:** Enhanced announcement with modern UI for a better user experience
- **update:** Enhanced store SEO with modern UI for better user experience
- **update:** Messenger integration was removed from the Live Chat module due to deprecation and simplification of supported channels.
- **update:** Set 'Purple Pulse' as the new default color theme
- **update:** Enhanced requests list and single page at vendor panel of RMA Module with modern UI for a better user experience
- **update:** Enhanced button and link colors based on color customizer module settings for greater theme consistency
- **update:** Improved coupon validation process with more robust error handling
- **update:** Completely redesigned the vendor subscription module's frontend dashboard interface using ReactJS for improved performance and user experience
- **update:** Implemented skeleton loading screens for subscription-related pages, including current subscriptions, available packages, and order listing interfaces to improve perceived loading performance
- **update:** Introduced comprehensive API endpoints enabling vendors to manage their subscriptions, view available packages, and access order history through programmatic methods
- **update:** Completely UI redesigned Product Subscription module with improved performance and user experience
- **update:** Reimplemented subscription management interface with modern React components
- **update:** Enhanced subscription list view with better data organization and filtering capabilities
- **update:** Upgraded withdraw schedule system with enhanced UI and functionality
- **update:** Standardized components throughout subscription and withdraw schedule interfaces
- **update:** Enhanced vendor coupon with modern UI for a better user experience
- **update:** Rename "Vendor Analytics" Module to "Store Stats"
- **update:** Re-engineered vendor shipping with enhanced user interface and performance.
- **update:** Re-engineered table rate shipping module with enhanced user interface and performance.
- **fix:** Resolved an issue where Paypal and Stripe were missing on user subscription product checkout

v3.16.2 ( Mar 14, 2025 )
-----------------------------------
- **update:** Dokan now displays prices based on the decimal points setup in WooCommerce.
- **update:** Added Product Q&A vendor question filtering option.
- **update:** Added charge and receivable amount in withdraw email templates.
- **fix:** Resolved an issue where Apple Pay/Google Pay Total Amount Display in Stripe Express.
- **fix:** Resolved an issue when disburse payment to multi vendor with Paypal marketplace.
- **fix:** Fixed an issue where metadata was not populating for vendor subscription renewal orders via Stripe Express.
- **fix:** Fixed an issue where vendor cannot revoke ShipStation credential from vendor settings if admin deletes credential from the backend.

v3.16.1 ( Feb 28, 2025 )
-----------------------------------
- **update:** Add vendor biography REST support for vendor stores.
- **update:** Args are added on vendor-staff API endpoints.
- **fix:** WP Coding standard issue in Stripe Guest Customer Processing.
- **fix:** PHP Warnings in Geolocation Widget Filters.
- **fix:** Multiple Usability Issues in Product Rejection Feature.
- **fix:** Early return if the post is null or not a WP_Post instance in product rejection.
- **fix:** Tag listing issue for Booking & Auction products.
- **fix:** Add translated content for seller badge list table info text.
- **fix:** Add translated content for seller badge list table info text.
- **fix:** Resolved store location pin drifts away on the store listing page map when zooming out.
- **fix:** Store times widget UI compatibility issue with Elementor single store template.
- **fix:** Bulk editing product data no longer resets min-max values.
- **fix:** Update delivery time email template translation handling.
- **fix:** Booking calendar now correctly redirects to the booking detail page.
- **fix:** Payment Splitting in PayPal Marketplace.
- **fix:** Resolved an issue Mangopay Checkout Blocks Integration scripts not resolved for admin context

v3.16.0 ( Feb 12, 2025 )
-----------------------------------
- **new:** Pending product rejection for admin.
- **update:** Vendor vacation store wide notice, biography text translation support added.
- **update:** 'Information deleted from order' indication added in vendor panel and customer my account page.
- **update:** Vendor subscription commission settings sync to vendor settings in purchase with Stripe Connect.
- **update:** Vendor store url additional endpoint support added for reviews and biography.
- **fix:** Fixed unwanted live chat popup behaviour when it closed by customer.
- **fix:** Fixed commission settings save and update functionality for auction product.
- **fix:** Vendor subscription product commission setting.
- **fix:** Vendor was redirected to My Account page instead of Vendor Dashboard after email verification.
- **fix:** Fixed an issue where Products advertisement does not display to the cart properly when it's added from the products edit page.
- **fix:** Fixed an issue where Mapbox map zooming not behaving properly for multiple stores or products with same address.
- **fix:** Resolve an error on the vendor verification widget on Elementor.
- **fix:** Fixed an issue where the vendor shipping methods are not using tax settings correctly.

v3.15.0 ( Jan 20, 2025 )
-----------------------------------
- **update:** WooCommerce Cart and Checkout Block support added for general features.
- **update:** WooCommerce Cart and Checkout Block support added for Paypal Marketplace.
- **update:** WooCommerce Cart and Checkout Block support added for Razorpay.
- **update:** WooCommerce Cart and Checkout Block support added for Mangopay.

v3.14.5 ( Jan 09, 2025 )
-----------------------------------
- **fix:** Vendor subscription order amount data type.
- **fix:** Translations on Modules, Announcement, and Refund Controller pages were not working due to wrong text-domains.
- **fix:** Store Data support on single store page Elementor template.

v3.14.4 ( Jan 06, 2025 )
-----------------------------------
- **update:** Improved and restructured ShipStation integration implementation
- **fix:** Fixed an issue preventing vendors from connecting their ShipStation accounts through the vendor dashboard.
- **fix:** Fixed UI issues in Dokan reports and logs table.
- **fix:** Fixed visibility issues with auction virtual product form fields
- **fix:** Fixed translation issues with seller badge page using wp-i18n
- **fix:** Fixed translation issues in Dokan RFQ (Request for Quote) module

v3.14.3 ( Jan 01, 2025 )
-----------------------------------
- **fix:** Fixed a critical error while rendering Prinful shipment items for non-existent products in admin order details page.
- **fix:** Fixed an error where Elementor widget section keeps loading infinitely while admin try to edit any page with elementor editor.
- **fix:** Fixed Invalid order ID error on adding booking product by vendor to any existing order.
- **fix:** Fixed an issue where vendors received "Invalid order ID" error when adding booking products to existing orders.

v3.14.2 ( Dec 27, 2024 )
-----------------------------------
- **fix:** Enhanced product vendor information display on single product pages.
- **fix:** Optimized integration with Rank Math SEO plugin for better performance.
- **fix:** Updated plugin compatibility with YITH WC Brands add-on.
- **fix:** Subscription module activation failed on register new page with shortcode.

v3.14.1 ( Dec 11, 2024 )
-----------------------------------
- **new:** Mixed Checkout Support for WooCommerce Subscriptions with Stripe Connect added.
- **update:** Vendor verification module compatibility added for seller badge module
- **fix:** Delivery time default date to use website timezone.
    The delivery time module now correctly uses the website's configured timezone for the default date, instead of relying on the user's device timezone. This ensures consistency in delivery date selections across different user devices and locations.
- **fix:** Vendors unable to add advertising products to the cart.
- **fix:** Fixed a javascript error that occurred when a vendor's store location coordinates is invalid for Mapbox.
- **fix:** Fixed Product QA creation time translation support.
- **fix:** Fixed Verification Method translation support in verification email template.
- **fix:** Fixed an issue of invalid Product ID Error Handling for booking and auction module.
- **fix:** Added translation support for Rank Math module contents in dokan vendor dashboard.
- **fix:** Fixed an issue where Order Discount & Product Quantity Discount requires re-saving settings to take effect.
- **fix:** Fixed an issue where Rank Math Content AI Section was visible on Vendor Product Add/Edit Page despite being disabled in Rank Math settings.

v3.14.0 ( Dec 02, 2024 )
-----------------------------------
- **new:** A new color palette is introduced for store color "Purple Pulse"
- **update:** Updated combine to fixed commissions.
- **update:** Product is rebranded with new branding.
- **update:** As per new branding of Dokan Multivendor Plugin, full product is rebranded with new theme color.
- **fix:** Moved the vendor edit page from Dokan Pro to Dokan Lite and eliminated the commission setting from the WordPress default user profile page.
- **fix:** Removed the commission from every category, introducing category-based commission in global settings, vendor settings, Dokan subscription products, and the admin setup wizard.

v3.13.0 ( Nov 11, 2024 )
-----------------------------------
- **feat:** PDF invoices for vendor subscription.
- **feat:** Printful Integration.
- **update:** Introduced tab layout on vendor dashboard subscription menu.
- **update:** Subscription orders listing under subscription menu on vendor dashboard.
- **fix:** Request Warranty action button was visible on vendor subscription orders listing.
- **fix:** Fixed Product QA styling conflicting Product page style.
- **fix:** Shipment tracking number input layout fixed.
- **fix:** RFQ rules switcher UI functionality fixed.
- **fix:** Fixed issue where Admin coupon default metadata was overwriting payload metadata on coupon creation over REST API.

v3.12.5 ( Oct 16, 2024 )
-----------------------------------
- **update:** Rewrite the status counter functionality.
- **update:** Added coupon creation support via REST API
- **fix:** Prevent quantity reset on variable product selection
- **fix:** Fix error when updating customer billing address in admin panel
- **fix:** Display Order Min/Max error messages when updating the cart
- **fix:** Show proper error message when trying to create a support ticket without store ID
- **fix:** Fix the ticket unread badge counter when ticket is created without store id
- **fix:** Fix the ticket list status all, open and closed counters when ticket is created without store id
- **fix:** Unable to Add Payment Method from My Account Dashboard with Only Stripe Express Module Enabled
- **fix:** jQuery BlockUI Plugin Initialization
- **fix:** Added wordpress native i18n support

v3.12.4 ( Oct 03, 2024 )
-----------------------------------
- **fix:** RFQ rules conflict error when min-max variation product applied to cart.
- **fix:** Fixed RFQ storage management when customer placed quotes.

v3.12.3 ( Sep 30, 2024 )
-----------------------------------
- **update:** Updated the Request for Quote module.
- **fix:** Updated seller information in the `Order Marked as Received` email template.

v3.12.2 ( Sep 23, 2024 )
-----------------------------------
- **update:** Product gallery image limit support for auction and booking products added.
- **fix:** Resolved an issue where the refund reason slug was displayed in the Refund Request Email instead of the title.
- **fix:** Resolved an issue that occurred when updating the store hours in the store settings.
- **fix:** Resolved fatal errors when loading Elementor-built pages with widgets.
- **fix:** Addressed an issue with the delivery time box calendar not loading properly in the block theme.
- **fix:** Resolved inconsistencies in order meta keys related to product's minimum and maximum restrictions for variable product API.
- **fix:** Fixed a payout issue with delayed disbursement in MangoPay.
- **fix:** Resolved infinite loading on Dokan Admin Announcement screen.


v3.12.1 ( Aug 30, 2024 )
-----------------------------------
- **fix:** Fix unable to install any plugins by uploading it while Dokan Pro enable.


v3.12.0 ( Aug 29, 2024 )
-----------------------------------
- **update:** The order settings for minimum and maximum values have been updated to streamline the process.
- **update:** Vendor Verification WPML String translation support added.
- **update:** Shipping status REST API for Customer and vendor.
- **fix:** Request id hash are not translatable on customer return request.
- **fix:** Remove unsupported parameters in Stripe Express customer retrieval.
- **fix:** Fixed Redirect procedure does not work for the LinkedIn social login.
- **fix:** fixed some warnings while checkout with stripe connect payment gateway with PHP version 8.1+.

v3.11.4 ( Aug 7, 2024 )
-----------------------------------
- **feat:** Order mark as received for customers.
- **update:** Show available discounts to customer in product details page, shop page, cart line item and order discount in store page.
- **update:** Improved error handling in Dokan Stripe Express when failed order updates.
- **fix:** Dokan PayPal Marketplace payment gateway appears on Checkout without vendor connection.
    Previously, the Dokan PayPal Marketplace payment gateway was appearing on the checkout page even when vendors hadn't connected their PayPal accounts. This could lead to failed transactions and poor user experience. The payment gateway will now only be visible when the vendor has properly connected their PayPal account through the vendor dashboard.
- **fix:** Fixed an Issue with displaying pickup address when the store has only one location.
    Previously, when a store had only one pickup location, the location was selected in the dropdown on the checkout page, but its address was not displayed. This has been fixed to ensure the address is always visible, regardless of the number of store locations.
- **fix:** Fixed fatal error when batch updating product variations via REST API with object payload.
- **fix:** RankMath SEO social content editor missing on vendor dashboard product edit page.
- **fix:** Stripe Express payment settings page URL now redirects to translated language.
- **fix:** Fixed the clarity of `Writing below the box for post you question` text.
- **fix:** Table rate shipping page redirection issue after WPML translation included.
- **fix:** Fixed an issue where vendors' Stripe Express accounts were unintentionally disconnected when updating their profiles without changing their country.
    This fix ensures that vendor payment processing remains uninterrupted during routine profile updates.

v3.11.3 ( Jul 10, 2024 )
-----------------------------------
- **update:** Email recipients settings support added for some email templates.
- **update:** Subscription based filtering support added on admin dashboard Dokan vendor listing page.
- **update:** Direct links to the relevant settings from vendor progress bar added.
- **fix:** Vendor Product Category Permissions Not Reflected in Add-On Category Selection.
    Previously, when vendors created product add-ons from their dashboard, all store categories were visible in the dropdown menu, regardless of the product category limitations imposed on the vendor. With this change, the product add-on categories available to vendors will align with the allowed product categories designated by their subscription level.
- **fix:** PHP Fatal errors on php 8.0 for reset function received null value instead of array.
- **fix:** Updated Stripe Express onboarding message on settings page when connection is in incomplete state.
- **fix:** Subscription cancellation email not triggered when the subscription is recurring & the pack has validity limit.
- **fix:** Incorrect value returned by `filter_packages` function when `$package['contents']` is empty.
- **fix:** [VendorVerification] Irrelevant warning appearing on the vendor registration form.
- **fix:** Unwanted HTML elements markup from tax amount and currency symbol display on the vendor dashboard order details page.
- **fix:** Vendor can not update store location if vendor verified the address previously through vendor verification.
- **fix:** Connecting Stripe Express from seller setup wizard not increasing profile completion score.
- **fix:** Vairation product default attribute api.
- **fix:** Wholesale data for variation product api.
- **fix:** Shipping tax data for variation product api.
- **fix:** Fix variation list api.

v3.11.2 ( Jun 11, 2024 )
-----------------------------------
- **new:** Free Shipping Coupon for Vendors.
    Vendors can now create free shipping coupons directly from their coupon dashboard, enabling them to offer special shipping promotions to their customers. Additionally, vendors can effortlessly add free shipping options with the use of coupons from their shipping dashboard, enhancing their ability to provide attractive incentives and a seamless shopping experience.
- **update:** Stripe express recipient cross border transfer payout support added for US platform.
- **update:** Add pending refund request message in order details page and hide refund request button when there is a pending refund request.
- **fix:** Cache not invalidating for Product Advertisement module.
- **fix:** Vendor Subscription Activation Issue when purchase with Paypal.
- **fix:** Removed empty columns from order details page.
- **fix:** Prevent `Vendor Enable` email from sending on plan switch for already enabled vendors.
- **fix:** Vendor announcement email URL now correctly redirects to the individual announcement page instead of the announcement archive page.
- **fix:** Redirect user to the correct url after stripe authorization.
- **fix:** [StoreReview] Admin CSS loading issue on store review module.
- **fix:** Fixed PHP 8.2 warning in checkout page.
- **fix:** Fixed MangoPay Webhook issue that attempted to register webhooks when the API is not configured initially.
- **fix:** Fixed inability to create UBO verification for Vendor in MangoPay Settings page.

v3.11.1 ( May 27, 2024 )
-----------------------------------
- **update:** Update gateway reference urls on dokan stripe connect, stripe express & paypal payment management page.
- **update:** Vendor Verification Redesign with Custom Verification method and Setup Wizard Support.
- **update:** Announcement title and content for not contented vendors.
    The announcement title and content displayed to vendors without any associated content or products have been updated to provide more relevant and up-to-date information.
- **fix:** Wholesale price display on Classic Cart page.
    This change resolves the issue where the wholesale price displayed on the Classic Cart page did not match the wholesale price set within the Product Edit page, leading to potential confusion and incorrect expectations about the total purchase amount. The wholesale price is now accurately calculated and displayed on the Classic Cart page, ensuring consistency with the checkout process.
- **fix:** Exclusive seller badge button not working on admin dashboard vendor edit page.
- **fix:** Ambiguous seller badge content on admin dashboard.
- **fix:** Remove Withdrawal cache on automatic disbursement.
- **fix:** Translation loading in Product Q&A Frontend.
- **fix:** Default value set for chat_button_product_page in the admin settings.
- **fix:** Payment gateway fee calculation for Stripe and Stripe Express now include Tax.

v3.11.0 ( May 10, 2024 )
-----------------------------------
- **feat:** Product Q&A
    We have introduced a new module called Product Q&A.
- **fix:** Prevented fatal error during abuse reason module activation & in single product page.
- **fix:** [EmailVerification] Fixed verified sellers being redirected to first step of seller setup wizard after clicking `Let's Go` button from first step.
- **fix:** Remove translation on stripe express webhook url in the settings page.
- **fix:** Availability Rules of Resources Not Applying When Edited by Vendors in Vendor Dashboard.
- **fix:** Refund request table line item price display and table heading label

v3.10.4 ( Apr 25, 2024 )
-----------------------------------
- **update:** Cart fee support added for PayPal Marketplace
- **update:** [Delivery Time] Automatically select the store's default location for store pickups when a store has only one location.
- **fix:** Store support topic sub-menu displayed a duplicate border.
- **fix:** Admin user's title and image were not rendering correctly on the Admin Store Support page.
- **fix:** Fatal error while activating WeMail Plugin.
- **fix:** Announcement year data rendering issue on vendor dashboard widget.
- **fix:** Resolves an issue where the payment status failed to update correctly when the MangoPay payment resource ID validation failed during the payment process.
- **fix:** Fixes a problem that prevented payouts from working as expected when the instant payout option was enabled in the WooCommerce Payments (MangoPay) settings.
- **fix:** Order note added when there is a mismatch between the instant payout settings.
    Specifically, if instant payouts are disabled in the user's MangoPay account but enabled in the WooCommerce Payments (MangoPay) settings by the admin, an order note will be created to inform the user about the mismatch and the reason for the standard payout process being used.
- **fix:** Resolves an issue where payouts were not working correctly for digital products.
- **fix:** Booking calendar by time support added.

v3.10.3 ( Apr 17, 2024 )
-----------------------------------
- **update:** Warning message for selecting fixed cart discount on admin coupon add edit page if single seller mode is disabled
- **update:** Removed the Stripe Checkout setting from the Dokan Stripe Connect's settings screen
- **fix:** Return Request and Support menu notification count display fix for Menu Manager
- **fix:** Advertisement product not purchasable for own product purchasing restriction
- **fix:**  Dokan admin dashboard section style broken
- **fix:** Fatal error occurs when user profile settings data is empty initially
- **fix:** Enable selection of previous shipment dates for vendor orders
- **fix:** Resolved several PHP warnings occurring in the shipping, store review, and vendor verification functionalities.
- **fix:** A issue where modules activation indicator was not visible
- **fix:** vendor-specific coupon should not apply to admin
- **fix:** WC Simple Auctions Plugin -> Proxy Auction Option Not Reflecting in new Dokan Auction Product
- **fix:** The default category was set to null if the admin deleted the default category.
- **fix:** Fixed an issue where if the admin deletes all the store categories, it doesn't display the Store Categories Icon.
- **fix:** Unnecessary page creation on Export & Import module activation
- **fix:** The debug log shows a PHP Deprecated notice regarding the get_page_by_title function in the Dokan Pro plugin.
- **fix:** Invalid order id error in Vendor subscriptions related orders metabox.
- **fix:** [StripeConnect] Renewal orders failing while using Dokan Stripe Connect
- **fix:** Log Gateway Processing fees in order note if vendor pays processing fees
- **fix:** Elementor single store templates loading issue for first time users.

v3.10.2 Apr 02, 2024
----------------------------------
- **update:** [RFQ] Updated description message for `Decrease Offered Price` to set the default value to zero
- **update:** Added requires plugin header for dokan pro so that required plugin check can be initiated.
- **fix:** [RFQ] fixed a fatal error if `Decrease Offered Price` under Dokan Settings --> Quote Settings is set to an empty string.
- **fix:** Auction product form fields placeholder content translation issue
- **fix:** Product advertisement Elementor widget warning fixed
    Product advertisement Elementor widget was generating warning due to lack of proper initialization process. This warning messages has been fixed.
- **fix:** Color synchronization issue in vendor dashboard actions
- **fix:** Refund issue with Stripe Express
- **fix:** Manually refund button is not shown in the Order Single page (Vendor Dashboard)
- **fix:** Broken UI for Announcement creation and Draft Editing
- **fix:** Displaying debug log on MangoPay Settings Save
- **fix:** Missing Stripe Processing Fees for Vendor Subscription Purchases
- **fix:** Fixed a fatal error while purchasing a product using a coupon for some users.
- **fix:** Content AI is displaying a popup if the site is not connected to RankMath
- **fix:** Rank Math Content Length not Fetching from the Product Description in the Product Edit page
- **fix:** Modules are not loading if downgraded from higher package to lower package
- **fix:** Fatal error on changes a vendor email address
- **fix:** Added type casting while calling dokan_get_coupon_metadata_from_order() method to prevent a fatal error

v3.10.1 Mar 18, 2024
----------------------------------
- **update:** Allowed category in vendor subscription translation support added
- **update:** Proper error not showing to users denoting they have to configure brand assets in Stripe Connect Settings
- **update:** Clear and Simplified Store Category Editing
    In previous versions, editing store categories in the Dokan plugin for WordPress and WooCommerce was a confusing and complex process. However, with the latest update, a significant improvement has been introduced. The store category edit option is now conveniently available on the vendor edit page, providing a much clearer and user-friendly experience for administrators.
    This enhancement streamlines the process of managing store categories, making it easier for administrators to edit and update the categories associated with vendors. The improved user experience ensures smoother category management within the Dokan plugin, ultimately leading to a more efficient and hassle-free workflow.
- **fix:** Allowed amount decimal precision on RMA Request validation
- **fix:** Free shipping remaining amount and discount message html escaping on mobile screen
- **fix:** Bulk action triggering issue when deselect latest module
- **fix:** Auction module menu not displaying initially
    When activating the Auction Module from Dokan module manager and enabling the auction menu for vendors from the selling option settings for the first time, the menu is not displayed on the vendor dashboard menu bar. The issue is resolved when deactivating and reactivating the auction module
- **fix:** Set auction modules default product status as per product status settings
- **fix:** Product Visibility Issue - Catalog-Only Setting Not Functioning Properly on Live Search
- **fix:** The text within the vendor verification module cannot be translated
- **fix:** Quote Page Appearance is Broken on Guest Users Mobile Devices
- **fix:** Support table responsive layout added

v3.9.10 Feb 12, 2024
----------------------------------
- **new:** Added PHP 8.2 support
- **fix:** Fixed an issue where the HTML entities are appearing on the store category name if the user provided any special characters.
- **fix:** Fixed progress bar percentage calculation for address and payment information in the Dokan seller setup wizard.
- **fix:** Fixed an issue where the variable subscriptions product input fields are showing on variable product variations.
- **fix:** Fixed an issue where the bulk product variation creation does not add a menu order to each variation.
- **fix:** Fixed an issue where if a Marketplace coupon is created excluding a product, the coupon is not applied to any product.
- **fix:** Vendor-specific coupon issue - This fix prevents coupons that are meant for a single vendor from being applied to products from other vendors. This issue was caused by a logic error in the coupon validation function. The fix corrects the logic and ensures that the coupon is only valid for the intended vendor.
- **fix:** Coupon validation issue for vendor-specific coupons - This fix ensures that coupons that are generated by the admin for a specific vendor or store are only applicable to the products from that vendor or store.
- **fix:** Fixed an issue where no error messages were displayed for invalid coupons on the cart page.
- **fix:** [Auction] Fixed an issue where the vendors were not able to add downloadable files for auctionable products. The problem arises when vendors attempt to save a downloadable product with an attached file – despite receiving an update confirmation, the file fails to save correctly. This issue has been resolved.
- **fix:** [StoreReview] Fixed an issue where after deleting Store Reviews from the WP Admin Dashboard > Dokan > Store Review screen, the review count remains unchanged on the top of the review list.
- **fix:** [TableRateShipping] Fixed a periodic fatal error after calling Google Distance Matrix API if the API response takes a long time to respond due to network error.
- **fix:** [RequestForQuote] Fixed inconsistent Priority between the "Add to Cart" and "Add to Quote" Buttons on the Simple and Variable Products page.
- **fix:** [RequestForQuote] Removed the "X" button from the Quote Details After the Quote has been Converted to Order.
- **fix:** Many strings in Dokan shipping settings and related screens cannot be translated using WPML (#2162)
  This pull request fixes an issue where some strings in the Dokan shipping settings and related screens were not translatable using the WPML plugin. This change improves the localization and accessibility of the Dokan plugin for multilingual users and customers.

v3.9.8 Jan 12, 2024
----------------------------------
- **fix:** Appsero plugin update checker issue fixed.

v3.9.7 Jan 11, 2024
----------------------------------
- **fix:** [StripeExpress] Performance improvement for Stripe Express module.
Previously, the Add to Cart button and proceed to the checkout page took extra time to load. With this release, we've fixed the loading time issue.

v3.9.6 Dec 15, 2023
----------------------------------
- **fix:** Fixed an issue where the Dokan Subscription product switched to Simple Product after saving from WordPress Admin Panel --> Products --> Edit Product page.
- **fix:** Resolved a fatal error that occurred when attempting to renew a subscription within the WordPress Admin Panel. Specifically, this issue occurred while navigating to WooCommerce > Subscription > Edit a single subscription that included a line item coupon.

v3.9.5 Dec 12, 2023
----------------------------------
- **chore:** Removed PayPal Adaptive Payment Gateway module from Dokan Pro
- **fix:** Refund request with line item quantity 0 support added.
Previously, if the vendor tried to set the line item as 0 manually and tried to request a refund, they would get an unwanted validation error. Not the request will proceed as intended.
- **fix:** Product reviews widget in vendor dashboard visible even after disabling from the WooCommerce's setting
- **fix:** Missing assets on the RFQ page with WPML
- **fix:** Fixed a fatal error due to a type casting error under the vendor coupon OrderDiscount section
- **update:** Ambiguous text RMA Requests is replaced with Returns & Refunds in my account menu list.
- **update:** Vendors will see a new notification with the count of new Refund and Return requests beside the Return Request menu.
- **update:** A new Email called Dokan Send Refund Request Conversation Notification to Vendor and Customer will be triggered when a vendor or customer replies to any RMA Request Conversation notifying the other party.

v3.9.4 Nov 30, 2023
----------------------------------
- **new:** [Announcement] Introduce API for vendor announcements.
Endpoints:
1. `dokan/v1/announcement/notice/{notice_id}` For Getting, updating, deleting single notice data
2. `dokan/v1/announcement` For getting all the announcement records. Parameters `vendor_id, search, status, read_status, from, to` are now supported
- **new:** [DokanAuction] Previously vendors could not duplicate auction products from the vendor dashboard. After this update vendors will be able to duplicate auction products.
- **update:** [DeliveryTime] Enhanced Validation and Descriptive Messages: We've added several validation checks and descriptive messages to the "delivery time" admin settings, making it easier to configure and understand.
- **update:** [DeliveryTime] Order Notifications: Order update email notifications will now only be triggered when there are updates to the order's delivery time and/or date, ensuring that customers receive relevant information.
- **update:** [DeliveryTime] Revamped Vendor Dashboard: We've updated the design of the delivery time settings in the vendor dashboard, providing a more user-friendly and intuitive experience.
- **update:** [DeliveryTime]  Improved Date Selection: Non-available dates are now automatically disabled on the admin dashboard when editing orders, simplifying the process of selecting delivery dates and times.
- **update:** [StripeExpress] Improved Stripe Account Deletion: Synced Removal from Admin Dashboard.
In the past, when an admin deleted a Stripe account from the admin dashboard on the user edit page, the Stripe settings were only removed locally, while the remote user account on Stripe remained unaffected. With this update, we've enhanced the process. Now, when you delete a Stripe account from the admin dashboard, not only will the local settings be deleted, but the corresponding remote Stripe user account will also be removed. This ensures a synchronized and comprehensive removal process for a more efficient and consistent user experience.
- **update:** [VendorDiscount] Replaced vendor discount implementation with coupons.
The vendor discount system has been overhauled to incorporate coupons for both Product Quantity Discounts and Order Discounts. The new system automatically generates and applies coupons based on cart items and order total, which enhances the user experience and streamlines vendor discounts. This will also fix some of the issues related to vendor discounts our users were having till now.
- **update:** [Booking] Added missing `Linked Products Section` under Booking Product Edit Page
- **fix:** [DeliveryTime] Fixed an issue where users got a fatal error under the checkout page if the corresponding vendors didn’t add their store address.
- **fix:** Fixed a typo under Add New Vendor Modal
- **fix:** [SingleStepProductCreate] Fixed some issues like product data not being saved for the first time when the single step product create feature is enabled.
- **fix:** [ProductAddons] Fixed some translation issues under vendor dashboard → Settings page.
- **fix:** [MangoPay] Fixed the automatic connection of the vendor account to Mangopay.
Previously, when a customer transitioned to become a vendor, their vendor account is automatically linked to a MangoPay account without the need to submit a connection request. Now the issue is resolved.
- **fix:** [StoreSupport] Fixed an issue where the new support ticket email was not sent to the admin and corresponding vendors.
- **fix:** [StripeConnect] Fixed an issue where the Dokan Stripe Connect is no longer showing the webhook url under payment gateway settings page description help text.
- **fix:** [RMA] Fixed an issue where overriding the RMA for a variable product was not working. With this release, the problem was resolved by fetching RMA data from the parent product if the cart item is a product variation.
- **fix:** [PayPalMarketplace] Fixed an issue where the pop up to connect the PayPal account of the vendors wasn’t working in Firefox browser.
- **fix:** [VendorShipping] Fixed an issue where the Shipping Zones were missing under the vendor dashboard on newly created sites.
- **fix:** Live Search option `Autoload Replace Current Content` under Dokan admin settings now replaces the page content for displaying product list under frontend.
- **fix:** [VendorShipping] Fixed an issue where the admin were getting fatal error while storing shipping zone data under WooCommerce → Settings → Shipping
- **fix:** [VendorDiscount] Addressed an issue with Product Quantity Discounts on Variable Products. The update ensures correct commission allocation to administrators and accurate earnings for vendors, maintaining financial integrity.
- **fix:** [VendorDiscount] Resolved discrepancies in order totals between Vendor Orders and Order Details when both Product Quantity and Order Discounts are applied. This fix ensures consistency and prevents mismatch alerts during a refund.
- **fix:** [VendorDiscount] Implemented fixes for incorrect tax calculations, ensuring accurate tax amounts are applied and displayed in accordance with the applied discounts.
- **fix:** [VendorDiscount] Updated the Order Details to correctly show discounts on subscription products, ensuring all discounts are transparently and accurately reflected.

v3.9.3 Nov 13, 2023
----------------------------------
- **fix:** In the past, when an admin deleted the auto-generated page for the Request for Quote module, clicking the “Request a Quote” button would erroneously redirect users to the home page. However, with this recent update, if the page is no longer available, the Request for Quote auto-generated page will be recreated, and users will be correctly redirected to the appropriate page.
- **fix:** Fixed an issue where the `Shipping Status` cannot be changed from the `Order Details` page
- **fix:** [PayPalMarketplace] Fixed an issue where the "Refund via Dokan PayPal Marketplace" Option was missing for the booking products order that needed confirmation.
- **fix:** Fixed an issue where the `Inventory` tab is appearing for the Dokan Subscription products when the WooCommerce Simple Auction plugin is activated.
- **fix:** Fixed a fatal error while trying to "batch update wholesale customer" with non-existing user ids
- **fix:** Fixed an issue where the geolocation of a product is not working when adding a new bookable product.
- **update:** Displaying wholesale price on product category archive which was missing on the earlier version of Dokan Pro
- **update:** [SellerVacation] Displaying Seller Vacation message on a single product page, previously there was no way for the customers to know if the seller was on vacation until they visited the single store page.

v3.9.2 Oct 19, 2023
----------------------------------
- **fix:** [StoreReview] Fixed a fatal error on the Single Store Page - Reviews tab when users are not logged in.
- **fix:** [StoreReview] Fixed couple of fatal errors on the Single Store Page, Store Listing page, and the Dokan vendor page on Dokan Pro Professional package due to a missing composer package.


v3.9.1 Oct 17, 2023
----------------------------------
- **new:** [Auction] Added Single Step Product Creation feature for Auction Products
- **new:** [StripeExpress] Added a new hook named `dokan_stripe_express_account_capabilities` so that account capabilities values can be changed.
- **update:** Added refund request approval method ( Manual or via API ) choice added for Admin.
Previously, the admin only controlled the refund processing method (manual or via Payment Gateway API) through Admin settings and during sending a new refund request, the vendor had to make the choice for Manual or Refund through Payment Gateway API. But that is confusing for both the admin and vendors.
Now Admin has the choice to approve the process of the refund manually or through Payment Gateway API.
The Admin settings related to Refund via API have been completely removed, streamlining the functionality. Additionally, the code has been refactored to accommodate these changes and introduced a new filter called dokan_pro_automatic_process_api_refund_enabled. This filter allows programmatic control over the option to refund via API and comes with a default value of true.
Moreover, new features have been added to enhance the user experience. A new row action called "Refund via [Gateway Name]" (Like Refund via PayPal) has been introduced, specifically designed for the designated Payment Gateway that supports Rafund. Support for this action has also been integrated into the REST API. Furthermore, a new bulk action called "Refund via Payment Gateway" has been implemented, providing users with the ability to process refunds in bulk via the REST API.
To address performance issues, the codebase has been refactored to resolve the caching problem related to the get_items function, ensuring smoother operation. Additionally, the information pill displayed on the table header, which previously informed users about the activation of Refund via API admin settings, has been removed for a cleaner interface.
As for user interface improvements, the "Manual" pill has been replaced with a "Completed" tab, providing a clearer indication of the refund status. Moreover, the refund button's appearance and logic have been updated specifically for non-Dokan payment gateways, enhancing consistency throughout the platform.
These changes aim to enhance functionality, improve performance, and provide a more seamless experience for users utilizing refund-related features within the application.
- **update:** [VendorSubscription] Added a new feature to restrict vendors from purchasing recurring subscription products using non-adaptive payment gateways.
- **update:** Changed all the single date picker fields with date range picker. These updates will keep the design consistent throughout the plugin.
- **fix:** [AdminCoupon] Fixed an issue where the admin commission is incorrect, while a coupon makes a product's price a decimal number.
- **fix:** [Booking] Fixed mobile responsiveness issue of booking product creation page for vendors.
- **fix:** [Auction] Fixed an issue where the Auction product bypassed the product status feature when edited by vendors.
- **fix:** [StoreReview] Fixed an issue where the Dokan Vendor Reviews on the Store Page - Display Add review button after the tab title and reviews.

v3.9.0 Oct 06, 2023
----------------------------------
- **new:** [VendorStaff] Added REST API support for Vendor Staff module.
Endpoints:
`dokan/v1/vendor-staff` for GET, CREATE vendor staff
`dokan/v1/vendor-staff/{id}` for GET, UPDATE, DELETE a vendor staff
`dokan/v1/vendor-staff/{id}/capabilities` for GET, UPDATE vendor capabilities
- **update:** [ProductAdvertising] Removed `Advertised Products Section` settings from vendor dashboard, now only Admin can change this value from theme customizer settings.
- **update:** [DokanShortcodeBlock] Updated Dokan shortcode block under `WordPress Admin Panel → Pages` to include missing shortcodes.
- **update:** Added Enable/Disable option support for `Dokan New Support Ticket` and `Dokan Reply To Admin Support Ticket` email templates.
Previously, there were no settings to enable/disable these emails from email template settings under `WordPress Admin Dashboard → WooCommerce → Emails`. Though admin can control whether to send support notification emails from `WordPress Admin Dashboard → Dokan → Settings → Store Support Settings` by enabling the `Support Ticket Email Notification` setting. Now we’ve removed this setting and added an enable/disable option under the corresponding email template settings under WooCommerce Email Settings.
- **update:** [SellerVacation] We’ve rewritten the `Product Vacation Status` feature entirely for the `Seller Vacation` module.
Previously, when a vendor enabled `Vacation Mode` under `Vendor Dashboard → Settings → Store Settings → Go to Vacation` settings, all published product statuses changed to `vacation` and vacation status changed to `publish` when the vendor disabled this setting. This limitation affected SEO for that particular vendor since the web crawler found corresponding product URLs unavailable and marked those links as 404 URLs. To tackle this problem, we’ve removed the `vacation` status for products and enabled the `Catalog Mode` feature for the corresponding vendor products. Since products can’t be purchased if they are in catalog mode, the corresponding vendor can enjoy their vacation, and search engines will be able to index those products. If a vendor is on vacation mode and a user visits the single store page of that vendor, they will see a vacation mode notice set by the corresponding vendor.
- **fix:** [RFQ] Fixed an issue where the `Catalog Mode` settings were applied on the `Request For Quoto` rule, even though the vendor's catalog mode settings aren't enabled from the store settings.
Previously, if the site admin enabled the `Catalog Mode` feature from Dokan settings, the vendor’s `Catalog Mode` settings weren’t taken into consideration when applying `Request For Quotation` rules.
- **fix:** [Refund] Fixed an issue where the  {amount} placeholder is not working when the {amount} placeholder was used as the email subject or email heading for the Dokan New Refund Request email template.
- **fix:** [ProductAddOns] Fixed an issue where the addOns feature under `Single Product Page` was displaying some HTML code due to `WooCommerce Product AddOns` plugin version incompatibility.
- **fix:** [DokanStripeExpress/RequestForQuote] Fixed an issue where the GooglePay or ApplePay button appears on Single Product Page even when the cart button is replaced with `Add to Quote` button.
- **fix::* [DeliveryTime] Fixed an issue where the `Delivery Time` date picker is not appearing on the checkout page under some specific themes.

v3.8.4 Sep 26, 2023
----------------------------------
- **update:** [VendorSubscription] With this updates, after the successful purchase of a recurring subscription, the vendor will get a email notification.
- **update:** [Announcement] Vendor search box initial search placeholder text and no vendor found message has been updated to reduce confusion during initial search. on the admin dashboard for initial searching of the vendors.
- **update:** [StoreListAPI/Geolocation] Added Geolocation filter support for Store list API.
- **update:** [Wholesale] Added `no name` text on wholesale customer table for user with no first name and last name.
- **update:** Various style improvements of Dokan frontend including Vendor Dashboard, Single Store Page, Single Product Page etc.
- **update:** [SPMV] Display store name instead of full name on Assigned product to vendors search box on admin dashboard product edit page.
- **fix:** [Coupon] Fixed an issue where the excluded product feature of a coupon was not working as expected,
- **fix:** [DeliveryTime] Fixed an issue where the translation of "am" and "pm" is not working as expected for store open and close feature.
Previously, after translating am|pm to another language. Delivery time on vendor dashboard section was not working properly. After the update the mentioned issue will be fixed.
- **fix:** [VendorShipping] Added vendor shipping support for `Location not covered by your other zones`.
- **fix:** [Wholesale] Fixed an issue where the customer can't become a wholesale customer if previously bought a WooCommerce product subscription [which changes the user role to subscriber]
- **fix:** [Wholesale] Fixed an issue where wholesale products can’t be created via REST API.
- **fix:** [SPMV] Fixed a fatal error while searching products via API while not providing any argument like `product_id`, Endpoint: `{{SERVER_URL}}/wp-json/dokan/{{version}}/spmv-product/search`
- **fix:** [SPMV] Fixed a fatal error while trying already cloned product to cart, `Endpoint: {{SERVER_URL}}/wp-json/dokan/{{version}}/spmv-product/add-to-store`
- **fix:** [VendorDashboard] Fixed an issue where the values of attributes are not appearing on the edit product page of Dokan Vendor Dashboard (new).

v3.8.3 Sep 13, 2023
----------------------------------
- **fix:** [Booking/AddOns] Fixed an issue where product Add-ons section wasn’t loading uder Add New Booking page.
- **fix:** [VendorVerification] Fixed an issue where the SMS Verification and Social Verification does not appear in the Dokan: Verification widget on the single store page if either one among ID Verification, Address Verification, or Company Verification is not verified
- **fix:** Update hash algorithm from md5 to sha256 for improved security for Cookies storage, also included serialized data in hash calculation to ensure data integrity.
- **fix:** Fixed a fatal error on withdraw page if user updated only Dokan Pro. This was due to a hook incompatibility used on Dokan Pro.
- **fix:** [Withdraw] Fixed an issue where the {amount} placeholder is not working for the Dokan New Withdraw Request email template.
- **fix:** Fixed an issue where Date-Range selection calendar under vendor dashboar were broken on various themes.
- **fix:** [VendorSubscription] Fixed an issue where vendor subscription product can be assigned to any vendor.
With this fix, while creating a subscription product, the vendor section will be hidden.
- **fix:** Fixed an issue where the "Become A Wholesale Customer" feature gets removed by removing the "Become A Vendor" feature via hook.
- **fix:** [ShippingStatus] Fixed an issue where {title} & {message} placeholders do not work for the Shipping Status Notification for Customer email template
- **fix:** [VendorSubscription] Fixed an issue where Dokan Vendor Subscription Product can not be purchased if admin enables catalog mode feature.
- **fix:** [Geolocation] Fixed an issue where store listing location filtering wasn’t working if map radius is set to zero.
- **fix:** [DeliveryTime] Fixed an issue wehre email was not triggered if the vendor changes delivery time information from Vendor Dashboard → Order details page.Now customers will be notified about the changes by vendor.
- **fix:** [StripeExpress] Fixed an issue 'no such customer' error while purchasing a vendor subscription product
- **fix:** [StripeExpress] Fixed an issue where vendor subscription product can’t be purchased with discounted amount if Coupon code is applied to the cart.
- **fix:** [StripeExpress] Fixed initial payment and recurring payment amount if discount code is applied while purchasing a vendor subscription product using Stripe Express.
- **fix:** [SocialLogin] Fixed an issue where Apple SSO wasn’t working due to the composer package version inconsistency of PHP-JWT library
- **fix:** Fixed a fatal error when using Elementor Pro's My Account Widget with Dokan Pro
Before this update, when using Elementor Pro's My Account widget to render the My Account page with the Dokan Pro plugin, certain circumstances triggered a PHP error exception. With the latest update, all scenarios have been addressed, ensuring that no PHP error exceptions are encountered.
- **fix** [Booking] Fixed an issue where the Booking product is published directly, even though the product status is set to pending review from the Dokan settings.
- **fix:** Fixed an issue where duplicating a product bypasses the Product Status setting under the Admin Dashboard → Dokan → Settings → Selling Options
- **fix:** [VendorSubscription] Fixed in issue where bulk publishing product changing published product to pending based on Admin’s Product Status setting
- **fix:** There were couple of issues based on the admin `Publish Product` Settings and Vendor’s `Publish Product Directly` capabilities. We’ve tested all the scenarios and provided fix if necessary.

- **update:** [Booking] Removed unnecessary product type filter from Vendor Dashboard Booking product list page.
- **update:** [ColorSchemeCustomizer] Integrated Color Scheme Customizer support for Vendor Dashboard hamburger menu background for mobile view.
- **update:** [Booking]  Made Vendor dashboard add resources section behaviour consistent with backend (WordPress Admin → Add New Booking Product) add resource section.
- **update:** [Auction] Added Product Advertisement feature support for Auction products
- **update:** [Booking] Added Product Advertisement feature support for Bookable products
- **update:** [VendorStaff] Fixed some issue with email templates for vendor staff module
- **update:** Removed the setting `Edited Product Status` and renamed `New Product Status` to `Product Status`  from Admin Dashboard → Dokan → Settings → Selling Options.
Previously, there were two different settings for the product status after creating a new product or updating a product: New Product Status and Edited Product Status. However, with the latest update, the Edited Product Status setting has been removed and the New Product Status setting has been renamed to Product Status. This single setting will be applied for both new and edited products. It’s important to note that the Publish Product Directly capability for vendors will take priority as usual.
- **update:** Removed `Product Mail Notification` setting from Admin Dashboard → Dokan → Settings → Selling Options.
Previously, the `Product Mail Notification` setting wasn’t working even though the setting was disabled. Since Dokan New Product and Dokan New Pending Product email already include the enable/disable feature, this setting is redundant.
- **update:** Added a button to reset filter options on the product list page under the vendor dashboard.

v3.8.2 Aug 25, 2023
----------------------------------
- **fix:** [ReportAbuse] Fixed an issue where login form doesn't disappear after guest user login to submit an abuse report.
- **fix:** [Booking] Fixed an issue where if the vendor adds resources to a product this will create an additional bookable product.
Previously, If the vendor adds or removes resources to a bookable product this will create another additional product named Product in the vendor dashboard booking menu. In fact, each time a vendor adds or removes resources this will create a product called Product. This issue has been fixed now.
- **fix:** [StoreReview] Fixed an issue where the star rating that the user provided while creating a store review is not included in the email content.
- **fix:** [VendorStaff] Fixed a PHP Deprecation warning while creating a new vendor staff.
- **fix:** [StoreReview] Fixed Layout breaks issue if a product review content length is more that 50 characters under vendor dashboard store review listing table.
- **fix:** [StoreReview] Fixed an issue where searching for customers under customer filter wasn’t working under Dokan admin dashboard.
- **fix:** [Announcements] Fixed an issue where duplicate announcement emails are being sent.
Previously, if the Dokan Stripe Express payment gateway is enabled with the option Send Announcement to Non-connected Sellers enabled, New vendors are getting the announcement email multiple times. Now the issue is resolved.
- **fix:** [RequestForQuote] Fixed some PHP warnings while trying to update quote rules with a non-existent quote rule id.
- **fix:** [VariableProduct] Fixed an issue where bulk actions for the variable product could not create any impact on the product variations.
- **fix:** [HPOS] Added HPOS support for Shipping Status and Vendor Subscription.
- **update:** [PaypalMarketplace] Added reverse withdrawal payment support using PayPal Marketplace payment gateway.

v3.8.1 Aug 21, 2023
----------------------------------
- [VendorSubscription] Fixed an issue where subscription was getting cancelled automatically.

v3.8.0 Aug 18, 2023
----------------------------------
- **update:** Added HPOS (High-Performance Order Storage)  support for Dokan Pro.
- **update:** Updated minimum PHP version requirement to 7.3
- **fix:** [StripeExpress] Resolved an issue where the refund request gets canceled upon the vendor initiating the request.
Previously, When a vendor initiates a refund request through the Dokan Stripe Express payment method, the refund request is automatically canceled. This issue has been fixed now.


v3.7.30 Jul 25, 2023
----------------------------------
- **update:** [StoreReview/Auction/RequestForQuotation] Restrictions added for vendors to Quote, Review and Purchase their own products.
Previously, vendors could purchase, add to quote and post reviews for their own product. Which is not logical and could manipulate the search results of a product in a marketplace. With this update, vendors will not be able to purchase or post reviews for their own product.
- **update:** [AdminReport] Updated Status filter to support multiple order status.
Now, users will be able to select multiple order statuses to filter the report lots and while exporting the report logs. Previously Only one status can be selected for the status filter.
- **update:** [AdminReport] Added refunded items log under the admin reports log table
Now admin can see the refund amount along with the original amount for Shipping, Shipping Tax, and Product Tax In the Table rows.
- **update:** [RequestForQuotation] Enhanced Quote Approval Process: Admin Can Now Approve Quotes and Convert Quote to Orders
In previous versions, admin lacked the ability to approve quotes, limiting their involvement to only converting quotes to orders. This created a gap in the quote approval process. However, with the latest update, significant improvements have been implemented to empower the admin with complete control over the entire quote lifecycle.
- **update:** [AdminSettings] Added tooltips for Withdraw Disbursement and Disbursement Schedule to guide users. Admin can enable single or both-way disbursement, and vendors can choose the most convenient option.
- **update:** [AdminSettings] Added toggle switches for API integrations (Facebook, Twitter, Google, etc.) in Seller verification & social API settings, allowing users to enable/disable them individually.
- **update:** [AdminSettings] Implemented a "Copy to Clipboard" feature for redirect links used in seller verification & social API settings, enabling users to copy links effortlessly.
- **update:** [AdminSettings] Aligned the visibility behavior of the Active map API Source & input key field with that of live chat settings' Active chat provider & input key field visibility.
- **update:** [AdminSettings] Aligned the visibility behavior of the Active gateway (SMS verification gateway) & input section (Vonage/Twilio) with that of live chat settings' Active chat provider & input key field visibility.
- **fix:** [AdminSettings] Moved the tooltip from Store Terms And Condition to Enable Terms And Condition setting, correcting the tooltip placement issue.
- **fix:** [Subscription] Subscription Cancellation email message for vendor subscription module has been updated.
Previously, Vendor Subscription Cancellation email was conveying a different message which was outright confusing. With this update the issue has been fixed.
- **fix:** [Booking] Fixed an issue where the availability rows under WordPress Dashboard → Products → Add New are broken when the Dokan WooCommerce Booking Integration module is enabled with the latest version of WoCommerce Booking Plugin (v2.0.0).

v3.7.29 Jul 20, 2023
----------------------------------
- **fix:** [Commission] Fixed an issue where the combine commission wasn't working.
- **fix:** [StoreSupport] Fixed an issue where the Store Support button wasn't working on the Single Product and Single Order Details page
- **fix:** [Elementor/SocialShare] Fixed an issue where the Store Support and Social Share button wasn't working on the Single Store Page template
- **fix:** [SPMV] Fixed some warnings under vendor dashboard Add/Edit product page while searching for product via SPMV(Single Product Multi Vendor) module.

v3.7.28 Jul 14, 2023
----------------------------------
- **fix:** Fixed a fatal error while creating a bookable product if YITH Brands plugin wasn't installed.

v3.7.27 Jul 12, 2023
----------------------------------
- **new:** Added a feature to display the remaining amount to Free Shipping (Left to free shipping).
- **fix:** [ProductAdvertising] Fixed a PHP notice for creating product advertisements without any data via REST API
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/product_adv/create
- **fix:** [RequestAQuote] Fixed a PHP notice for converting quote request to order without providing status via REST API
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/dokan-request-quote/convert-to-order/{quote_id}
- **fix:** Fixed a PHP notice for providing a non-existing announcement id to get a single announcement via REST API.
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/announcement/{announcement_id}
- **fix:** [StoreReview] Fixed a couple of PHP notices for trying to restore a non-deleted store review via REST API
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/store-reviews/{review_id}/restore
- **fix:** Fixed a PHP Fatal error for adding product variation with a non-existing product id via REST API
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/products/{product_id}/variations
- **fix:** Fixed a PHP notice while deleting a product variation via REST API
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/products/{product_id}/variations/{variation_id}
- **fix:** [RequestAQuote] While updating a quote rule without a name via REST API, was setting the quote rule name to empty. This issue now has been fixed.
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/dokan-quote-rule/{rule_id}
- **fix:** Fixed a fatal error while getting all order notes for non-existing (deleted) orders.
endpoint: {{SERVER_URL}}/wp-json/dokan/v1/orders/{order_id}/notes
- **fix:** [SellerVacation] Fixed a layout-breaking issue under Vendor Dashboard → Store Settings Page if vacation mode message is large text.
- **fix** [VendorSubscription] Fixed an issue where the Subscription menu wasn’t displaying under the vendor dashboard if the vendor’s selling capability was disabled.
Previously, If the vendor’s selling capability is disabled then the vendor could not see the subscription menu and its information and could not buy a new subscription. With this fix, now the vendor can see the subscription menu and buy them.
- **update:** Replaced Magnific Popup library with iziModal.
- **update:** [SocialLogin] With this update when a user uses social login from the checkout page, the user is redirected to the checkout page instead of the my-account page.
- **update:** [Auction] Added YITH WooCommerce Brands Add-On support for the Dokan Auction module.
- **update:** [Booking] Added YITH WooCommerce Brands Add-On support for the Dokan Booking module.

v3.7.26 Jun 24, 2023
----------------------------------
- **fix:** Fixed a fatal error while upgrading to Dokan Pro starter and professional plans.

v3.7.25 Jun 23, 2023
----------------------------------
- **fix:** [StripeExpress] Improved handling of language changes during vendor onboarding. Previously, if a user changed the language on the Stripe onboarding page, they were redirected to the Vendor Dashboard → Payment settings page and had to restart the onboarding process. Now, users will be automatically redirected back to the Stripe onboarding page if they change the language during onboarding.
- **fix:** [Booking] Removed unnecessary product type filter from Bookable products listing page. Previously, the Bookable products listing page included a `Product Type` filter to filter the product listing by product type. However, since only bookable products are displayed on this page, the filter was unnecessary. This fix removes the `Product Type` filter from the Bookable Products listing page.
- **fix:** [ReportAbuse] Resolved an issue with the `site.com/wp-json/dokan/v1/report-abuse/batch` API endpoint when the `items` argument was an empty array.
- **fix:** Fixed a fatal error on the `withdraw` endpoint if admin set an empty string for Minimum Withdraw Limit under Dokan Settings → Withdraw Options
- **fix:** [DeliveryTime] Update Order Delivery Time emails are not being sent to guest customers.
Guest customers now receive Update Order Delivery Time emails Previously, when an order was placed by a guest customer, neither the Admin nor the Vendor Update Order Delivery Time emails were sent. The system was unable to recognize the guest user’s email, leaving the recipient field empty in the email log. This issue has now been resolved.
- **fix:** [VendorAnalytics] Fixed a fatal error on the vendor dashboard analytics page.
There was an error when the vendor tried to see the store analytics in the dashboard while the Google Analytics Account is not connected in admin settings. The error has been fixed.
- **fix:** [Auction] Fixed an issue where auction products can be created without some mandatory field from the vendor dashboard.
- **update:** [StripeExpress] Failed Payment Requests with Metadata Now Logged for Stripe Express Module.
In previous versions of the Stripe Express module, Stripe Payment Intent for failed payment requests was not accompanied by any metadata logs. Metadata was only logged for successful payments. However, with the latest update, whenever a payment request fails, a detailed log entry with associated metadata will be generated.
- **update:** [VendorSubscriptionProduct] Added support for filtering purchased subscriptions via customer under vendor dashboard product subscription listing page.
The subscription product listing page on the vendor dashboard has been upgraded with the addition of customer-based filtering. This new enhancement allows vendors to conveniently filter their subscription products based on their customers.
- **update:** [StoreSupport] Added store_id and order_id metadata support for store support API.
Previously it was impossible to create a new support request via REST API. With these changes, it is possible to add store support via API.
- **update:** [Booking] Added attribute support for Add New Booking product page under the vendor dashboard.
Previously, vendors can not add attributes to new booking products. At first, they have to create a booking product, save it, and then the attribute section would appear for any operation. Now from the start, vendors will be able to add or edit attributes on the new booking page.
- **update:** [Refund] Marked fully refunded line item input fields as disabled if that item was fully refunded.
Now, there will be no confusion about the refunded amount and input on the order refund window. Only The refundable input will be displayed during an order refund.
- **update:** [VendorAnalytics] Default period for analytics set to last 30 days.
The default date range is set as the last 30 days from the date range picker. It will resolve the confusion of not displaying current date data as the Google Analytics API provide the report data till the previous date.

v3.7.24 Jun 09, 2023
----------------------------------
- **fix:** [VendorVerification] Fixed a fatal error and some warnings when the vendor verification module is enabled.

v3.7.23 Jun 08, 2023
----------------------------------
- **new:** Added API support for withdrawal disbursement vendor settings.
 	Below new API endpoints has been added:
    {{site_url}}/wp-json/dokan/v2/withdraw/disbursement
    {{site_url}}/wp-json/dokan/v2/withdraw/disbursement/disable
- **update:** [VendorVerification] Added Email template support for the emails triggered by the vendor verification feature.
Updated vendor verification document approval emails to use an email template file instead of being written directly in the code. Also, the email templates are now fully translatable.
- **update:** [VendorAnalytics] Added support for Google Analytics version 4.
We understand your concerns about the closing of the Google Analytics API for Universal Analytics and the move to only support Google Analytics Version 4. Our team has worked hard to ensure a smooth migration from UA to GA4. You can now create new Streams and/or migrate your data and metrics to Google Analytics 4.
- **update:** [VendorAnalytics] Removed product quantity and URL size restrictions for analytics queries.
We understand the frustration caused by the URL size limitation in the Google Analytics API V3. With the update to GA4, we’re happy to announce that this restriction has been lifted.
- **update:** [VendorAnalytics] The date format for the “From” and “To” date pickers now matches the website’s date format.
Previously, these fields displayed dates in the default browser format of ‘yy-mm-dd’. This ensures consistency in the display of dates across the website.
- **update:** [RequestAQuote] Customers now receive an Order Confirmation email when their quote is converted to an order, providing clarity on the status of their quote.
Customers now receive a new Order Confirmation email when their quote is converted to an order. This update addresses previous uncertainty about the status of quotes by sending a notification to the customer as soon as their quote is approved and ready for payment.
- **fix:** [WPML] Fixed issue with WPML and Dokan where payment redirection and webhook URLs were being translated.
When the WPML plugin is set up with Dokan by the site admin and additional languages are added to the website, the payment redirection and webhook URLs displayed in both admin and vendor settings were being translated. However, for these URLs to work correctly, they need to remain in the website’s main language. We have made changes to ensure that these URLs do not get translated and remain correct.
- **fix:** [VendorShipping] Added validation for free shipping availability for vendors using the Dokan shipping method.
This update extends the support for WooCommerce free shipping validation to include vendors using the Dokan shipping method, ensuring consistent validation across all vendor shipping options.
- **fix:** The date and time format for the Shipping Tracking Shipment Timeline now matches the website’s global settings.
This update ensures that the timeline displays dates and times in the format specified in the website’s settings and localization options, rather than using a fixed format.
- **fix:** [VendorShipping] Shipping zones in the Vendor Shipping Settings now reflect the sorting order set by the Admin in the WooCommerce Admin settings.
Previously, the sorting order of shipping zones was not displayed correctly in the Vendor Shipping Settings, causing confusion for vendors. This update ensures that shipping zones are displayed in the correct order according to the Admin’s settings.
- **fix:** Resolved an issue with importing products on the vendor dashboard when using Arabic translation with Loco Translate.
It appears that there was a problem or bug when attempting to import products on the vendor dashboard, specifically when the site is translated into Arabic or other right-to-left (RTL) languages using the [Loco Translate](https://wordpress.org/plugins/loco-translate/) plugin and the [Automatic Translate Addon For Loco Translate](https://wordpress.org/plugins/automatic-translator-addon-for-loco-translate/) plugin. However, the issue with the product import has been resolved and fixed.
- **fix:** [RequestForQuote] Quote Rules are applying for products under the vendor dashboard product listing page.
Vendors can now view their own product prices on the vendor product dashboard in the Dokan plugin for WordPress and WooCommerce. Previously, when a quotation rule was applied to a vendor, it prevented them from seeing their own product prices on the dashboard. This issue has been resolved, providing a more transparent experience for vendors using the plugin.
- **fix:** [StoreOpneCloseTime] Resolved an issue where vendors were unable to configure their store’s opening and closing times using a mobile device.
Previously, in the mobile responsive view, the open and close times were hidden and the time-picker was malfunctioning, preventing vendors from setting their store hours. This update ensures that vendors can now easily set their store hours using a mobile device.
- **fix:** [DokanRefund] Resolved an issue where the refund template did not allow for child theme overrides.
Previously, when a refund was processed, the Dokan template was always used instead of any customizations made in a child theme. This issue has been addressed by updating the load_order_items() function in ajax.php to check for a child theme version of the template before defaulting to the Dokan template.
- **fix:** [StoreReview] Resolved a translation issue where `Comment box is empty` string wasn’t translatable.

v3.7.22 May 24, 2023
----------------------------------
- **update:** [AdminReport] A new column has been added to the admin commission report in WordPres Dashboard → Dokan → Reports → Logs to display Shipping Tax. Additionally, detailed tooltips have been included to indicate the type of earnings for both admin and vendors.
- **update:** [VendorDashboard] Added Shipping tax refund restriction based on tax settings.
- **update:** [DeliveryTime] Delivery time selection now prevents choosing past times.
- **fix:** “Change Store Photo" text blocks image upload clickable region
- **fix:** [ProductReviews] Disabling Product Reviews in WooCommerce Does Not Hide Reviews Menu in Vendor Dashboard.
- **fix:** Fixed some warnings and fatal errors for PHP versions 8.1 and 8.2.
- **fix:** [DokanWPML] Fixed an issue where categories were not appearing on the multistep category UI when using the latest version of WPML Multilingual CMS and it was not configured.
- **fix:** [VendorDashboard] Translation wasn’t working for some modules eg: Seller Badge.
- **fix:** [EuComplianceFields] Fixed new customer created from checkout page getting a "None" user role
- **fix:** [StripeExpress] An issue with saving payment methods for customers without a billing address in Stripe Express module has been resolved.

v3.7.21 May 10, 2023
----------------------------------

- **fix:** Remove assigned store categories from a user while deleting a user account
- **fix:** Fixed wrong counts of store categories under Dokan admin page
- **fix:** [ProductVariationController.php] fix syntax error in get_item_schema() call
- **fix:** [SellerBadge] fixed a typo in the properties key of the item schema
- **fix:** [VendorSubscription] Added null check for $product before checking its type
- **fix:** Fixed badge events are firing even though no badge has been created yet.
- **fix:** Fixed badge search doesn't work after providing an invalid search value under vendor dashboard
- **fix:** [StripeExpress] Save Card for stripe connect doesn't work correctly if the Stripe Express module is enabled
- **fix:** [StripeExpress] Can not add a new Payment Method using Stripe Express from the My Account page if the cart is not empty (Vendor should be connected using Stripe Express)
- **fix:** [StripeExpress] Fixed a fatal error while adding a customer payment method (card) from the My Account --> Payment Methods page.
- **fix:** Fixed after expiration of a subscription, repurchasing vendor subscription publishes all vendor products regardless of product status[draft, pending review, online]
- **fix:** [Booking] Fixed calendar doesn't show up while creating booking from the Vendor Dashboard --> Booking --> Add Booking menu
- **fix:** [VendorVerification] Fixed verified badge on the single store page is not appearing in all store headers.
- **fix:** [DokanStripeExpress] Fixed the vendors are redirected to the first step of the seller setup wizard after they connect their Stripe account in the second step.

- **update:** [ProductAdvertisement] Added sold individually param to true for advertisement base product when creating it, so that quantity can't be changed
- **update:** Added Dokan dummy data link under WordPress Dashboard --> Dokan --> Tools menu
- **update:** [DistanceRateShipping] Added a new section to check if Distance Matrix API is enabled for Google Map API Key.
- **update:** [ColorSchemeCustomizer] Used color set by Color Scheme Customizer Module instead of hardcoded value for Report Abuse modal header color
- **update:** [RFQ] Changed REST base dokan/v1/customers to dokan/v1/request-for-quote/customers since Dokan Mobile App already occupied this REST base
- **update:** [RFQ] Changed REST base dokan/v1/dokan-quote-rule to dokan/v1/request-for-quote/dokan-quote-rule
- **update:** [RFQ] Changed REST base dokan/v1/dokan-request-quote to dokan/v1/request-for-quote/
- **update:** [RFQ] Changed REST base dokan/v1/roles to dokan/v1/request-for-quote/roles
- **update:** [VendorSubscription] Added cart notices under vendor subscription list page, previously error messages were displaying only on cart or checkout pages.
- **update:** Remove expected earning calculation from subscription and variable products
- **update:** [StripeExpress] Set country field as required if Cross Border Transfer and Onboarding feature is enabled from Payment Gateway setting
- **update:** [StripeExpress] Added a button to cancel onboarding process from Vendor Dashboard payment settings page

v3.7.20 Apr 28, 2023
----------------------------------

- **update:** [VendorAnalytics] Completed Google verification for Vendor Analytics App.


v3.7.19 Apr 17, 2023
----------------------------------

- **new:** [API] Added new API endpoint for SPMV module, endpoints are
-- www.example.com/wp-json/dokan/v1/spmv-product/settings,
-- www.example.com/wp-json/dokan/v1/spmv-product/search,
-- www.example.com/wp-json/dokan/v1/spmv-product/add-to-cart
- **update:** [StripeExpress] Moved some CSS code to the Astra theme support folder.
- **fix:** Fixed a design issue under the Social profile link on the vendor dashboard.
- **fix:** [ProductReviews] Fixed bulk actions are not working on the review list page under vendor dashboard
- **fix:** Fixed some PHP warning under admin dashboard users profile edit page


v3.7.18 Apr 10, 2023
----------------------------------

- **fix:** [VendorDashboard] Fixed announcement menu is not highlighted for the announcement details page.
- **fix:** [VendorDashboard] Fixed wrong navigation link on the order details page on product line items lists.
- **fix:** [VendorDashboard] Fixed duplicating any product bypass the New Product Status feature, now set to draft as default product status
- **fix:** Fixed some deprecated PHP warnings
- **fix:** [StoreSupport] Fixed Support ticket wasn't loading from admin panel if vendor id wasn't found on topic meta.
- **fix:** [RequestForQuote] Fixed unable to add variable products to the cart if the request for quotation module is enabled
- **fix:** [StoreOpenCloseTime] Fixed time selector of the store open close time settings was broken.
- **fix:** [Refund] Refund request wasn't successful if tax amount rounding precision is greater than 2
- **update:** [StripeExpress] Admin will be able to disconnect/delete connected seller accounts from the admin dashboard user details page
- **update:** [MangoPay] Added support for non-recurring payments for Vendor Subscription products.

v3.7.17 Mar 23, 2023
----------------------------------
- **new:** [StripeExpress] Support for cross-border onboarding and transfer within the boundary of the European Union and SEPA
- **new:** [NewVendorDashboard] Added support for Rank Math Module
- **new:** [NewVendorDashboard] Added support for Geolocation Module
- **new:** [StripeExpress] Added support for purchasing product advertisement via Stripe Express
- **new:** [MangoPay] Added support for purchasing product advertisement via Mango Pay
- **new:** [FollowStore] Added API endpoint to get a vendor follower list (wp-json/dokan/v1/follow-store/followers?vendor_id=1)

- **update:** [StripeExpress] Optimized payment request buttons implementation on the cart page
- **update:** [SPMV] Removed the capability to clone Grouped Products.
- **update:** [PayPalMarketplace] Display a formatted error message if a refund request gets canceled due to insufficient balance under the vendor’s PayPal account.
- **update:** [PayPalMarketplace] Set PayPal product type to PPCP only if UCC mode is enabled and supported otherwise product type will be selected as Express.
- **update:** [HPOS] Added High Performance Order Storage support for MangoPay and StripeExpress

- **fix:** [ProductCategoryPopup] Default category is selected by default during bulk edit has been fixed
- **fix:** [SPMV] Product Advertisement Payment & Reverse Withdrawal Payment product showing on SPMV list
- **fix:** [FollowStore] Fixed permalink reset issue after activating the module
- **fix:** [StoreCategories] Uncategorized count increases after adding new users other than seller role

v3.7.16 Mar 09, 2023
----------------------------------
- **update:** [WithdrawDisbursement] Added unsubscribe option for auto disbursement schedule for vendors.
There is no unsubscribe option for the withdrawal auto-disbursement schedule. Vendors can't disable auto-withdraw requests once it is enabled.
- **update:** [WithdrawDisbursement] Added announcement support for the withdraw disbursement schedule after admin reset (disable/enable) that particular disbursement option. There's no option for a vendor to know whether his/her schedule method is reset or not.
- **update:** [Shipping] Added Free Shipping validity check support for individual vendors shipping if set from individual shipping options or coupon
- **fix:** [GEOLocation] The product is not showing when searching for products using the product location address on the shop page
- **fix:** [VendorStoreSettings] State option appear while choosing the country with no state
- **fix:** [Refund] Fixed a fatal error while refunding an order from vendor dashboard if order line item doesn’t contain tax.
- **fix:** [Refund] The vendor earnings become negative after the admin approves any refund request.


v3.7.15 Feb 23, 2023
----------------------------------

- **update:** [Shortcode] Added user role-based validation for the customer-to-vendor migration shortcode.
- **update:** [StoreSettings] Added DateRangePicker library instead of DatePicker for vacation mode settings.
- **update:** [ShipStation] Dsiplay admin dependency notice to resolve conflict with “WooCommerce – ShipStation Integration” plugin
- **update:** [SellerBadge] Removed the placeholder condition part for the badges that do not require a condition and placed a self-explanatory content on that part.
- **update:** [SellerBadge] Replaced the Logical select dropdown with the text ‘More Than’ as the dropdown was not required.
- **update:** [DistanceRateShipping] Replaced `Second Address` text with `City` under Distance Rate Shipping Vendor Settings page under City text box description.
- **update:** [DeliveryTime]: Added Delivery/Pickup time in order confirmation email of admin, vendor, and customer.

- **fix:** [Shortcode] The customer-to-vendor migration form throwing a fatal error after submitting has been fixed.
- **fix:** [Refund] Vendor can't refund if the remaining amount is in fraction (e.g. 0.01) for order total/tax/shipping
- **fix:** [StoreSettings] DatePicker was disabling wrong dates after adding a vacation schedule on seller vacation mode settings.
- **fix:** [StoreSettings] Duplicate `Set Vacation Message` textbox was displaying if `Date wise close` mode is selected for vacation mode settings.
- **fix:** [StoreSettings] Unnecessary validation message for `Set Vacation Message` textbox after store settings have been saved.
- **fix:** [RequestAQuote] Getting a "Your quote is currently empty." message when a customer submitted the quotation request has been fixed
- **fix:** [Elementor] Hiding the vendor info from the WP admin dashboard Dokan setting still the vendor information appearing on the single store page has been fixed.
- **fix:** Vendor profile picture becomes blurred if the profile picture is uploaded from the admin dashboard.
- **fix:** [AdminCoupon] Fixed minimum amount of admin coupon applies based on the base product price, excluding tax
- **fix:** [SellerBadge] Removed animation from badge add/edit page
- **fix:** [Geolocation] If products are exported without meta value and trying to update them, it gets stuck and returns a fatal error when the Geolocation module is enabled.
- **fix:** [StoreReview] The markup on the Vendor Dashboard Reviews page is broken if the Vendor Product Review option is disabled in the admin settings.
- **fix:** [StripeConnect] The `Processing Fee Paid By` tooltip generated by Dokan Stripe Connect is sending the wrong message if the gateway fee was paid by the admin.
- **fix:** [Booking] Vendors are getting incorrect links via emails to view the single order and all orders.

v3.7.14 Feb 13, 2023
----------------------------------

- **new:** [Module] Seller Badge: Offer vendors varieties of badges by their performance in your marketplace.
- **new:** [API] new endpoint to duplicate product via API: `/dokan/v2/products/:id/duplicate`
- **fix:** [Refund] The search option in the Refund menu is not operational.
- **fix:** [VendorStaff] Product importer gets stuck when a vendor staff tries to import products.
- **fix:** [RestAPI]: fatal error for deleting product variation
- **fix:** [MinMaxQuantities] Min-max rule for products cannot be disabled.
- **fix:** [DokanShippingStatus] The order note email is sent to the customer when a shipping status is added to an order by the vendor alongside the shipping status email.
- **fix:** [Dokan Wholesale]: Wholesale customer approval setting is not working correctly.
- **fix:** [Refund] Using more user-friendly alert for sub-orders refund from the main order and refunded products are not being restocked.
- **fix:** [Elementor] The available templates do not show up on the Library modal window.
- **fix:** [VendorReports] Fixed wrong calculation of net sales on vendor reports
- **fix:** [AdminReports] Fixed "By Day" & "By Vendor" filter screen keeps loading
- **fix:** [RequestForQuotation] Customer search of Request for Quotation not working on the plain permalink structure
- **fix:** [RequestForQuotation]  Error on updating existing quote of Request for Quotation module if plain permalink selected
- **fix:** [RequestForQuotation]  Error on adding new quote rule of Request for Quotation module if plain permalink selected
- **fix:** [RequestForQuotation]  Error on updating existing quote rule of Request for Quotation module if plain permalink selected

v3.7.13 Jan 26, 2023
----------------------------------
- **new:** Extended REST API support for Dokan
-- https://example.com/wp-json/dokan/v1/vendor-dashboard/profile-progressbar
-- https://example.com/wp-json/dokan/v1/rank-math/{id}//store-current-editable-post
-- https://example.com/wp-json/dokan/v1/blocks/product-variation/{id}
-- https://example.com/wp-json/dokan/v1/products/{id}/variations/{id}
-- https://example.com/wp-json/dokan/v1/products/{id}/variations/batch
- **new:** Added a filter hook named `dokan_vendor_biography_form` to control vendor biography form arguments
- **new:** Added a filter named `dokan_paypal_marketplace_product_type` hook to control PayPal marketplace default product type

- **update:** Allow vendors to add new values to predefined attributes
- **update:** Added a new section to regenerate variable products author under Dokan → Tools page.

- **fix:** Multiple store category modal wasn’t working for some theme
- **fix:** [StoreReview]: Reviews page markup broken if Vendor Product Review option disabled from admin settings
- **fix:** [Booking] The vendors are getting an error on the vendor dashboard while adding a person type.
- **fix:** [Booking] Enabling two booking products that require confirmation is throwing an email error.
- **fix:** [DeliveryTime] Added translation support for delivery slot calendar under checkout page.

v3.7.12 Jan 10, 2023
----------------------------------
- **update:** [StripeExpress ] Added support for source transaction in Stripe Express
- **fix:** [DeliveryTime] Missing delivery time for the newly registered customer at the time of ordering

v3.7.11 Dec 26, 2022
----------------------------------
- **fix:** [VendorSubscription] Vendors subscription pack validity date invalid, it was getting the date without formating from subscription product.

v3.7.10 Nov 30, 2022
----------------------------------
- **fix:** [Stripe Express] Payment error when WooCommerce subscription is disabled
- **fix:** [Geolocation] Product filtering was not working when geolocation was not set in the filters
- **fix:** [RMA] A fatal error occurs when the RMA Requests page is visited from my account page if order doesn't exists on database
- **fix:** [Rank Math SEO] Assets dependency issue with the latest version of Rank Math SEO

- **update:** Updated UI/UX of vendor dashboard submenu
- **update:** [Vendor Subscription] Enabled support for guest users to purchase vendor subscription pack.


v3.7.9 Nov 03, 2022
----------------------------------

**fix:** Store category filter was not working in the admin panel
**fix:** [Geolocation] Store filtering was not working when geolocation was not set in the filters
**fix:** SweetAlert library is conflicting with the WooCommerce Conversion Tracking plugin
**fix:** Fixed a fatal error after installing the Disable Rest API plugin
**fix:** [DeliveryTime] Delivery time box is showing on admin orders, even though the delivery setting is not enabled
**fix:** [DeliveryTime] Delivery time box is showing on vendor orders, even though the delivery setting is not enabled
**fix:** [DeliveryTime] Fixed some warnings on a fresh installation

v3.7.8 Oct 27, 2022
----------------------------------

**new:**  [DeliveryTime] Added per day multiple delivery time slot support
**new:** [VendorSubscription/StripeExpress] Added Stripe Express support for the Vendor Subscription module
**new:** [ProductSubscription/StripeExpress] Added Stripe Express support for the Vendor Product Subscription module

**update:** [DeliveryTime] Updated vendor delivery time UI.
**update:** [DeliveryTime] Added delivery type (Home Delivery/Store Pickup) settings for admin
**update:** [DeliveryTime] Added store pickup time section under vendor dashboard order details page, also under the wooCommerce order details page store pickup-related information is displayed.
**update:** [DeliveryTime] Now vendors’ will be able to switch Delivery Time to Store location pickup from the order details page.
**update:** [DeliveryTime] Added `Full Day` support for delivery time for both admin and vendors.
**update:** [DeliveryTime] Added email notification support for customers after modifying order delivery time from the vendor dashboard.
**update:** [DeliveryTime] Added email notification support for customers & vendors after admin updates order delivery time from the wooCommerce admin dashboard order panel.
**update:** First day of the delivery time widget was set according to the site settings.
**update:** [Stripe Express] Added support for SEPA Direct Debit payment method to be used in favor of iDEAL during recurring vendor subscription
**update:** [Stripe Express] Removed Wallet payment methods from Add payment method page as they are not needed there
**update:** [Stripe Express] Removed Dokan prefix/postfix from customer/vendor end
**update:** [Stripe Express] Added theme-changing option for Stripe payment element
**update:** [MangoPay] Updated the MangoPay API library to the latest version.
**update:** [MangoPay] Set card payin with 3ds2 as mandatory

**fix:** [DeliveryTime] Custom date format isn’t working if the suffix is applied `eg: 1st` now has been fixed
**fix:** [VariableProduct] Some fields and options are missing for the variations section under the vendor dashboard product edit page
**fix:** [RequestForQuotation] When there are multiple requests for quotation rules, rules priority wasn’t considered and all the applicable rules were merged.
**fix:** [Refund] Tax Amount Box takes 3 Decimal Places under vendor dashboard order details page
**fix:** [Shipping] Fixed shipping cache wasn't removed after a shipping method has been enabled or disabled from the vendor dashboard.
**fix:** [StripeConnect] `No such customer found` error after changing API credentials of Stripe modules for Dokan Stripe Connect(non-3ds)
**fix:** [RMA] Fixes when a customer sends a refund request for multiple products, the amount of products shown in the quantity dropdown does not decrease accordingly
**fix:** [Geolocation] The geolocation map's pop-up on the shop page and the store listing page is not working fixes
**fix:** [VendorAnalytics] Tracking number is not being added to the source file when the Add Tracking Code setting is enabled.
**fix:** [TableRateShipping/WPML] table rate shipping vendor settings page wasn't accessible if the site language wasn't set to English.
**fix:** [TableRateShipping] Shipping Class column hides after switching to a secondary language.
**fix:** [Elementor] Spaces between paragraphs are too large under the store terms and condition page.
**fix:** [Stripe Express] UI conflict of payment request button with Astra theme in the single product page
**fix:** For all payment gateways, announcements and notices to non-connected sellers were showing for inactive withdrawal methods.

v3.7.7 Oct 11, 2022
----------------------------------

- **update:** [ColorSchemeCustomizer] Product create popup modal color aligned with the selected theme color.
- **update:** [StoreReview] Moved bulk action fields to the top of the store review lists under the vendor dashboard
- **update:** [SellerVacation/Auction] Added vacation mode support for Auction products
- **update:** [SellerVacation] Added vacation message fields as a required field under the vendor dashboard store settings page.  Previously it was displaying an empty box on the store page if this field was empty.
- **update:** [Booking] Hide Accommodation Addon types checkboxes from the regular products' edit product page/form

- **fix:** [RMA] Fixed the Store Credit Coupon does not include any products at the time of coupon creation
- **fix:** [Booking] Fixed PHP Notice: Undefined index: add_resource_name while creating booking resource with empty resource person
- **fix:** [TableRateShipping] Fixed Vendor Table Rate Shipping's > Method Title does not work correctly
- **fix:** [StoreReview] Fixed unable to translate Guest string
- **fix:** [SellerVacation] Fixed product status doesn't show on the booking product listing page if the vendor enables vacation mode
- **fix:** [Elementor] Fixed store banner and profile images are not showing on the single store page after updating to Dokan Pro 3.7.6
- **fix:** [Elementor] Fixed a deprecation warning that shows up in Query Monitor on the front end of the site
- **fix:** [StoreOpenCloseTime] Fixed console error on shop page
- **fix:** [Auction] Fixed needed to save permalinks for the auction module to work after the WooCommerce Auction plugin is activated
- **fix:** [RequestAQuote] Fixed template files NewQuote.php and UpdateQuote.php have the same ID: dokan_request_new_quote
- **fix:** [VendorSubscription] Fixed the dropdown list of subscription packs on the vendor registration form is not working
- **fix:** [VendorSubscription] Fixed customer becomes vendor form ( showing all subscription packs) while the Dokan subscription module is enabled
- **fix:** [VendorShipping] Fixed after changing the shipping cost from the vendor dashboard, it does not update on the cart by reloading the page
- **fix:** [VendorShipping] Prevent vendors from inputting currency in the "Flat Rate" shipping method's cost fields.

v3.7.6 Sep 27, 2022
----------------------------------

- **fix:** [SPMV] Fixed magnify popup style broken in SPMV search result page
- **fix:** Fixed some warning while bulk publishing products
- **fix:** [Coupons]: Dokan coupon is not applying for the variations if the parent product is selected for that coupon.
- **fix:** [Geolocation] Fixed Map is not loading on some pages
- **fix:** [Vendor Subscription] Some deprecated warnings while creating renewal order for Vendor Subscription.
- **fix:** [Elementor] Fatal error on elementor update when dokan container is not set
- **fix:** [PayPal Marketplace] Smart payment button was not loading
- **fix:** [VendorSubscription] Selecting a child category doesn’t work on child category children.

v3.7.5 Aug 25, 2022
----------------------------------

- **new:** [Auction] Multistep product category implementation for Auction Module
- **new:** [Booking] Multistep product category implementation for Booking Module

- **update:** No message after clicking the `save changes` button on the vendor dashboard Ship Station settings
- **update:** Display active and inactive module count under the Dokan module page
- **update:** [ColorSchemeCustomizer] Added extended supports for Color Scheme Customizer module on frontend

- **fix:** [StripeConnect] Fixed a deprecated warning `Method WC_Subscriptions::redirect_ajax_add_to_cart is deprecated since version 4.0.0`
- **fix:** [VendorSubscriptionProduct] fixed a deprecated warning `Function WC_Subscriptions::is_duplicate_site is deprecated since version 4.0.0!`
- **fix:** [TableRateShipping] Fixed tooltip not working for table rate shipping under vendor dashboard
- **fix:** [Elementor] Single Store Page templates were not loading on latest version of Elementor
- **fix:** [Elementor] Fixed some deprecated warnings on Dokan Elementor module

v3.7.4 Aug 10, 2022
----------------------------------

- **new:** [Elementor] Single store page Featured, Latest, Best-selling, Top-rated products widget for Elementor module
- **new:** Introduced a new filter hook named `dokan_progressbar_translated_string`
- **new:** Product Inline Edit Support Catalog Mode for Products
- **new:** [Booking] Added Catalog Mode support for Booking Products
- **new:** [RequestAQuote] Added Catalog Mode support

- **update:** Implement new category UI in product Quick edit and bulk edit in vendor dashboard.
- **update:** Load asset (css/js) files only on required pages

- **fix:** Skrill payment gateway shows disconnect button for new vendors even though it is not connected.
- **fix:**[WireCard/Moip] Wirecard payment gateway showed under vendor withdraw options when the module is enabled regardless of the payment method enabled in WooCommerce
- **fix:** Delete coupon cache for marketplace coupon after seller account has been deleted.
- **fix:** [MangoPay] KYC documents were being `Out of Date` in some cases.
- **fix:** PHP warning for vendor shipment status email template
- **fix:** [Geolocation] Filter by the vendor wasn't working if the Show Filters Before Location Map setting is turned off from the Geolocation admin setting
- **fix:** Updated Pending Product - email was sent for already published products if the setting is enabled for a vendor: Publish Product Directly.
- **fix:** [Stripe Express] Error on adding payment method from My Account -> Add Payment Method page when the gateway setup process wasn't completed.
- **fix:** [StripeConnect] Fixed redirect URL mismatch with stripe oAuth redirect URL
- **fix:** [OrderMinMax] Fixed fatal error while calling filter product API from Request a Quote module
- **fix:** [ProductAdvertisement] Fixed 3 warnings on the home page if the Product advertisement module is active
- **fix:** [Elementor] Fixed single store page products broken layout of elementor widgets on storefront theme
- **fix:** [VendorSubscription] Categories restriction wasn't working when restrict categories was enabled from vendor subscription product.
- **fix:** [StripeConnect] Fixed invalid redirect url issue after vendor connect their account with stripe
- **fix:** [RMA] fixed fatal error while purchasing booking product if rma module is active
- **fix:** [DeliveryTime] Added translation support for Delivery Time Calendar
- **fix:** [Refund] Translation issue on refund required parameters
- **fix:** [RequestAQuote] change text permanent delete to Delete Permanently
- **fix:** [RequestAQuote] Search for the product wasn't working while creating new Quotes or new Quote rules
- **fix:** [VendorStaff] Removed unfiltered_html capabilities from vendor_staff role
- **fix:** Changing withdraw method doesn't always show Withdraw Method Changed Modal window for withdraw disbursement feature under Dokan admin settings.

v3.7.3 Jul 26, 2022
----------------------------------

- **fix:** [RequestForQuotation] Fixed category list wasn’t rendered properly and was missing most of the category items.

v3.7.2 Jul 15, 2022
----------------------------------

- **new:** [ColorSchemeCustomizar] Added dashboard navigation active menu color settings.
- **update:** Removed default values from withdraw disbursement settings
- **update:** [ColorSchemeCustomizar] Added dashboard navigation custom border color settings.
- **fix:** [Stripe] Fixed fatal error on parsing gateway title and a warning after checkout is completed
- **fix:** Fixed data clear pop not showing after checking the data clearing settings checkbox.

v3.7.1 Jun 30, 2022
----------------------------------

- **update:** Added disconnect button to the Skrill payment method
- **update:** Redirect the user to the corresponding payment settings page instead of the payment list page after connecting the payment method.
- **update:** Respect the Dokan withdraw enable/disable method during a show of non-connected seller notice.
- **update:** [Elementor] Update Elementor Store Open/Close times widget & add hover feature to the Store Open/Close times widget.

- **fix:** Fixed some empty method names in Payment Methods section of Vendor Dashboard > Withdraw
- **fix:** [RequestAQuote] Fixed a console warning on WordPress admin panel
- **fix:** After completion of 100% again clicking update settings of store/payment/social profile will popup progress bar again
- **fix:** Progress bar doesn’t update if a vendor is created by the admin
- **fix:** Progress bar doesn’t update if a customer becomes a vendor
- **fix:** No progress bar update for PayPal marketplace, Mangopay, razor pay, custom payment method update


v3.7.0 Jun 14, 2022
----------------------------------

**new:** [ColorSchemeCustomizer] Updated admin color picker settings page and included 7 different color pallets for admin to choose from.
**new:** [VendorStaff] An email is sent to the vendor staff if the vendor changes the password.

**update:** Updated Dokan Pro and all modules settings page design according to the new settings page
**update:** if ‘Selling Product Types’ is set to ‘I plan to sell only digital products’ then when creating new variations of a variable product the 'Downloadable' and 'Virtual' checkboxes will be checked automatically if the corresponding values are empty. otherwise, the saved values will be placed
**update:** [ProductAdvertisement] delete advertisement product reference after the base product has been moved to the trash
**update:** [ProductAdvertisement] create advertisement base product after saving advertisement settings

**fix:** WPML translated endpoint not working in payment settings page
**fix:** Distance rate shipping doesn't show the proper shipping method title under Cart and Checkout page
**fix:** Distance rate shipping method rules order not saved
**fix:** Coupon percentage discount type doesn't respect WooCommerce decimal/thousand settings for coupon amount
**fix:** admin shipping method deletion doesn't delete vendor shipping methods

v3.6.2 Jun 03, 2022
----------------------------------

**Update:** [Stripe Express] Added filter `dokan_stripe_express_payment_method_title` to manipulate payment method title
**Update:** [Stripe express] Billing, shipping, and tax data processing for payment request
**Update:** [Stripe express] Updated some validation to restrict some unnecessary process
**Fix:** [Stripe express] Live mode API wasn't working


v3.6.1 May 31, 2022
----------------------------------

**new:** Stripe Express - Enable split payments, multi-seller payments, Apple Pay, Google Pay, iDEAL and other marketplace features available in Stripe Express.
**new:** [ProductAdvertising] Added reverse withdrawal support
**new:** [PayPal Marketplace] Added reverse withdrawal payment purchase support
**update:** [MangoPay] Some UX for MangoPay payment settings in vendor dashboard.
**update:** Introduce a callback to withdraw methods to determine if a seller if connected to that withdraw method
**fix:** Negative vendor earning entry while refunding a multivendor order fully.
**fix:** marketplace coupon bound to some vendors applies to other vendors' products
**fix:** vendor coupon applies to sale items even if its exclude sale item flag is true
**fix:** [MangoPay] Empty state error was being thrown for some addresses where state is not required.
**fix:** [Stripe Connect] Payment element's designs of other Stripe gateways were breaking.

v3.6.0 May 18, 2022
----------------------------------

- **new:** [Module] Request for Quotation Doc Link# https://wedevs.com/docs/dokan/modules/dokan-request-for-quotation-module/
- **chore:** Minimum WooCommerce version is set to 5.0
- **chore:** Minimum WordPress version is set to 5.4
- **update:** Now vendor can choose if a Free shipping rule should be applied before or after deducing the coupon discount amount.
- **update:** [StoreSupport] Added Store Support unread ticket status icon, and added email settings and new email templates to send support status email to admin.
- **update:** [Auction] Added filters to the auctions products under vendor dashboard
- **update:** [Auction] Added email search in auctions activity page
- **fix:** With a manual booking, vendor is being charged instead of the customer
- **fix:** Fixed a translation issue for automatic withdraw page’s minimum withdraw amount
- **fix:** Vendor shipping zone is not selected properly on the cart page due to caching issue.
- **fix:** Stop the nonce verification failed message after saving store settings
- **fix:** [Auction] Fixed pagination under auctions products list page
- **fix:** [SPMV] min/max price show product not working if cloned products price diff is less than 1.

v3.5.6 Apr 26, 2022
----------------------------------

- **fix:** The Shipping tax is not calculated on Flat Rate shipping if there is any other method under the Flat Rate shipping method
- **fix:** [MangoPay] Fixed live API key not working issue
-  **fix:** Customer does not get the verification link in the email if 'Enable Subscription in registration form' is enabled in Vendor Subscription
- **update:** Added withdraw method icon filter hook: dokan_withdraw_method_icon
- **update:** Added withdraw method heading filter hook: dokan_vendor_dashboard_payment_settings_heading
- **update:** Added icons in images directory inside corresponding assets directory of withdraw methods if the icon file is missing

v3.5.5 Apr 13, 2022
----------------------------------

- **update:** [VendorVerification] Added vendor proof of residence upload feature
- **update:** [StoreReview] Added email notification for new store reviews
- **fix:** Fixed Availability Range of the bookable product can not be deleted when the product is checked to be Accommodation Booking type.
- **fix:** [Elementor] Fixed some deprecated warnings and a fatal error while using the latest version of Elementor.
- **fix:** [Booking] Fixed Booking not visible in Day view of the calendar if site language is other than English
- **fix:** [Geolocation] The product location of the pending review products are automatically changed to same as store on publish has been fixed.
- **fix:** [VendorSubscription] Vendor are being able to create variations even after restricting using subscription packs has been fixed now.
- **notice:** added survey notice for dokan pro
- **fix:** [PayPalMarketplace] Fixed invalid parameter value error while creating vendor subscription if price contain more that 2 digits after decimal points.

v3.5.4 Mar 18, 2022
----------------------------------

- **fix:** [SPMV] Fatal error under Single Product Multiple Vendor module while trying to clone auction product
- **fix:** Fixed some translation issue under Vendor Subscription, Vendor Verification, Paypal Marketplace, Mangopay, RazorPay, and Product Advertising module
- **fix:** [OrderMinMax] Fixed a warning after clicking Order Again on a completed order
- **fix:** [Product Addons] Completion of successful add-on creation alert message has wrong css class
- **fix:** Fixed adding two products from different vendors and one of them is virtual, will receive a warning error on the cart page.
- **fix:** JS console error while loading product category & product add new pages has been fixed
- **fix:** [PayPal Marketplace] Update seller enable for receive payment status if not already updated due to failed web hook event
- **fix:** [VendorSubscription] Remove validation if no subscription is active under vendor registration form
- **fix:** [StoreSupport] fixed get support popup not working properly in single product page if only Store Support module is activated
- **fix:** [RMA] Send refund button is not working under RMA refund request screen
- **fix:** [Stripe] 'Your card number is incomplete' issue on checkout pay order page
- **fix:** [Booking/Auction] Fixed product geolocation is not working for Booking and Auction Products
- **fix:** Fixed follow button not working under 'My Account' > 'Vendors' section
- **update:** Set delivery time week start date similar to WordPress week start settings
- **update:** [MangoPay] Applied some logic to restrict unnecessary implementations for MangoPay
- **update:** [PayPal Marketplace] Restart Payment flow in case of funding source error on PayPal ie: user doesn’t have enough balance
- **update:** [PayPal Marketplace] Display user friendly error messages instead of generic message
- **update:** [PayPal Marketplace] Set Shipping and Tax fee recipient to seller despite of admin settings, previously it was displaying error on checkout page if shipping fee recipient was set to admin
- **update:** [PayPal Marketplace] Added purchasing capability for not logged in user

v3.5.3 Mar 08, 2022
----------------------------------

- **update:** Stop loading unnecessary style and script files on every page #1628
- **update:** [StoreSupport] Added localization support for date time picker library #1783
- **fix:** vendor info was set to null if vendor haven’t assigned to any store category
- **fix:** Dokan was creating unnecessary rows in the termmeta table, now has been fixed #1796
- **fix:** fixed fatal error while checking dokan_is_store_open(), if admin didn't run dokan migrator
- **fix:** fixed fatal error on dokan migrator
- **fix:** [EU Compliance Fields] Fixed a fatal error while saving Germanized trusted product variation fields data
- **fix:** [EU Compliance Fields] fatal error on wcpdf invoice integration on php version 8.0+
- **fix:** [Elementor] Fixed a warning due to compatibility issue with latest version of Store Support Module
- **fix:** [Elementor] Fixed social profile Elementor icon widget wasn’t working properly due to conflict with latest version of font awesome library #1793
- **fix:** [StoreReviewe] fixed a fatal error while clicking Sell This Item from spmv module
- **fix:** [Dokan Stripe] Fixed gateway fee was returning 0 in case of several partial refunds requested for same order #1678
- **fix:** [Product Enquiry] Fixed loading icon always displaying after product enquiry email is sent #1797

v3.5.2 Feb 28, 2022
----------------------------------

- **new:** [SPMV] Added product search feature under Add New Product  page if Single Product Multi Vendor module is enabled. #1576
- **update:** Added seller verification badge under Store listing page, single store page,  and single product page #1708
- **update:** Option to close progress bar if profile completeness score is 100% #1726
- **update:** [EU Compliance Fields] Added EU Compliance Customer Fields in Order details Billing and Billing section of Customer profile #1724
- **update:**  Module page design updates #1754
- **fix:** [StoreSupport] Activating Store Support from Modules has no reflection on the single store page unless vendor update their settings #1702
- **fix:** Tools - Page Installation Pages button does not work appropriately #1719
- **fix:**  Hide add new coupon button from coupon create page #1720
- **fix:** Shipping continent is not being shown under the shipping tab on the single product page. #1721
- **fix:** [Booking] Disable shipping option when virtual is enabled for bookable products #1722
- **fix:** [Booking] Resource available quantity field is empty #1723
- **fix:** Added Dokan Upgrader to delivery time schema updates #1770
- **fix:** Styles are not being saved If the announcement is drafted or edited after scheduled #1771
- **fix:** [Booking] Showing an extra comma in the Booking resource's Parent products when a connected product is deleted. #1772

v3.5.1 Feb 17, 2022
----------------------------------

- **fix:** Multiple store open close time wasn't working for Store Open/Close time Widget
- **fix:** [Elementor] Single Store Page template was missing from Elementor template selection dropdown
- **fix:** [Elementor] Product Widgets disappeared from Elementor single Product Page template edit panel

v3.5.0 Feb 03, 2022
----------------------------------

- **feat:** [Module] Razorpay Payment Gateway: Accept credit card payments and allow your sellers to get automatic split payment in Dokan via Razorpay
- **feat:** [Module] MangoPay: Enable split payments, multi-seller payments, and other marketplace features given by MangoPay.
-  **feat:** [Module] Min Max Quantities: Set a minimum or maximum purchase quantity or amount for the products of your marketplace.
- **feat:** [Module] Product Advertising: Admin can earn more by allowing vendors to advertise their products and give them the right exposure.
- **feat:** [Store Support] Added Store Support for site admin.
- **feat:** Added support for Multiple store open close time for vendor store.
- **feat:** Automatic withdrawal disbursement.
- **feat:**  Added custom withdraw method support for admin.

- **update:** Updated design for module page.
- **update:** For Store open close time widget,  first day of the week will start on according to the WordPress settings.
- **update:** [Store Support] Design updated on vendor dashboard store support page and customer dashboard support page.
- **update:** Compatibility with latest release of Rank math SEO.
- **update:** [Booking] Added support for "=" symbol while creating range and setting up the cost while creating a bookable product.
- **update:** [Booking] Set the minimum allowed value for 'Minimum booking window ( into the future )' to zero(0).
- **update:** Updated some admin notices for better readability.
- **update:** [Geolocation] Added a search button under geolocation shortcode  to search store/product via geolocation, also removed auto reload features for this form.
- **update:** Updated Dokan Free Shipping minimum amount calculation based on WooCommerce (compatibility with latest version).
- **update:** [StoreSupport] Added date range filtering option for vendor support tickets listing.
- **update:** [StoreSupport] Added support tickets count under My Account page.
- **update:** [ProductEnquiry]  reCAPTCHA support added to product enquiry form.
- **update:** [Auction] Added Back Navigation button from auction activity list, also fixed a typo.

- **fix:** Switching subscription plan doesn't work if Paypal Marketplace module is active has been fixed.
- **fix:** Coupon was not expiring at exact expiry date.
- **fix:** [DeliveryTime] Delivery date label wasn’t displaying on frontend checkout page, now has been fixed.
- **fix:** Fixed button width mismatch under vendor dashboard report page.
- **fix:** [Auction] Starting bidding price was not resetting for Re-listing auction products, now has been fixed.
- **fix:** Shipping methods are not available when both digital and physical products are in the cart, now has been fixed.
- **fix:** [Product Subscription] Shipping functionality is not working when vendor create subscription product from vendor dashboard, now has been fixed.

v3.4.4 Dec 23, 2021
----------------------------------

- **fix:** SEO section is not appearing while the latest Yoast SEO plugin (17.8) is installed and activated #1658
- **fix:** Refund not working if order has sub order #1656

v3.4.3 Dec 15, 2021
----------------------------------

- **update:** [Delivery Time]  Now users will not be able to choose time slots that are before the order time #1599
- **update:** [Vendor Subscription] Added sweet alert while canceling a subscription from the vendor dashboard. #1612
- **update:** Redesigned What’s New page design for Dokan Pro changelog
- **update:** [Vendor Subscription] Recurring order support added for subscriptions purchased via PayPal Standard Gateway
- **update:** [Vendor Subscription] Recurring order support added for subscriptions purchased via Dokan Stripe Payment Gateway
- **refactor:** float typecast refactored to wc_format_decimal() #1448
- **fix:**  [Wholesale] prevent users to buy products at wholesale prices if they are not wholesale customers. #1607
- **fix:** [Geolocation] Location wasn’t updating if geolocation field was added before and then changed the settings to Same as store. #1615
- **fix:** Fix loading issue while loading Dokan pages when permalink sets to plain text, Also added a notice to instruct users to change permalink setting. #1621
- **fix:** [Auction] Start date and End date" fields from the edit auction product page wasn’t saving when users have not previously provided these fields data. #1622
- **fix:** Show all variation products in admin dashboard -> coupon vendor restriction section #1626
- **fix:** [Rank Math SEO] Compatibility issue with latest version of Rank Math SEO plugin #1633
- **fix:** Some string are not translating, now has been fixed #1627
- **fix:** Fixed Some deprecated warning  #1642
- **fix:** Category dropdown list in Dokan Live Search was invisible in the Dokani theme. added an id to the element to add proper css in the Dokani theme to make it visible #1616
- **fix:**  When variable products are edited using the bulk edit feature of the vendor dashboard, it resets the product status and switches product type to Simple. This issue has been fixed now #1644

v3.4.2 Nov 30, 2021
----------------------------------
- **new:** [Booking] Added accommodation booking for Booking module
- **new:** [Table Rate Shipping] Added distance rate shipping under table rate shipping module
- **new:** [Auction] Added downloadable and virtual product support for auction module
- **new:** [Store Support] Added searching and filtering for support tickets from vendor dashboard
- **new:** Added manual refund button for both admin and vendors. Admin and seller can use this feature to record manual refund.
- **new:** Added a new order note for payment gateways other than Dokan payment gateways.
- **new:** Added API refund support for payment gateways other than Dokan payment gateways. Based on admin settings, if admin approves a refund request, this will be also processed from corresponding payment gateway.
- **new:** [Delivery Time] Made delivery time fields required under checkout page, also added a settings page to make these fields required.
- **update:** Caching Enhancement and Fixes
- **update:** [Store Support] Display user display name instead of username under Get Support popup form.
- **update:** [Store Review] Display user display name instead of username under Store Review popup form.
- **update:** Added necessary tooltip for various Dokan settings.
- **update:** Replaced vendor dashboard dash icons with fontAwesome icons, this was causing conflict with some third party plugins
- **fix:** Disabled bulk action product edit/delete, inline product edit/delete if vendor is not enabled for selling
- **fix:** [Elementor] Fix a conflict with Elementor module and Vendor Analytics module. (Single store page layout was broken)
- **fix:** [Import/Export] Existing categories wasn’t importing while importing products
- **fix:** [Store Support] Fixed WPML conflict for various links (some links wasn’t working if site language is other than English)
- **fix:** Store category search option was throwing error on console
- **fix:** CSV import form is not working when multisite is enabled
- **fix:** Saving announcement as draft wasn’t working
- **fix:** Vendor coupon wasn’t working for variation products

v3.4.1 Nov 12, 2021
----------------------------------
- **new:** [Vendor Verification] No email sent to vendors after vendor verification status has been changed #1569
- **new:** Added date filter on Dokan —> Reports —> Logs page #1397
- **update:** [Geolocation] Reset Geolocation fields data after user clears that fields in WooCommerce shop page #1574
- **update:** [Vendor Verification] added four new action hooks after verification submit button in vendor dashboard (dokan_before_id_verification_submit_button, dokan_before_phone_verification_submit_button, dokan_before_address_verification_submit_button, dokan_before_company_verification_submit_button) #1572
- **update:** [Vendor Subscription] Added trial text after trial value on vendor subscription list page #1571
- **update:** [Auction] some sanitization issue fixed for auction module #1496
- **update:** Now Export button will export all logs based on applied filters #1397
- **fix:** [Product Subscription] Added missing param on woocommerce_admin_order_item_headers hooks #1578
- **fix:** Product variation image upload button wasn’t working due to js error #1575
- **fix:** [Geolocation] Geolocation fields asking for user address each time user visit shop page #1574
- **fix:** Fixed WC mail template overwrite wasn’t working #1567
- **fix:** [Vendor Subscription] fixed Vendor Subscription category limitation doesn't work in the quick edit panel.
- **fix:** Vendor Dashboard created coupon expired date doesn't work correctly #1560
- **fix:** [Import/Export] Fixed importing products does not get the store geolocation data #1475
- **fix:**  'Connect With Wirecard' button in vendor payment settings page was hidden, now it is shown #1526

v3.4.0 Oct 31, 2021
----------------------------------
- **feat:** Added Admin coupon support
- **feat:** Table Rate Shipping (new module)
- **feat:** Rank Math SEO Integration (new module)
- **feat:** Product Bulk Edit feature for vendors/seller
- **feat:** [Vendor Verification] Company Verification Support for vendors (you need to enable Germanized module also to get this feature)
- **update:** Added integration of sweetalert2 for alert, prompt, confirm, toast notification
- **update:** [RMA] WC decimal separator support added in RMA module
- **update:** Vendor dashborad shipping class suggestion added. dokan-lite issue id no: #1259
- **update:** [Store Support] added dynamic date time format support for Store Support module
- **update:** [SMS Verification] Updated Twillio SDK
- **update:** [WholeSale] Previously vendor and vendor staff does not have the ability to become a wholesale customer, this feature has been added now
- **update:** [Geolocation]  Remove previously added autodetect feature for geolocation module
- **update:** Prevent vendor to create category. Previously vendors were capable of creating categories while importing product from CSV file.
- **fix:** [Vendor Staff] Fixed No email is triggered when an user is added form the wp-admin panel Users menu
- **fix:** Send button collapsed (broken layout) on the RTL version of Dokan —> Announcement —> Add Announcement page
- **fix:** Fixed tooltips doesn't work on the Vendor Dashboard > Orders Edit Page
- **fix:** New tag wasn’t creating from vendor dashboard product quick edit section



v3.3.9 Oct 13, 2021
----------------------------------

- **feat:** [Auction] Added auction activity feature for vendors
- **new:** Added two new filter hooks named dokan_pro_scripts and dokan_load_settings_content_shipping so that some feature can be extended via theme authors
- **update:** [PayPal Marketplace] Added 60+ new country supports for Dokan PayPal Marketplace module.
- **update:** [Geolocation] Detect user geo location automatically
- **fix:** [PayPal Marketplace] Vendors, previously, could not purchase any product if they are subscribed to a vendor subscription plan, which has now been fixed
- **fix:** [Delivery Time] Vendor dashboard’s Store Settings form fields were not saving if delivery time module was enabled
- **fix:** [Geolocation] Fixed search filter URL redirect issue. Previously, when a user submitted Dokan geolocation filter form, it was redirecting in the current page URL instead of the Store listing page.
- **fix:** [Product Inquiry] Vendor Contact form didn't contain “Reply To” email address when a customer would contact a vendor via the product inquiry form. Issue has been resolved now.


v3.3.8 Oct 4, 2021
----------------------------------

- **fix:** multiple issue fixed in WPML integration with Dokan

v3.3.7 Sep 30, 2021
----------------------------------

- **feat:** Store Location Pickup: Customers no longer have to wait for their product's delivery but rather collect it at their preferable time. They can choose from vendor-provided single or multiple pickup locations during check out and grab their purchases conveniently.
- **feat:** [PayPal Marketplace] Vendor Subscription support added for Dokan PayPal Marketplace Payment Gateway
- **new:** [Vendor Subscription] filter subscription by package and by stores
- **new:** [Vendor Subscription] Sort subscription by start date
- **new:** [Vendor Subscription] Subscription Relation Type column added under WooCommerce order table, (support added only for Dokan PayPal Marketplace module)
- **new:** [Vendor Subscription] Subscription Related Orders meta box added under order details page (Support added only for Dokan PayPal Marketplace module)
- **new:** Added export order permission for staffs, vendors and admins
- **update:** auto process api refund for orders placed using non dokan payment gateways
- **update:** [Vendor Analytics] User readable Analytics chart data title added
- **update:** [Import/Export] sample file download link added in Vendor product CSV import form
- **update:** Center map on location search in store listing geolocation
- **fix:** fixed js deprecated warnings on various pages
- **fix:** [Elementor] multiple deprecated warning fixed
- **fix:** Refund amount and tax over refund check
- **fix:** Dokan Pro interference removed from WooCommerce Product Import
- **fix** [RMA] Fixed multiple warnings.
- **fix** [RMA] Only display correct/selected refund reason in new RMA request page.
- **fix:** [RMA] RMA not working for variable product
- **fix:** Fixed product attribute value sanitization issue
- **fix:** [Vendor Staff] Remove admin login url from vendor staff email
- **fix:** hide dokan shipping setting after WPML activation
- **fix:** SKU not importing when ID field is blank
- **fix:** Export all button disabled when there is no data in vendor
- **fix:** Hide product addon settings when creating a grouped product
- **fix:** Post object and type check when change vendor support topic status

v3.3.6 Aug 30, 2021
----------------------------------

- **feat:** [Booking] Added manual booking support feature for vendors
- **new:** Order note for Suborder and main order added when an refund request gets canceled.
- **new:** Added Net Sale section under vendor dashboard where Total order amount was deducted from the refunded amount
- **new:** Dokan a new button to get admin setup wizard on tools page
- **new:** Added Apple Signin feature under Dokan Social Login ( https://wedevs.com/docs/dokan/settings/dokan-social-login/configuring-apple/ )
- **new:** Added refund request canceled notification email template for vendors
- **new:** Implemented sorting feature for admin Refund page
- **fix:** [Booking] fixed Dokan booking details shows wrong order information after admin creates manual booking from WordPress admin panel
- **fix:** [Elementor] Fixed deprecated warning notice while customising store page with Elementor module
- **fix:** [Elementor] Fixed WhatsApp doesn't get Store Name and URL in Elementor
- **fix:** Fixed Shipping class amount adding with other shipping class amount issue
- **fix:** Fixed inconsistency on sales report for refunded order due to caching issue
- **fix:** [Booking] Display fatal error, after deleting booking product which is associated with any customer.
- **fix:** [Wholesale] The wholesale price digits next to the comma removes while saving variations from the admin screen
- **fix:** [Vendor Subscription] Getting error while canceling the Vendor Subscription if subscription order gets deleted
- **fix:** [Stripe] Fixed last used card number was always stored on stripe non 3ds mode for non-subscription products
- **fix:** [Product Addons] vendor addon validation applies to all vendors' products if add to cart url was accessing from browser address bar
- **fix:** [Vendor Verification] Fixed WordPress site health shows critical issues when the vendor verification module is enabled (PHP Session)
- **fix:**  Fixed Social Login style is broken on the checkout page login form
- **fix:** Fixed Social API Logins has session Deadlock issues by setting session time to 5 minutes
- **fix:** Fixed fatal error while changing order status if product has been deleted
- **fix:** [Product Subscription] Fixed product subscription pagination problem under vendor dashboard
- **fix:** [Vendor Subscription] Fixed vendors can publish their products under review also
- **fix:** Admin Refund page search by store name wasn't loading refunded list items

v3.3.5 Aug 16, 2021
----------------------------------

- **fix:** activating module(s) deactivating other active modules

v3.3.4 Aug 10, 2021
----------------------------------

- **update:** Added translation support for text 'Back to add-on lists' under html-global-admin-add.php file
- **update:** Added new Store Support email templates
- **update** Automatic coupon apply for new products
- **fix:** vendor subscription pricing table html broken in german translation
- **fix:** administrator user role added in user search for ShipStation Auth query
- **fix:** [Dokan Stripe] Card is not saving while purchasing WooCommerce Subscription products (3ds/non3ds)
- **fix:** Fixed pagination error on Vendor Review page
- **fix:** fixed couple of translation issue for Booking module.
- **fix:** Fixed Fatal error: Uncaught Error: Class DokanPro\Modules\Subscription\Helper not found.

v3.3.3 Aug 2, 2021
----------------------------------

- **New** Pending request validation added in refund request validation.
- **New** Single validation error message will be displayed during refund request validation failure.
- **New** Dokan CSV exporter has rewritten to minimize product export errors.
- **New** Dokan CSV exporter has a new option called variation with variable product export.
- **New** Dokan CSV Importer has rewritten to minimize product import errors.
- **New** Dokan Import Export logic will not be imposed during product import export from WooCommerce product export importer.
- **New** Admin can add new vendor staff from wp-admin users add/edit page
- **New** [Dokan Auction] Validation error feedback for auction product same SKU
- **New** [PayPal Marketplace] added a settings fields to get bn code from admin
- **Update** Pending request validation added in refund
- **Update** [Vendor Review] Review date time display according to admin selected date time format
- **Update** [Wirecard] Dokan Wirecard module compatibility with WordPress version 5.8
- **Fix** [Delivery Time] JS error fix for fresh installation vendor info
- **Fix** [Wholesale] Product addon and RMA addon not working with wholesale product fixes
- **Fix** New subscription order is being created for profile save is resolved
- **Fix** 'Error: dokan is not defined' in checkout page after transaction is processed via paypal marketplace
- **Fix** fatal error ‘Class Abstract_Dokan_Background_Processes not found’ while activating dokan lite and pro together

v3.3.2 Jul 15, 2021
----------------------------------

- **fix:** [PayPal Marketplace] fixed PayPal Marketplace refund conflict with other payment gateway’s refund.
- **fix:** [Stripe] fixed deduct gateway fee from vendor balance table after a refund is approved via Stripe 3ds and non-3ds
- **fix:** [Stripe] fixed Stripe non3ds refund is not working if admin commission is set to zero
- **fix:** fixed Order on Cash on delivery deducting money from Vendor balance while processing Refund

v3.3.1 Jul 12, 2021
----------------------------------

- **feat:** [New Module] Added a new module named EU Compliance Fields, https://wedevs.com/docs/dokan/modules/eu-compliance-fields/
- **feat:** [Vendor Subscription] Added  Vendor Subscription information section under single vendor edit page
- **update:** [Vendor Subscription] Hide Create and Add New button if only one product creation is allowed
- **update:** Added Composer 2 support
- **fix:** [Vendor Subscription] Fixed create and add new product button redirect according to subscription package allowed product
- **fix:** [Vendor Subscription] fixed fatal error PHP Fatal error: Uncaught Error: Call to a member function get_allowed_product_categories() on null, while import product from csv if vendor subscription module is active and vendor doesn't have any purchased subscription
- **fix:** [Delivery Time] fixed theme compatibility issues
- **fix:** [Delivery Time] fixed delivery-time, datepicker is not a function error
- **fix:** Fixed rewrite rules issues after Dokan Pro plugin is activated for Dokan Pro and all Modules
- **fix:** [Booking] Fixed Booking calendar styling issue for all-day bookings
- **fix:** [Elementor] Fixed fatal error on elementor StoreSocialProfile widget

v3.3.0 Jul 01, 2021
----------------------------------

- **feat:** [module] Added a new Payment Gateway named ‘Dokan PayPal Marketplace’ under Dokan Pro Business and Enterprise Plans
- **feat:**: [module] Added a new module named ‘Delivery Time: Let customers choose their delivery date & time’ for all Dokan Pro Plans
- **new:** [Elementor] Added product filtering options for Single Store Page Elementor widget
- **new:** [Elementor] Added SPMV support for Ssingle Store Page Elementor widget
- **new:** [Elementor] Added Social widget support for Single Store Page Elementor widget
- **new:** [Elementor] Added RMA module support for Singe Store Page Elementor widget
- **new:** Added a new settings to enable/disable Product shipping tab and optimised query for vendor available shipping listing
- **new:** Added a Register button on login popup form
- **fix:** Removed existing role from an user while user become a vendor
- **fix:** Set admin default map address as Geolocation data when a new seller is registered
- **fix:** Shipping tax status from vendor shipping methods have no effect
- **fix:** Left/Right Map position redirect to the another page issue fixed
- **fix:** Subscription pack list broken when use difference languages
- **fix:** Unusual number of emails to the vendor staffs on a new order
- **fix:** Disabled shipping zone on single product tab if methods not found
- **fix:** Become a vendor button not showing when user role is other than customer
- **fix:** Wrong direction for shipping status email templates issue fixed
- **fix:** Disabled shop query when geo map turn off from dokan admin settings
- **fix:** [SPMV] Sell this item not showing when vendors subscription module is enabled, but the subscription is disabled
- **fix:** [Booking] Cancellation time gets changed from Weeks to Months after saving a Cancellable Booking Product
- **fix:** Return Request - Conversations issue for special characters
- **fix:** Store dropdown vendor name placeholder changed to Store Name in admin reports page
- **fix:** Login Popup css fixed for guest user
- **fix:** Email template override directory location correction
- **fix:** RMA policy content format now saves correctly


v3.2.5 May 11, 2021
----------------------------------

-  **fix:** Products not showing on vendor dashboard product listing page on vendor dashboard product listing page when vacation module is disabled or doesn't exists

v3.2.4 May 8, 2021
----------------------------------

- **feat:** Shipping Status for vendors
- **new:** Attach source to customer object first so that payment get processed successfully and then remove source if necessary: stripe non3ds
- **fix:** Android product live search issues fixed
- **fix:** Vendor variation product import error fixed
- **fix;** Store category not saving from setup widget
- **fix:** Updating product details using Quick Edit resets the Shipping Class
- **fix:** Does not reflect today's report in sales by day or overview
- **fix:** Product doesn't go offline while activating vacation mode
- **fix:** Product status changes to online if product updated from quick edit in vacation mode.
- **fix:** All log table filter in translation for admin reports
- **fix:** Vendor can create tag in product import support
- **fix:** Vendor store page title replace with store SEO title
- **fix:** Store follow email triggering though email is disabled in WC email
- **fix:** Update store progress bar when stripe connected
- **fix:** Refund amount and tax over refund check
- **fix:** 'Cannot charge a customer that has no active card' error if trying to process payment from guest user with non-connected vendors
- **fix:** Set newly added card as default payment source while updating a vendor subscription
- **fix:** Don't save card if save card checkbox is not selected - Stripe 3DS
- **new:** Live search with suggestion set by default

v3.2.3 Apr 30, 2021
----------------------------------

- **feat:** Digital and Physical product types selling option for vendors
- **new:** Verification clickable link added on new staff notify email body
- **new:** IP and agent info removed from product enquiry email
- **new:** Store support for WooCommerce customer my account order details page
- **new:** Product shipping tab added continent countries and states data
- **new:** The Per Class calculation type option is selected by default for flat rate shipping
- **new:** Add new filter hook on admin vendor report order status filters
- **fix:** Vendor category box hide when outside click on store listing page
- **fix:** Translation issue fixed on store support modal
- **fix:** Vendor product quick edit product status not changing issue fixed
- **fix:** RMA script loading issue on product edit page
- **fix:** Variation product not working with RMA issue fixed
- **fix:** RMA: Customer is seeing the default Refund Reasons instead of the overridden refund reasons set in the edit product form
- **fix:** Vendor setting page store support for product option fully disable when disabled it from admin
- **fix:** Wrong instruction for the map zoom level in the geolocation settings fixed now
- **update:** [Stripe] Rearranged Stripe  API Credentials Fields on Stripe Connect Payment Gateway Setting page
- **fix:** [Stripe] Error: Cannot charge a customer that has no active card, while checking out as guest
- **fix:** Fix the dokan-hide class placement on the store-settings.php
- **fix:** Germanized for WooCommerce and Email Verification conflict
- **fix:** user subscription pagination query
- **fix:** Generate Shortcode Button doing_it_wrong error
- **fix:** RMA individual product warranty type
- **fix:** product import updating another vendor product


v3.2.2 Apr 01, 2021
----------------------------------

- **new:** [Stripe] Added 3DS auth flow for changing payment method from My Account -> Payment Methods page
- **new:** [Stripe] Added Change payment method for subscriptions from My Account -> Subscriptions for Stripe 3ds mode
- **new:** [Stripe] Added failed order processing feature for both Stripe 3ds and non3ds payment method
- **new:** [Stripe] added metadata for stripe transactions for 3ds mode, this will help track transfers made on vendors account and the vendors will also be able to track orders made on their account.
- **new:** [Stripe] Added support for renewing subscription via modal for stripe 3ds mode
- **new:** [Stripe] Implemented automatic refund for stripe 3ds mode (refund will be processed from admin stripe account, then the transferred amount from vendor account will be automatically reversed to admin account)
- **new:** [Stripe] added announcement notice if vendors stripe account is not connected with stripe (both 3ds and non-3ds). In 3ds mode, if vendor stripe currency is not similar to site currency they will also receive announcement notice. Added two new admin settings to control this behavior.
- **new:** New action hook added - dokan_auction_before_general_options
- **update:** Product image support added for new order email vendor staff
- **update:** Dokan shipping multiple issues fixed and some enhancements
- **update:** show store name instead of selected vendors if announcement sent to a single vendor in announcement listing page.
- **Enhancement:** Dokan tools page "Install Pages Button" disabled after successful Installation of page
- **Enhancement:** Stock unwanted management options removed
- **fix:** [Stripe] fixes non3ds refund-related issues (refund doesn't work if a vendor is not connected with stripe.)
- **fix:** [Wirecard] Floating point error on Wirecard integration
- **fix:** [Store SEO] dokan_sellers-sitemap.xml file returns uncaught error
- **fix:** Product review list, empty bulk action error
- **fix:** variable subscription and variable product conflict
- **fix:** Sale Price: Sale price is not working with the variable product.
- **fix:** Products: Date Picker is unavailable for product variations
- **fix:** Store Email: The Store Email sends an email from the WordPress email instead of the site admin email
- **fix:** Booking: Booking shows order number when the booking status is In Cart
- **fix:** Booking resource label does not display after save
- **fix:** store review data display and pagination
- **fix:** loco translate strings can not be translated
- **fix:** Featured stores Elementor widget is broken issue fixed #1146
- **fix:** Reply to custom email added on product inquiry email #1181
- **fix:** Store support form conflicting with Elementor in the single store page
- **fix:** Fatal error on RMA details page when product somehow got deleted issue fixed
- **fix:** Pagination not working on vendor return request page issue fixed #1152
- **fix:** Store link added on RMA request page
- **fix:** Vendor search filter form widget not working for vendor search issue fixed
- **fix:** Auto-zoom set minimum zoom label check with admin option
- **fix:** The external product type fields show permanently
- **fix:** Report Export and filter date range in different language does not work
- **fix:** Germanized plugin support for email verification footer placement


v3.2.1 Mar 05, 2021
----------------------------------

- **feat:** External product support added for vendor
- **feat:** Added rest api support for follow store
- **new:** Announcements 3 new options added enabled sellers, disabled sellers, featured sellers
- **new:** Added Announcement menu for vendor dashboard
- **new:** Vendor withdraw area added threshold days if that vendor have individual
- **new:** Disable "Support Button" for single product page in vendor settings page when Admin disable support from admin settings.
- **fix:** Fixed some PHP 8 warnings
- **fix:** Vendor report date filter conflicts with non english / local languages set as site language
- **fix:** Apply product lot discount on order
- **fix:** Typos in edit product page and subscription page
- **fix:** Whole price is not stored as decimal when decimal separator is comma
- **fix:** Combine commission field is missing on setup wizard issue fixed
- **fix:** Vendor analytics menu not showing for administrator users issue
- **fix:** Turn off geolocation autozoom for single product page
- **fix:** Mapbox zoom icons missing issue fixed
- **fix:** Elementor buttons icon missing issue resolved
- **fix:** Error showing in store support ticket details if order remove somehow
- **fix:** Dokan pages duplicate issue fixed when try to use tools from Dokan admin area
- **fix:** Parent SKU not saving on variation product issue fixed
- **fix:** Warning showing product listing page when imported product
- **fix:** Design related problem in all logs issue report in Dokan admin area
- **fix:** Deprecated Gplus cleanup
- **fix:** Fixed an issue where booking details page showing index error warning
- **fix:** Booking SKU not saving, hidden input problem
- **fix:** Some filter was being used as action
- **fix:** Product Discount price is not updating if vendor subscription module is active
- **fix:** Admin dokandar staff module access issue fixed

v3.2.0 Jan 29, 2021
----------------------------------

**feat** [Livechat] Added WhatsApp provider for livechat
**feat** [Livechat] Added tawk.to provider for livechat
**new** [Geolocation] Added new settings where admin can set whether to display the map in shop or store listing page or both page
**new** [Store Support] Added Store support form for single product page
**new** [Vendor Subscription] Added separate email subject and body for subscription cancellation and alert emails
**new** [Vendor Subscription] Added Dokan upgrader to move existing vendor subscription data to new keys
**new** [Vendor Subscription] Update Billing Cycle Stops fields if Billing Cycle Type changes
**update** [Vendor Subscription] Changed product_pack_startdate and product_pack_enddate value from date() to current_datetime(), this will fix timezone mismatch
**update** [Vendor Subscription] Changed _subscription_period_interval, _subscription_period, _subscription_length into _dokan_subscription_period_interval, _dokan_subscription_period, _dokan_subscription_length. This was causing conflict with WooCommerce Subscription
**update** [Vendor Subscription] Disable email verification if subscription module is enabled in the registration form
**fix** [Import Export]: All metadata are not exporting
**fix** [Auction] Dokan auction product addons are not saving
**fix** [SPMV] Fixed seller can clone product using sell this item without a subscription
**fix** [Vendor Subscription] Product duplicate button based on active subscription
**fix** [Booking] Booking buffer period duration unit label is not translatable
**fix** [Vendor Subscription] Email Subscription Ending Soon email is never sent
**fix** [Vendor Subscription] Recurring payment is not canceling if admin assigns non-recurring subscription from the admin dashboard.
**fix** [Vendor Subscription] Subscription purchased by PayPal was canceled immediately if subscription pack is not recurring
**fix** [Vendor Subscription] Added additional fee if commission type is combined for non-dokan payment gateways
**fix** [Stripe] Multiple stripe webhook was creating, moved webhook creation code under activation/deactivation hooks, deactivate and active module to apply these changes
**fix** [Stripe] Fixed fatal error if the source string is empty if users try to change payment method from my account page
**fix** [Stripe] Fixed fatal error if the order value is less than or equal to zero for Stripe 3DS mode, this was causing the whole payment to fail.
**fix** [Auction] Relist feature is unavailable on the vendor dashboard
**fix** [Auction] Vendors can not add & save new tags on Auction type products
**fix** [Elementor] Fixed Elementor module causing issue with support ticket mail
**fix** [Geolocation] Fixed Mapbox issue with RTL supported language
**fix** [Geolocation] Fixed Geolocation position settings left and right area
**fix** [Geolocation] Geolocation map autozoom when getting long distance between multiples stores/products locations
**fix** [Export/Import] Hide export button when no product found for that author
**fix** [Vendor Analytics] Vendor analytics deprecated warning
**fix** [Subscription] Delete recurring subscription key after a subscription has been deleted
**fix** [Store Support] Fixed wrong order reference URL in support tickets in WooCommerce my account and Dokan vendor dashboard area
**fix** Product add pop-up validation error message style fix
**fix** Fixed dokan_admin js var undefined issue at add/edit product page
**fix** Fixed undefined ID notice while creating products from vendor dashboard
**fix** Downloadable options panel not showing
**fix** Fixed Vendor Setting to discount on order calculation error
**fix** Fixed product view undefined index error for post_type
**fix** Dokan Shortcode Block returns "This block has encountered an error and cannot be previewed." error while trying to add a shortcode
**fix** Fixed WPML conflict with menu and widget page when users try to switch between language

v3.1.4 Jan 11, 2021
----------------------------------

* update: Added disconnect button on dokan admin setting and some issues fixed on vendor analytics
* update: Product add-on module template override does not work
* update: Changed social login sign in URL from dokan_reg to vendor_social_reg  on query param
* fix: Import option allows vendors to create categories
* fix: If admin commission for flat type commission is set to zero it was showing not set
* fix: Text-domain missing on confirmation alert
* fix: Default attribute was not displaying when variation product edit form vendor dashboard
* fix: Vendor details admin commission label changed on the admin area
* fix: Fixed vendor staff was not receiving new order email issue
* fix: Fixed Variations was not saving correctly
* fix: Fixed store support form showing wrong with Elementor
* fix: Replaced WP SEO deprecated functions
* fix: Fixed product location mismatch if created from admin
* fix: Vendor verification image breaks after upload and the uploaded file is not accessible
* fix: Auction product SKU is not updating or saving
* fix: Single Product Multiple Vendor redirection for auction and booking type product
* fix: Updated stripe codebase and fixed some issues with Stripe modules
* fix: Responsive dashboard product and order table
* fix: Removed addon validation for Dokan Subscription product
* fix: Vendor updates other vendor product if SKU/ID is same, instead of creating a new product for requesting vendor
* fix: Make product status draft after a vendor/admin immediately cancels their subscriptions

v3.1.3 Dec 20, 2020
----------------------------------

- [update] WireCard: Added tax/discount for Vendor Subscriptions, previously only actual product price was sent to API
- [update] WireCard: Added a new exception if vendor account is not linked with wire card, now the user will get proper error messages instead of Something went wrong
- [fix] Refund and announcement listing loading problem and text-domain issue fixed
- [fix] Booking addon options are missing on the Booking type product edit panel
- [fix] Variable product image upload when yoast seo plugin is active
- [fix] Added tax fields for vendor subscription type product, previously users weren't able to select tax for vendor subscription products
- [fix] Translation support for list tables on Dokan admin pages
- [fix] Booking simple product changes to virtual product
- [fix] Fixed Dokan Stripe 3ds recurring issue with vendor subscription products
- [fix] Dokan order discount mismatch when recalculate from admin panel order details page
- [fix] Fixed cart coupon option disabled for multi vendors
- [fix] WireCard: added some new exceptions to display formatted errors to users
- [fix] WireCard: Fixed product pack end date for vendor subscription, previously this was causing subscription to get canceled automatically before subscriptions actual end date
- [fix] WireCard: Fixed decimal issues on product price, this was causing API error due to mismatch order total
- [fix] WireCard: Removed rmccue/requests library from vendor folder, WordPress already has this library pre installed. This was causing a fatal error on some installations
- [fix] Limit your zone selected by default when zone created with a country
- [fix] Disallow direct access vendor verification uploaded documents folder
- [fix] Fixed Dokan Stripe resource missing api error for empty source provided via api call

v3.1.2 Dec 01, 2020
----------------------------------

- [fix] Vendor gets error while purchasing normal product with PayPal in checkout page
- [fix] Single product multi vendor products showing others vendor area issue when SPMV product duplicated
- [fix] Admin commission set 0 by default when create/update vendor form admin area
- [fix] Enable vacation mode is hiding products from vendor dashboard, vendor not able to see the products
- [fix] Vendor staff not able to add/edit any product on vendor dashboard, also fixed capabilities issue and improve code standard
- [fix] Vendor shipping settings page showing JS error issue when try to add/update any shipping zone
- [fix] Update vendor review REST API and fixed some errors
- [fix] SMS verification error message translation not available
- [fix] SMS verification error handling for vendors
- [fix] Booking product virtual option not saving while 1st time create form vendor dashboard
- [fix] Coupon minimum amount not working with variation products issue fixed
- [fix] Vendor product addon appears in every product in marketplace when that vendor logged in
- [fix] Product wise Commission is not working in subscription product on admin area product edit page
- [fix] Report CSV header mismatch issue fixed
- [fix] Stripe Dashboard does not show the price including the tax for vendors
- [fix] SKU data not importing when CSV import on vendor dashboard
- [fix] Booking single day no data showing, responsiveness issue fixes form vendor dashboard booking details page
- [fix] Product SEO default meta description removed from vendor dashboard product edit page
- [fix] Check product pack end date before cancelling vendor subscriptions
- [fix] Downloads files showing multiple entries when have suborder
- [fix] Variable product showing extra fields when subscription type product update from vendor dashboard
- [fix] Bookable Product: Booking by day view which is missing in Booking calendar.
- [fix] If the processing fee is not 0 and if the dokan_gateway_fee_paid_by meta is blank then the processing fee is paid by the admin.

v3.1.1 -> Nov 16, 2020
----------------------------------

- [Fix] Stripe Refactor
- [fix] Customer subscription cancel status not showing for vendor
- [fix] Wholesale product checkbox not working when product status pending
- [fix] Product wise commission not working comma decimal issue fixed
- [fix] Dokan modules section active/inactive issue
- [fix] Product addon select field not saving when price field blank
- [fix] PHP 5.6 Compatibility, **update: required minimum php version is set to 7.0.0
- [fix] Duplicate product not working when try any product duplicate
- [fix] Fixed translation issue for Dokan pro
- [fix] Modules url changes on module title and image in Dokan admin
- [fix] Dokan booking calendar only shows one booking on a single day

v3.1 -> Oct 20, 2020
----------------------------------

- [new] Vendor Analytics
- [new] Live search with autocomplete list
- [update] Refactor and fix stripe connect module
- [fix] Add gateway fee payee indicator in admin report logs
- [fix] Booking confirmation not working when trying to confirm it from the booking list
- [fix] Text domain fix on export and import fix
- [fix] Activate only available modules during plugin activation
- [fix] Product type not changing to grouped
- [fix] Branding issue on Dokan seller search on store list page
- [fix] Vendor earning in order details after the refund
- [fix] Vendor export statement in report
- [fix] Remove external product type from subscription allowed product types
- [fix] Subscription product price not saving when WC auction plugin active
- [fix] Featured sellers showing more than limit
- [fix] Product tags search not working properly on quick edit area
- [fix] Text domain issue when report abuse delete in js end
- [fix] JS console error fixed on report abuse module edit product page
- [fix] Text domain missing on Wholesale module
- [fix] Subscription plan page design broken when different language use
- [fix] Vendor product csv import ui issue
- [fix] Dokan Pro core email template locations
- [fix] Store default geolocation when creating product first time
- [fix] Coupon product and exclude product field move to search select with variations
- [fix] Missing report header in csv
- [fix] Missing translation string for Dokan Subscription module
- [fix] Product variation toggle issue, variation downloadable file delete issue
- [fix] Product inquiry email spelling mistake
- [fix] Vendor can modify other vendor product
- [fix] Multi vendor duplicate SKU
- [fix] Vendor not getting email confirmation
- [fix] Can not quick update products when product limit reached
- [fix] Product addons vendor staff vendor view
- [fix] CSV import feature column to false if not admin
- [fix] Export wholesale column missing
- [fix] Edited product status not working properly
- [fix] Simple subscription layout break when vendor subscription active
- [fix] Product add-on type File upload does not show the file on vendor order
- [fix] Auction start,end field disable from keyboard
- [fix] Announcements week days to month
- [fix] Product discount price scheduled issue
- [fix] Import restriction on subscription category
- [fix] Wholesale customer registration email to admin
- [fix] Report custom date not working for daily sales & statements
- [fix] New refund request email not sending to admin
- [fix] WooCommerce deprecated function changes
- [fix] Refund issue with decimal formatting number order total

v3.0.8 -> Sep 04, 2020
----------------------------------

- [fix] Shipping data updater issue fixed
- [fix] Subscription type product is not in the `Product Type` list

v3.0.7 -> Sep 01, 2020
----------------------------------

- [fix] Refactor Product SEO
- [fix] Shipping continent issues
- [fix] Global multiple zone conflict issue in shipping
- [fix] Paypal gateway fee not showing when products purchase by multi vendor
- [fix] CSV import not working cause of JS error
- [fix] Product addon conflicting with WC booking
- [fix] Long tags listing issue fixed on product quick edit area
- [fix] Wrong text domain on store support email templates
- [fix] Vendor getting duplicate booking email
- [fix] JS conflicting issue on product addon module
- [fix] Spelling mistake fixed on vendor subscription module
- [fix] Store review author name show display name if exits
- [fix] Yoast SEO plugin some hooks changed
- [fix] Update Vendor Analytics module logo and primary metrics key
- [fix] Store category resets after updating store Payment details
- [fix] Automatic save zone location data during method add, edit and delete
- [fix] Product type not saving with product addon module
- [fix] RMA request delete by vendor and change text-domain
- [fix] Add missing permission callback in REST routes to make WP 5.5 compatible

v3.0.6 -> July 23, 2020
----------------------------------

- [fix] Shipping Issue with some different postcode with same zone

v3.0.5 -> July 23, 2020
----------------------------------

- [feat] Decimal and Thousand Separator with Comma
- [feat] Gateway Fee, Total Shipping and Total Tax 3 new columns added on all logs
- [feat] Gallery image restriction count for vendor subscription module
- [fix] Stripe token issue fixed
- [fix] Shipping Issue with Same Country Multiple Zones
- [fix] Vendor product subscriptions not working with stripe connect
- [fix] Dokan Stripe conflicting with other payment methods when only enable it
- [fix] Add cart validation when try to add multiple subscriptions products
- [fix] When subscriptions product payment complete then active status update
- [fix] Subscription module image gallery restriction added for product edit
- [fix] Vendor subscription conflict with WooCommerce subscription in admin edit product page
- [fix] Fix loading active modules
- [fix] Now gateway fee subtract from admin commission value and make it separate column on all logs
- [fix] When try to add new card number in my account page on payment methods tab then it not worked
- [fix] Coupon and auction module pricing issues
- [fix] Gateway fee minus from admin commission earning
- [fix] Fatal error showing on refund request when RMA enable
- [fix] Fatal error when place an order note by vendor staff

v3.0.4 -> Jun 24, 2020
----------------------------------

- [fix] Stripe Module add 2 requires options must need to add stripe credential and SSL
- [fix] Stripe Module added 2 notices for stripe credential and another for SSL activation
- [fix] Geolocation auto set same as store when product update from admin
- [fix] Add text Shipping Policies link after gear icon on vendor shipping setting page
- [fix] Text domain missing on email verification notice


v3.0.3 -> Jun 16, 2020
----------------------------------

- [new] Add Facebook Messenger to Dokan live chat (Live Chat)
- [improvement] Stripe Connect Module rearrange and refactor (Stripe Connect)
- [improvement] Vendor Subscription Module rearrange and refactor (Vendor Subscription)
- [fix] The minimum amount for discount coupon not working from vendor dashboard
- [fix] Store review not working if verified owner option is checked (Store Reviews)
- [fix] Dokan Sellers Sitemap XML file showing 404
- [fix] Shipping is showing for both vendors even if one of them sales digital product with no shipping
- [fix] Check if Dokan lite exists to avoid fatal error on Dokan pro installation is fixed
- [fix] Currency positioning for subscription product
- [fix] Shipping tax calculates wrong for sub orders
- [fix] Error When request a Refund and WooCommerce Product Addon plugin active (Refund with WooCommerce Product Addon)
- [fix] Error on RMA module if product not found (Return and Warranty Request)
- [fix] When multiple refund then commission value showing minus
- [fix] Remove get_current_screen function from vendor subscription product module (Vendor Subscription Product)
- [fix] Vendor dashboard product export showing fatal error (Vendor Product Importer and Exporter)
- [fix] Undefined index issue fixed on Geolocation module (Geolocation)
- [fix] Throw exception if source is not valid


v3.0.2 -> April 22, 2020
----------------------------------

- [new] Vendor Subscription Product Module (WooCommerce Subscriptions Integration)
- [fix] JS error in backend report abuse page (Report Abuse)
- [fix] Use proper hook to load Brands functionalities
- [fix] Retrieve the raw postcode as it was saved to database to get the correct zipcode
- [fix] Live chat showing fatal error when using with elementor (Elementor)
- [fix] Vendor biography tab not showing in store page which is designed with elementor (Elementor)
- [fix] Fatal error and calendar issue in frontend booking page (Booking)
- [fix] Vendor disable email does not work and the vendor enables email is send twice
- [fix] Change cpf input field to text as cpf could be alphanumeric (Wirecard)
- [fix] Elementor store templates is not inserting on stroe page (Elementor)
- [fix] When import XML file then showing fatal error issue fixed (Export Import)
- [fix] Conflict with Yoast SEO sitemap file
- [fix] Remove google plus account as it's no longer supported
- [fix] Follow button is not showing on elementor store template (Elementor)
- [fix] Add missing subscription code while creating subscription product (Subscription)
- [fix] Add missing vendor verification widget code (Subscription)
- [fix] When store listing page set as frontpage, category search does not work
- [fix] Add missing vendor verification widget code (Subscription)
- [fix] Unable to refund order from both   and frontend if item total is not set


v3.0.1 -> March 25, 2020
----------------------------------

- [fix] Fix some missing assets file for some modules

v3.0.0 -> March 25, 2020
----------------------------------

- [fix] Outdated template warning on vendor migration page
- [fix] Undefined variable warning while adding a new product addon (Porduct Addons)
- [fix] When vendor access the backend, he can see the dokan menu due to store review permission issue (Store Review)
- [fix] Remove required fields attributes on product edit page ( Product Addons)
- [fix] Store progressbar is not updating when vendor save stripe or wirecard payment method (Stipre & Wirecard)
- [fix] Customer can place order from sellers who are on vacation (Seller Vacation)
- [fix] Prevent duplicate order creation on stripe 3ds checkout (Stripe)
- [fix] Exporting Google Map MarkerClusterer (Geolocation)
- [fix] Active and inactve social profile in vendor single page
- [fix] Various typos on different pages
- [fix] Make vendor staff permissions label translatable (Vendor Staff)
- [fix] Product review pagination is not working correctly (Vendor Staff)
- [fix] MAP on the store listing page is not showing if Google API key field is empty but Mapbox (Geolocation)
- [fix] Modifying the product from the Admin backend reverts the product location to `same as store` (Geolocation)
- [fix] If admin has earning from an order, only then refund application fee (Stripe)
- [feat] Brand support for single product multivendor and normal clone products (SPMV)
- [improvement] Add documentation link for modules in admin module page
- [improvement] Make store support template overridable (Store Support)
- [improvement] Plugin build process and add script to upload built zips on BitBucket
- [improvement] Overall code structure and performance

v2.9.19 -> February 03, 2020
----------------------------------

- [fix] Attach vendor id while exporting product variations (Import Export)
- [fix] Elementor get template filte (Elementor)
- [fix] Add template overwriting support in product addon module (Product Addon)
- [fix] Wrong order total in stripe payment for Yen
- [fix] Geolocation module has api key checking function (Geolocation)
- [fix] Wildcard shipping for multiple vendor
- [fix] Report abouse menu permisssion issues
- [fix] Add distinct clause to store category query to remove duplicate items
- [fix] Make product status pending while duplicating product as a inactive vendor
- [fix] Enabling proxy bidding by default option is not taking effect on the frontend (Auction)
- [fix] If product_id is matched with another vendor's product_id while importing product via csv, create a new product instead of overriding another vendors's product (Import Export)
- [fix] Product addon templeting issues (Product Addon)
- [fix] Add inclusive tax support for RMA (RMA)
- [fix] Set default commission type when commission type is not selected in backend vendor profile
- [Improvement] Store listing filter styles so that it works almost any theme
- [Improvement] Subscription installment count issue for paypal (Subscription)

v2.9.18 -> January 15, 2020
----------------------------------
- [fix] JS loading issue

v2.9.17 -> January 13, 2020
----------------------------------
- [new] Mapbox support for geolocation (Geolocation)
- [new] Add store filtering option in store listing page
- [new] Add stock management for auction product (Auction)
- [new] Add RMA support for bookable product (RMA)
- [fix] Same region shipping zones conflicts
- [fix] If vendor disable a zone, remove it from the search result
- [fix] Update linkedin API to version 2.0 (Social Login)
- [fix] Selected category get deselected in the geolocation category filter (Geolocation)
- [fix] Remove store reviews menu from WordPress backend (Store Review)
- [fix] Typo in filter hook definition
- [fix] Add product addon module thumbnail (Product Addon)
- [fix] Make support-tickets template overridable and remove deprecated warning (Store Support)
- [fix] Set default vacation message and vacation date issue (Seller Vacation)
- [fix] Check if PyaPal payment gateway is enabled before using it (Subscription)
- [fix] Warranty add on price is not being applied to the variable product (RMA)
- [fix] The vendor report statement does not work if the date format is not y/m/d
- [fix] If subscription on registration option is enabled the verification email is not working for customer
- [fix] If a vendor is not connected to stripe, don’t deduct his withdraw balance (Stripe Connect)
- [fix] Update Stripe SDK to make it compatible with PHP v7.4 (Stripe Connect)

v2.9.16 -> December 05, 2019
----------------------------------
- [Feature] WooCommerce product addon integration with dokan (Product Addon)
- [Enhencement] Extend vendor review system (admin should have permission to view and edit) (Store Review)
- [fix] Single product multiple vendor is still showing multiple product on the category page (SPMV)
- [fix] Stripe throws warning for the expired saved cards (Stripe Connect)

v2.9.15 -> November 19, 2019
------------------------------------------------------------------
- [new]  Add Dokan Shortcode gutenberg blocks.
- [new]  Add single seller mode option.
- [new]  Show warranty policy tab in single product page. (RMA)
- [fix]  Select all product while creating coupon doesn't work when there are thousands of products.
- [fix]  After changing the date format from the wordpress settings, the exported csv reports is blank.
- [fix]  Add shipping, tax and discount data in staff order email. (Vendor Staff)
- [fix]  When store-listing page is set to home page, geolocaion search redirect to wrong page. (Geolocation)
- [fix]  When a product is get deleted by admin, an error notice is shown on RMA request. (RMA)
- [fix]  Remove bitcoin settings options, as it's no longer supported by stripe. (Stripe Connect)
- [fix]  If stripe connect payment gateway is disabled, don't execute it's code. (Stripe Connect)
- [fix]  Vendor verifiation with social media account is not working correctly. (Vendor Verification)
- [fix]  Same day bookings overlap in calendar view in vendor dashboard. (Bookings)
- [fix]  Hide ended and won auction products in vendor store page if admin wants to. (Auctions)
- [fix]  An warning is thrown on single product multivendor tab. (SPMV)
- [fix]  Send auction finished email to admin and vendor. (SPMV)
- [fix]  When a vendor wants to sell orther vendor's bookable product it redirects to wrong page. (SPMV)
- [fix]  Variable product Import issue when 'pending review after edit' is enabled. (SPMV)
- [fix]  Remove coupon category option for vendor as it's confusing to them. (SPMV)
- [fix]  Existing category commission edit does not take float number.
- [fix]  Make both (flat and percentage) field required for combine commission.
- [fix]  Typo in rma, email verification and product enquiry template.
- [fix]  Report abuse popup is not working on single product page. (Report Abuse)
- [fix]  When a paginated link is visited on dokan backend all logs, other filtering query gets deleted.
- [fix]  Vendor can change product review status from vendor dashboard doesn't work as expected. (Store Review)
- [fix]  Warranty add-on price is not being applied on variable products. (RMA)
- [improvement]  Dokan_Shipping_Zone::get_zone_id_by_postcode() method so that it returns correct shipping zone.

v2.9.14 -> October 02, 2019
------------------------------------------------------------------
- [new]  Add combine commission (Percentage + Fixed).
- [fix]  Add support for vendor biography in Elementor builder (Elementor).
- [fix]  Admin is only able to add 10 categories for a store in admin backend.
- [fix]  Vendor verification widget doesn't show up in the store page.
- [fix]  There was a typo in store banner height.
- [fix]  Stripe 3DS was only accepting US currency and ignoring others.
- [fix]  Exclude auction product from the vendor store page if auction product is ended.
- [fix]  Vacation mode is not making the product offline (Seller Vacation).
- [fix]  Assigning a new product to a vendor from admin backend doesn't show up in the shop page.
- [fix]  Plugin updater menu doesn't shop up even in the live server.
- [fix]  Vendor shipping method is not working for long zip code like (111123-2039) for brazil.
- [fix]  Remove vendor earning from all logs if it's subscription product. (Subscription)
- [fix]  Vendor email address is not showing up in stripe dashboard for subscription. (Stripe Connect).
- [fix]  Subscription renew issue with stripe (Stripe Connect).
- [fix]  Geolocation default latitude longitude doesn't change (Geolocation).
- [fix]  Apply coupon on stripe subscription if there is any (Stripe Connect).
- [fix]  Store support doesn't show full conversation (Store Support).

v2.9.13 -> August 29, 2019
--------------------------------------------------------------------
- [new]   Add scheduled announcement option for admin.
- [new]   Add identity verification and unread message count in live chat (Live Chat Module).
- [new]   Add admin defined location on Geolocation map to be shown instead of default `Dhaka, Bangladesh` when there is no vendor or product found (Geolocation Module).
- [fix]   Guest user is unable to checkout with stripe (Stripe Module).
- [fix]   Add ca-certificate file to allow certificate verification of stripe SSL (Stripe Module).
- [fix]   If variable product is created by admin for a vendor, vendor shipping method doesn't work.
- [fix]   Product lot discount is getting applied on sub-orders even though discount is disabled.
- [fix]   Wholesale price minimum quantity calculation is not correct (Wholesale Module).
- [fix]   Social login facility is missing in the registration form which is created via vendor-registration shortcode.
- [fix]   Show error notice when admin tries to process refund from the parent order.
- [fix]   Allow geolocation template to be override from the child theme (Geolocation Module).
- [fix]   Use the new WC_Tax class to fetch tax classes when its available.
- [fix]   Set default bank payment object if it's not found from the API response.

v2.9.12 -> August 09, 2019
---------------------------------------------------------------------
- [new]   Add stripe 3D secure and strong customer authentication (Stripe Connect Module)
- [new]   Add subscription pack upgrade downgrade option for vendors (Subscription Module)
- [new]   Add wholesale options in the admin backend (Wholesale Module)
- [new]   Add support for vendor verification widget (Elementor Module)
- [fix]   WordPress backend date format while printing date in coupon and announcement
- [fix]   Attach product discount in order details
- [fix]   Coupon discount type changes on coupon edit
- [fix]   If subscription on registration enabled ignore email verification (Subscription Module)
- [fix]   Refund calculation is wrong when it's done from the admin backend
- [fix]   Product variations are not creating from imported CSV
- [tweak] Always return response headers even if no wholesale customers found (Wholesale Module)
- [tweak] Return more detailed error message for Wirecard and Stripe
- [tweak] Dokan admin settings rearrange and refactor

v2.9.11 -> July 03, 2019
---------------------------------------------------------------------
- [new]   Add elementor page builder widgets for Dokan (Elementor Module)
- [fix]   Wholesale customer migration button description text (Wholesale Module)
- [fix]   Limit your zone location by default should not be enabled
- [fix]   Line break and youtube video does not work in vendor bio
- [tweak] Single product multiple vendor hide duplicates based on admin settings (SPMV Module)

v2.9.10 -> June 19, 2019
--------------------------------------------
- [new]   Add vendor biography tab in dokan store page
- [new]   Add filter and search option in admin report all logs area
- [new]   Add multiple vacation date system for vendor
- [fix]   Validate refund request in seller dashboard
- [fix]   Ensure coupon works on vendors product not the cart
- [fix]   Replace some moip text with wirecard (Wirecard)
- [fix]   Remove subscription product from best selling and top rated product widget (Subscription)
- [fix]   Booking is missing in calendar day view (Booking)
- [fix]   Split product discount on sub orders
- [fix]   Booking order shows duplicate line items in admin backend (Booking)
- [fix]   Warning on my account order details page (RMA)
- [fix]   Subscription renew and cancellation with PayPal (Subscription)
- [fix]   Remove subscription menu in admin backend if subscription is not enabled (Subscription)
- [tweak] Store progress serialization and congrats message on 100% profile completeness

v2.9.9 -> May 15, 2019
--------------------------------------------
- [fix]   Make coupon strings translatable
- [fix]   Make product status draft when vendors remaining product is zero (Subscription)
- [fix]   Vendor can duplicate product more than the subscription product limit (Subscription)
- [tweak] Add thumbnail and description of report abuse module
- [tweak] Refactor social login and vendor verification module
- [tweak] Rename Moip to Wirecard payment gateway

v2.9.8 -> May 07, 2019
--------------------------------------------
- [new]   Add Report Abuse for customer (Module)
- [new]   Allow adding new vendor from the admin backend
- [new]   Add restricted days functionality in dokan booking (Booking)
- [new]   Enable SPMV for admins to duplicate products from admin panel (Single Product Multi Vendor)
- [fix]   Prevent sending REST request when feature is not active (Store Category)
- [fix]   Fix store category list table search form (Store Category)
- [fix]   Make Auction Integration module compatible (Geolocation)
- [fix]   Vendor store settings uniform class names
- [fix]   There is no order id in booking order (Booking)
- [fix]   Localize auction date time picker (Auction)
- [fix]   RMA Warranty Request is appearning even though the customer wans't  (RMA)
- [fix]   Subscription form is rendering twice in registration form (Vendor Subscription)
- [fix]   Cancel subscription doesn't work for manually assigned subscription (Vendor Subscription)
- [fix]   Subscription is redirecting to seller setup wizard even for previous user and upgrading package (Vendor Subscription)
- [fix]   Add wilecard and range matching for vendor shipping zone
- [fix]   Product attributes with different language other than english was rendering incorrectly
- [fix]   There are two dashboard when vendor staff module is active (Vendor Staff)
- [fix]   This seller is not connected to stripe notice is appearing for subscription product (Stripe)
- [fix]   While creating subscription from plan, inherit trial details from plan (Vendor Subscription)
- [fix]   Conflict between social login & vendor verification with sessions (Social Login & Vendor Verification)
- [tweak] Add hook in product editing form (Booking)
- [tweak] Make delay while searching vendor in backend report page
- [tweak] Sanitize various input fields (Store Support, Store Review & RMA)
- [tweak] Show column title in exported CSV logs (Report All Logs)
- [tweak] Subscription handeling with paypal (Vendor Subscription)
- [tweak] Replace get_woocommerce_term_meta with get_term_meta as it was deprecated
- [tweak] Define constants variables in the constructor method so that it works on module activation

v2.9.7 -> Mar 25, 2019
--------------------------------------------
- [new]   Add Store Category
- [new]   Make Dokan YITH WC Brand add-on compatible
- [new]   Add date and refund column in admin logs area
- [new]   Change product status according to subscription status (Subscriptions)
- [fix]   Show button for non logged-in user (Follow Store)
- [fix]   Only show force SSL notice if, site is not under https
- [fix]   Any change with quick edit makes pending product to publish
- [fix]   Number_format for store rating (Store Review)
- [fix]   Store tab button classes for logged and non logged in users (Live Chat)
- [fix]   Send refund admin commission to customer (Stripe Connect)
- [fix]   Error on subscription cancellation email (Subscriptions)
- [fix]   Booking compatibility issue with the latest version of WC booking (Booking)
- [fix]   Get store terms conflict with caching
- [fix]   CSV report formatting issue in all log section (Admin Backend)
- [fix]   Filter form for empty search param (Geolocation)
- [fix]   Return rma defaults reasons and added hook after create coupon (RMA)
- [fix]   Add max trial subscription period length for PayPal (Subscriptions)
- [fix]   When a vendor subscribe to a trial subscription, make all other trial to non-trial subscription for that vendor (Subscriptions)
- [fix]   Add email class for product enquiry email (Product Enquiry)
- [fix]   Progressbar translation function is not working correctly
- [fix]   If admin creates a shipping zone with a zip code and vendor don't create a shipping method under that zone, shipping calculation is getting wrong.
- [fix]   Update social login and vendor verification API

v2.9.6 -> Feb 20, 2019
----------------------------------------------
- [fix] Add csv export functionality for all log in backend dashboard report section
- [fix] Fix js compiling issues
- [fix] Fix backend report routing isssue

v2.9.5 -> Feb 18, 2019
----------------------------------------------
- [new] Automate order refund process via stripe
- [new] Add create review REST endpoint (Store Review Module)
- [new] Add trial subscription functionality in (Subscription Module)
- [new] Add product type & gallery image upload restriction in vendor subscription (Subscription Module)
- [new] Show privacy policy info in product enquiry form
- [new] Send email to vendor on store follows and unfollows
- [tweak] Refund calculation process in rma module(RMA Module)
- [fix] Incorrect shipping zone in cart page, when a vendor limit his zone with postcode
- [fix] Store SEO time formating issue on Google console
- [fix] Unable to select country or state in vendor shipping
- [fix] Unable to send announcement to a single vendor
- [fix] Import export module does not allow to update any existing product (Import Export Module)
- [fix] Format geo meta data while importing from CSV (Geolocaiton Module)
- [fix] Remove unnecessary quote from template (geolocation Module)
- [fix] Store support button appears even after disabling it from vendor dashboard
- [fix] Warning on customer my-order page (RMA Module)
- [fix] Customer is unable to ask for support throw Store Support form (Store Support Module)
- [fix] Product status changes even the vendor has the ability to publish product directly
- [fix] Show default vendor profile progress message in vendor dashboard
- [fix] Admin report logs calculation issue is fixed in admin dashboard
- [fix] Unable to save product wise commission to 0
- [fix] Product description and short description is getting deleted on quick edit
- [fix] if zone id is not found in vendor's available zone id, assume it falls under Locations not covered by your other zones
- [fix] When admin sends an announcement to all the vendors, newly registered vendors sees "no notice found"

v2.9.4 -> January 23, 2019
------------------------------------
- [new] Wholesale Module ( Business and Enterprise package )
- [new] Return and Warranty(RMA) Module ( Professiona, Business and Enterprise package )
- [new] Send subscription cancelled email to admin (Subscription Module)
- [new] Add unlimited products option for vendor subscription packs (Subscription Module)
- [fix] Color customizer is not working on store listing & my-account page (Color Customizer Module)
- [fix] Default pages are not creating correctly
- [fix] Show seller is not enable warning message in vendor product quick edit page
- [fix] Vendor is unable to connect their account to Moip (Moip Module)
- [fix] Map address input in product editor form & showing location in widget map (Geolocation Module)
- [tweak] Rewrite admin report page in vue js
- [tweak] Show an alert message when vendor tries to set product geolocation same as store but store has no geodata (Geolocation Module)

v2.9.3 -> December 18, 2018
------------------------------------
- [new] Add ShipStation module(Business, Enterprise)
- [new] Add Follow Store module ( Professional, Business, Enterprise )
- [new] Add Quick edit option for product in vendor dashboard
- [tweak] Rewrite admin tools page in vue js
- [tweak] Rewrite admin subscription page in vue js
- [tweak] Remove delete option for approved refund request in the admin backend
- [fix] Show filter form and map in product category pages (geolocation module)
- [fix] Markercluster popup show when multiple item have same location (geolocation module)
- [fix] Fatal error in vendor product edit page
- [fix] Add per product commission option for bookable product
- [fix] Vendor orders are not showing in the admin backend properly
- [fix] Increase stock ammount if the product is refunded
- [fix] Add searching option in dokan vendor and refund page
- [fix] Show correct commission type in dokan single vendor page
- [fix] Remove old shipping settings from seller setup wizard
- [fix] Refund calculation is wrong when vendor is the shipping fee recipient
- [fix] Auction product editing issue in vendor dashboard
- [fix] Moip CPF Number is not getting translated (moip module)
- [fix] Seller setup wizard doesn't show up when registered using a subscription pack
- [fix] Booking product category restriction for subscription pack is not working
- [fix] Approving batch refund is not working in admin backend
- [fix] Progress values are not getting translated in vendor dashboard
- [fix] Geo product location widget is not working in the single product page (geolocation module)

v2.9.2 -> November 09, 2018
--------------------------
- [new] Added zoom level settings in geolocation module
- [new] Added shipping policy and processing time settings in zone wise shipping
- [new] Added rest API support for store review post type
- [fix] Show tax on bookable product
- [fix] Admin is unable to enter in admin dashboard in network site
- [fix] Unable to override seller setup wizard button color with color module
- [fix] Currency symbol is broken in dokan admin backend
- [fix] Allow vendor to import only allowed number of products
- [fix] Product and order discount for vendor is not working
- [fix] Shipping class is not saving for bookable product
- [tweak] Allow child to theme to override order templates

v2.9.1 -> October 15, 2018
--------------------------
- [tweak] Allow customers to purchase from non-connected sellers with stripe
- [fix] Allow vendor to create their own tags
- [fix] Subscription issue for vendor staff
- [fix] Booking date format
- [fix] Booking order issue when order is created by admin
- [fix] Store seo warning

v2.9.0 -> October 03, 2018
--------------------------
- [new] Add Geolocation module ( Business & Enterprise Package )
- [new] Add Moip payment gateway module ( Professional, Business & Enterprise Package )
- [new] Allow vendor to add product tag from vendor dashboard
- [new] Allow admin to verify a vendor from the backend and add send email again functionalities
- [new] Send new order email to vendor staff
- [new] Make dokan admin backend pages responsive
- [tweak] Upload vendor verification data to separate folder
- [tweak] Replace all dir constant to dirname function
- [tweak] Refund calculation for admin and vendor
- [tweak] Dokan rebuild order table functionality
- [fix] Subscription product shouldn't be listed on vendor product listing page
- [fix] Unable to save category for a subscription product
- [fix] Exporting product from admin panel issue
- [fix] Send approved refund request email to vendor
- [fix] Disable creating new product if a vendor is not subscribed to any package
- [fix] Stripe payment gateway is still available in vendor dashboard even if it's turned off
- [fix] Store support widget is not showing in backend widget page
- [fix] Variation API schema added in dokan rest API
- [fix] Shipping zone is not working correctly
- [fix] Unable to buy subscription pack using stripe connect
- [fix] Allow the shop manager to change user subscription from the backend
- [fix] Image and hyperlink in the announcement body do not reach in the vendor dashboard
- [fix] Disproving or rejecting Address which have previously been approved, still shows approved in store sidebar
- [fix] Vendor should not be able to sell subscription product
- [fix] Paypal credentials are not set warning even PayPal is turned off
- [fix] Booking day view is not visible
- [fix] Quantity discount is not visible in mobile device
- [fix] Refund pagination is not showing in admin backend
- [fix] Remove category commission options if multiple categories is allowed

v2.8.3 -> July 19, 2018
--------------------------
- [new] Customer inbox in live chat module ( Live Chat module )
- [tweak] Refund system modification
- [tweak] Statement calculation in vendor dashboard
- [fix] Make live chat popup responsive ( Live Chat module )
- [fix] Save the card info in checkout page only if admin wants to ( Stripe Module )
- [fix] Zone wise shipping text typo
- [fix] Zone wise shipping keeps loading issue
- [fix] Product import export issue in vendor dashboard ( Import Export module )
- [fix] Unable to insert shipping cost in decimal point in seller setup wizard
- [fix] Booking block cost is not getting saved ( Booking module )
- [fix] Admin can't access the refund request from email
- [fix] When admin tries to manually complete a refund, admin is redirected to the my-account page
- [fix] Vendor statement exporting problem fixed
- [fix] Booking order status not editable ( Booking module )

v2.8.2 -> June 29, 2018
--------------------------
- [new] Introduction of Dokan live chat module
- [new] Added Refund and Announcement REST API
- [tweak] Announcement, Refund and Module page in backend converted into vue single page
- [tweak] Load Dokan shortcodes and assets_url only in the product and normal page
- [tweak] Remove WooCommerce and dokan text from the shipping description
- [fix] Local pickup is not visible when the cost is set to zero
- [fix] Earning suggestion calculation fixing for multiple category selection
- [fix] Vendor welcome wizard redirection issue fix for email verification module
- [fix] Subscription package category can not be override from user profile (Subscription Module)
- [fix] Support ticket is not visible in customer dashboard support menu (Vendor Support Module)
- [fix] Report is not exporting properly from the frontend
- [fix] Conflict between social login and vendor verification module
- [fix] Store review count in front end and backend is not same
- [fix] Variation of a variable product throws price earning suggestion warning
- [fix] Column label and data are incorrect in csv file from the backend
- [fix] Added tax and shipping functionalities in auction product
- [fix] Make zone wise shipping responsive
- [fix] Vendor earning report is wrong
- [fix] Allowed category in subscription product is not rendering saved values
- [fix] Announcement email was sending twice
- [fix] Various string translation issue
- [fix] Appearance module is not working ( Appearance Module )

v2.8.1 -> May 3, 2018
--------------------------
- [fix]  Added some missing transation in single product multivendor modules
- [fix]  Tinymce dokan button not working in all post types

v2.8.0 -> May 2, 2018
--------------------------
- [new]   Introduction of REST APIs
- [new]   Introduction of zone wise shipping
- [new]   Price suggestion for variable product
- [new]   Cancellation of a subscription pack will ask for confirmation
- [fix]   Social login issue
- [fix]   CSV earning report exporting issue
- [fix]   Unable to delete vendor form admin panel issue
- [fix]   Paypal adaptive checkout issue
- [fix]   Fatal error while importing product via CSV issue
- [fix]   Subscription based admin commission issue
- [fix]   Seller permission issue
- [fix]   Subscription is being updated with the update of a user in back end issue
- [fix]   Stripe card saving option issue
- [fix]   Duplicated product shows existing product's view count
- [fix]   Booking cancellation email sending issue
- [fix]   Seller setup wizard after a seller is verified by email issue
- [fix]   Seller verification widget issue
- [fix]   Shipping notice issue
- [fix]   Seller could update admin commission from backend issue
- [fix]   Subscription pack date issue
- [fix]   Hide subscription product type from back end when a seller can access the back end
- [fix]   Progress bar value not increase by adding stripe payment method issue
- [tweak] Disable back end access for vendor staff
- [tweak] Vendor review date format
- [tweak] Updated deprecated functions
- [tweak] Statement calculation
- [tweak] Reduction of 'dokan' text from staff permission
- [tweak] Various UI, UX improvement

v2.7.5 -> March 06, 2018
---------------------
- [fix]   If a user is logged in using social media then he is unable to upload product image
- [fix]   Registration process through email verification doesn't verify vendors properly
- [fix]   Dokan Announcement option is not working
- [fix]   Store support widget is not working on single product page
- [fix]   Cannot register using social media
- [fix]   Subscription pack [for unlimited number of days] expiration date shows invalid date from vendor's dashboard
- [fix]   Subscription pack purchase during vendor registration
- [fix]   Announcement query conflict with product widget
- [fix]   Shipping is not working if WPML is activated
- [Tweak] Skip updater if we are from command line
- [Tweak] Re-organize dokan admin menu’s

v2.7.4 -> Feb 12, 2018
---------------------
- [fix]   Fixed vendor verification permission issue
- [fix]   Fixed Shipping not rendering in cart and checkout page
- [fix]   Fixed dokan verification and store support Widget issue
- [tweak] Compatibility with WooCommerce 3.3+

v2.7.3 -> Feb 04, 2018
---------------------
- [new]   Vendor Staff Module is added
- [new]   Email Verification on registration is added
- [fix]   Regular shipping shown while disabled from settings
- [fix]   Non-numeric warning shown on Statement report
- [fix]   Product edit template duplicates for pending products
- [fix]   Subscription :  Become a vendor form not showing subscription form
- [fix]   Subscription :  Commission rate for subscription can't be set as blank
- [fix]   Appearance   :  Color scheme not working on product edit page
- [fix]   Booking      :  Person type unlink or remove not working
- [fix]   Booking      :  Order links inside Booking details not working
- [tweak] Dropping support for Tab view product edit page
- [tweak] Import Export : button position for products view changed
- [tweak] Import Export : CSV import export buttons added under Tools


v2.7.2 -> Dec 24, 2017
---------------------
- [fix]   Attributes not being saved properly in product edit section
- [fix]   Dokan Import Export Module Importer showing blank page

v2.7.1 -> Dec 13, 2017
---------------------
- [new]   Added an option for hiding and showing withdraw menus in vendor dashboard
- [new]   New module integration called Single product Multiple Vendor
- [new]   Added helper link in social API integration
- [new]   New product email template is added for auction product - Auction module
- [new]   Vendor verification widget is now showing in single product page - Vendor Verification module
- [fix]   Import export warning fixed - Import Export module
- [fix]   Calculation wrong in Subscription packages - Subcsription module
- [fix]   Fixed depricated checkout url - Subcsription module
- [fix]   Fixed core udpater class
- [fix]   Showing wrong WC Booking link fixed - Booking module
- [fix]   Update textdomain in appearance - Appearance module
- [fix]   Attribute saving problem if integer or commas value set as a attribute values
- [fix]   Social connect redirection issue fixed - Vendor Verification module
- [fix]   Fixed vendor verification widget is not showing - Vendor Verification module
- [tweak] Hooks added for new ticket and reply - Store Support
- [tweak] Update shipping package label hook parameters

v2.7.0 -> November 23, 2017
---------------------
- [new]   Introducing All New modules and packaging System
- [new]   Automatic Updates for Modules
- [new]   Interactive Settings Page to Manage it All
- [fix]   Shipping options showing for product edit while dokan shipping is disabled

v2.6.7 -> November 13, 2017
---------------------
- [new]   Added Vendor dashboard color customizer as module
- [tweak] Social login buttons also shown under login form
- [fix]   Removed bulk action from review listing while editing is disabled
- [fix]   Variation products not showing under Order details

v2.6.6 -> October 22, 2017
---------------------
- [new] Added Flat commission option
- [new] Added status filter and search option on vendor listing for Admin
- [new] Added Social login feature
- [new] Vendor Store's social share icon on tabs
- [new] Added Category wise vendor commission
- [new] Added Export CSV option on All Logs tab of Dokan Reports page
- [new] Added Shipping option in seller setup wizard
- [new] Added Up sell and Cross sell product on vendor product option
- [new] Added group type product on vendor product option
- [new] Dokan email templates integrated within WooCommerce emails with template support
- [new] Added various help texts on Dokan admin pages
- [new] Added various help texts on Dokan admin pages
- [new] Help tutorial on Dokan Admin pages
- [fix] Customer migration redirect to seller wizard not working
- [fix] Placeholder date format translation issue
- [fix] Not sending new seller email on customer migration
- [fix] Announcement mail showing all seller emails
- [fix] Fix showing tax data for order details page
- [fix] Added settings to hide customer info from vendor's order details
- [fix] Turned of shipping method when product shipping is disabled
- [tweak] Toggle switch added for toggle vendor status on vendor listing
- [tweak] Registered date in vendor listing column for Dokan Admin

v2.6.5 -> Aug 2, 2017
---------------------
- [new] Added email template for announcement
- [new] Send email to admin when a product is edited and pending
- [fix] Widgets not showing in admin menu
- [fix] Vendor dashboard graph RTL issue fixed
- [tweak] Added missing <hr> on shipping tab title
- [tweak] Enhanced RTL support

v2.6.4 -> July 16, 2017
---------------------
- [new] Added `dokan-customer-migration` shortcode
- [new] Added option in admin settings to allow product review status management for vendors
- [fix] Vendor Store page review pagination not working
- [fix] Vendor earning report date wise calculation problem
- [fix] Expired vendor coupons are showing in vendor store
- [tweak] Enhanced RTL support
- [tweak] Various other core improvements

v2.6.3 -> June 08, 2017
---------------------
- [new] Added action to duplicate product from product list view
- [new] Added option to set product as pending review when vendors re-edit or update a product
- [fix] Announcement visibility logic updated for widget and announce template
- [fix] Coupon add category selection limit fixed
- [fix] All products can not be set when selecting all products on coupon view fixed
- [tweak] Coupon showing styles improved

v2.6.2 -> May 18, 2017
---------------------
- [fix] Fixed weight dimension translation issue.
- [fix] Vendor display name on variation products in cart
- [fix] Shipping enabled settings inverted issue fixed
- [fix] Order status for refund fixed
- [tweak] Shipping calculator button alignment improved
- [tweak] Best seller widget and Featured seller widget updated

v2.6.1 -> May 04, 2017
---------------------
- [fix] Vendor coupon type not showing properly
- [fix] Saving variation product and variation title view
- [fix] Tab view product gallery image not saving
- [fix] Tab view shipping functionality
- [fix] Tab view schedule render
- [fix] Refund rendering issue when order is not found
- [fix] Downloadable variable product not saving
- [new] Added variation description field in tab view product page

v2.6.0 -> April 18, 2017
---------------------
- [new] Made dokan-pro compatible with WC 3.0
- [fix] updated Yoast SEO sitemap generation
- [fix] Tab view seller shiiping toggle not working
- [fix] Seller order refund showing notices fixed
- [fix] Seller add new coupon showing notices fixed
- [fix] Saving coupon data with WC 3.0

v2.5.3 -> March 12, 2017
---------------------
- [new]   Separated Free version from the PRO plugin
- [fix]   Announcement functionality fixed
- [fix]   Bulk discount for seller front-end fixed
- [fix]   Styling fixed for coupons on Vendor Store Page
- [fix]   Shipping Enable/Disable not updating issue fixed
- [fix]   Review styling for 3rd party theme conflict fixed
- [fix]   Product shipping toggling issue fixed
- [tweak] Updated Flot JS version and fixed JS issues

v2.5.2 -> January 25, 2017
---------------------
- [new]   Added filter 'dokan_new_product_popup_args' to enable custom validation on new product add
- [new]   Enabled vendors to select all products while creating coupon
- [fix]   On plugin activation auto flush rewrite rules
- [fix]   Seller Setup wizard not translating properly in some cases
- [fix]   Shipping tracking modal not showing while bootstrap loaded is fixed
- [fix]   Vendor statement enhanced for calculating per product commission
- [tweak] Seller setup wizard enhanced for responsiveness
- [tweak] Seller dashboard widgets enhanced for better responsiveness
- [tweak] Add new product pop up enhanced for better responsiveness
- [tweak] Several other optimizations to codebase for better and stable performance

v2.5.1 -> January 12, 2017
---------------------
- [new]   Front-End product template new UI
- [tweak] All SELLER text is changed to VENDOR
- [tweak] Updated Seller Earning Statement Report View
- [tweak] Fixed variable product data saving issues
- [tweak] Changed Order Tracking options from Select to Text box for sellers
- [tweak] Improved Responsiveness on seller dashboard pages
- [tweak] Product commission option is moved to advance tab from general
- [fix]   Improved Seller Setup wizard for better UX
- [fix]   Improved Seller Setup wizard for better UX
- [fix]   Fixed showing error If Google MAP API is not given
- [fix]   Fixed Extra fee receiver not working issue

v2.5 -> October 18, 2016
---------------------
- [new] Setup Wizard on Admin panel
- [new] Setup Wizard for seller settings after new seller registration
- [new] Multiple header templates for store template
- [new] Added DOKAN shortcode insert button on post/page editor
- [new] Added store search option on store listing page
- [new] Added detailed income and withdraw statement for sellers
- [new] Added option to choose tax and shipping receiver as admin or seller.
- [new] Show seller payment options on user profile in back-end.
- [tweak] Dokan store listing shortcode has more options
- [tweak] Flat rate shipping synced with zone ID
- [tweak] Fixed Tab view variation products
- [tweak] Added active states in product review status filter
- [fix] Fixed front-end variation issue for other languages
- [fix] Fixed product add while selling is disabled for sellers

v2.4.12 -> August 08, 2016
---------------------
- [new] Product base admin commission
- [new] Sellers coupon show on store
- [tweak] Added Settings for gMap API key
- [fix] Product with same sku
- [fix] Product permalink, defaults to 'product'
- [fix] Image upload attribute undefined issue
- [fix] Multiple seller order mail
- [fix] Product sku search
- [fix] Store search by store name

v2.4.11 -> May 29, 2016
---------------------
- [new] Refund request from seller to admin by sellers order details page
- [new] Tracker added
- [fix] Checkout issue if flat rate shipping set as null
- [fix] Change seller display name to store name
- [fix] Multiple submit request on product add/edit
- [fix] Undefine error on cart page for shipping additional price
- [fix] Product edit page permission
- [fix] Remove duplicate insert on dokan order table

v2.4.10 -> February 24, 2016
---------------------
- [new] New dashboard menu added for 'store link', 'edit account' and 'sign out'
- [fix] Remove repeated data rendering on admin panel dokan earning section
- [fix] Terms and condition not showing on registration issue
- [fix] Dashboard/orders page single view responsive issue
- [fix] Product edit and add issue on Firefox and IE browser
- [fix] Product variation save and update issues

v2.4.9 -> February 01, 2016
---------------------
- [new] Plugin help page added
- [new] Seller search added on store listing
- [tweak] Some validation on contact seller email handler and after sent hook updated
- [tweak] Category check added on new product add without reloading page
- [tweak] Auto suggestion and clear button on flat view variation product attributes input field
- [fix] Downloadable file change in product after order issue fixed
- [fix] Order status translation issue on order listing page
- [fix] Email not send to seller on new order issue fixed
- [fix] Allow float number for seller percentage
- [fix] Seo hook updated for Yoast to make compatible with WP 4.4
- [fix] Browser jump issue in tab view on click of tabs

v2.4.8 -> November 21, 2015
---------------------
- [tweak] Email template override system added
- [fix] Change dokan SEO admin option section
- [fix] Ajaxurl fixed to prevent conflict
- [fix] Fix Arrow (reverted) for pagination
- [fix] Hide unapprove comment from store review tab
- [fix] Update cart discount meta on suborder create

v2.4.7 -> October 20, 2015
---------------------
- [fix] Fix Coupon discount redundancy
- [fix] Fix product gallery image delete issue on tab view
- [fix] Fix translation issue on user migration form
- [fix] Fix Store listing template view for not logged-in user
- [fix] parent sub-order creation on unsuccessful payment by card
- [fix] Store page breadcrumb fixed to show Store name and listing link properly

v2.4.6 -> October 12, 2015
---------------------
- [tweak] Added terms and condition option field on Registration form
- [fix] Remove required for product per page field on store settings
- [fix] Fix delete variation product issue on tab view for seller
- [fix] Fix redudant data for guest users
- [fix] Fix responsive issue on front page product listing
- [fix] Seller store banner size to cover
- [fix] Store template fix for twentytwelve theme

v2.4.5 -> September 14, 2015
---------------------
- [fix] Fix responsive style issue for store page
- [fix] Fix undefine parent order object issue on creat sub-order
- [fix] Fix seller dashboard product comments count on widget

v2.4.4 -> September 4, 2015
---------------------
- [new] Seller balance resync by checking unexpected order button added on tools page
- [fix] Make some text translatable on contact seller widget
- [fix] Optimise sql query to make regenerate process fast
- [fix] Fix WooCommerce deactivate dependency issue
- [fix] Fix plugin bulk activate issue with dokan welcome page

v2.4.3 -> August 25, 2015
---------------------
- [new] Welcome page on activation with resync button added
- [tweak] Visual Progress bar added for resync Order progress
- [fix] Sub-order duplicate issue fixed
- [fix] Fix wp editor compatible to 4.3
- [fix] Compatible with WordPress 4.3 widget __construct functions
- [fix] Fix table name in sync table sql
- [fix] Fix store review rewrite problem, Move store functionality in Dokan_Pro_Store class
- [fix] Fix seller migration template loader
- [fix] Fix same seller multiple product type shipping issue
- [fix] Fix flat rate shipping issue for multi seller

v2.4.2 -> August 12, 2015
---------------------
- [tweak] New hook on store header: dokan_store_before_social
- [tweak] Re-arrange dokan admin settings fields
- [tweak] Add field on seller store settings to manage store product per page
- [tweak] Sellers redirected to dashboard after login
- [fix] Feature seller widget display template path
- [fix] Best seller widget display seller name changed to store name
- [fix] Fix problem with showing variation data on order details
- [fix] Update "dokan_create_seller_order" function to save variation order meta on sub-order
- [fix] Update "dokan_post_input_box" function to add option for making text field and number field required
- [fix] Fix balance separator problem on withdraw
- [fix] Fix total sales balance display on seller dashboard page
- [fix] Keep value saved of oveerride shipping fields meta even when the option uncheckd
- [fix] English language phrases correction on several place
- [fix] Fix calculation of sub-orders in WooCommerce dashboard status widget sales query

v2.4.1 -> July 29, 2015
---------------------
- [fix] plugin updater fix: wrong plugin file path
- [fix] Store banner min-height issue
- [fix] added validation on settings/store phone field

v2.4 -> July 28, 2015
---------------------
 - [new] Code re-write, re-organized
 - [new] Customer support System for sellers
 - [tweak] After login redirect users to the page they were instead of my account
 - [tweak] Dokan order sycn table from backend tools done by ajax step by step
 - [fix] New Product status change as admin settings rather than "draft"
 - [fix] Pageination fix on admin earning log
 - [fix] Translation fix on template-js
 - [fix] Fix undefine state error from store and store listing

v2.3 -> June 4, 2015
---------------------

- [new] Add new flat view style for product add and edit on seller dashboard
- [new] Add store SEO manage system for sellers store page
- [new] Add shipping calculator on single product page shipping tab
- [new] Add new tab on seller store page to show terms and conditions
- [tweak] Store address field change to multiple-fields on seller dashboard store settings
- [tweak] New Products on "draft" status by default
- [tweak] Address field can be not required
- [fix] Fix styling issue in seller dashboard shipping settings options
- [fix] Fix some text domain for translation issues on several pages
- [fix] Fix empty title and empty category error on seller dashboard product edit page
- [fix] Plugin updater: return false early when response error
- [fix] Fix placeholder translation support for phone number and store name on seller dashboard store settings

v2.2.2 -> May 15, 2015
---------------------

- [fix] Fix shipping calculation for 'everywhere else country' in checkout
- [fix] Fix undefine error on single product shipping tab if select everywhere else country
- [fix] Make override shipping value empty once set and then remove it
- [fix] Show shipping tab on product edit for both simple and variable type product
- [fix] Change same hooks on different settings forms
- [fix] Fix dokan store tab margin
- [fix] Fix store review template class/id

v2.2.1 -> May 12, 2015
---------------------

- [fix] Fix whight and dimensions string translation error on product edit shipping tab
- [fix] Fix store listing shortcode rendering error
- [fix] Remove (#) sign from url when dokan gravatar and banner image upload
- [fix] Fix require once file name which rename 'theme-fucntion.php' to 'functions.php'
- [fix] Fix product listing sku search condition bug

v2.2 -> May 11, 2015
---------------------

- [new] Settings pages divided into submenu
- [new] Dokan product listing search by sku and product id added
- [new] Tabs added on store page
- [fix] Fix translation issues on product and order status text
- [fix] Fix user migration shop url error
- [fix] Category problem fixed for updated WordPress 4.2
- [fix] Fix issue on plugin update checker. Was breaking getting plugin update info
- [fix] Don't allow users to create coupons with same code
- [tweak] Added "Elsewhere" for countries as well in shipping


v2.1 -> April 2, 2015
---------------------
- [new] Seller announcement feature
- [new] Seller Profile completeness
- [new] Product listing filter and search field in seller dashboard product page
- [new] Add admin view withdraw table row action
- [new] Added shipping processing time for individual product
- [new] Seller total earning view on seller dashboard
- [tweak] Shipping tab disable for downloadable product
- [tweak] Enable store contact seller and map show option of backend
- [tweak] Variable product image size
- [tweak] Product variation sku tooltip display
- [tweak] Shipping tab extra info added
- [tweak] Order refund by seller removed
- [tweak] Download limit text and input type changed to number
- [tweak] Admin all log order status display
- [tweak] Restricted shipping charge for downloadable product or virtual product
- [tweak] Show hide override shipping option according to disable shipping in single product
- [fix] Shipping info display error
- [fix] Shipping disable logical issue
- [fix] Variation remove item problem
- [fix] Variation stock management
- [fix] Wp editor content render with auto p
- [fix] Inventory stock management

v2.0.1 -> March 9, 2015
---------------------
- [fix] Minor bug in shipping gateway
- [fix] Manage stock and product review status wasn't updating
- [fix] Sell individually checkbox wasn't updating
- [new] Earning by seller report in Dokan admin earning reports page

v2.0 -> March 1, 2015
---------------------
- [new] Add Custom Store wide and Per-Product Shipping option for individual sellers
- [new] Add TAX option for individual sellers on seller dashboard
- [new] Add Shipping TAX option
- [new] Variation stock management feature on font end
- [new] TAX and shipping management for variation product
- [new] Added settings for new product add email notification to admin
- [new] Added flickr, Instagram in seller store social profile field
- [new] Added tag feature in Seller dashboard product add or edit
- [new] Added Multiple category selection in seller product add or edit
- [new] Set cookie for page view
- [fix] Line break in seller name with product in chart page
- [fix] Add seller review url filter ('dokan_get_seller_review_url')
- [fix] Fix some styling issue for button, position
- [fix] Fixes the broken Store page sidebar for any WooCommerce compatible theme.
- [fix] Admin seller listing pagination fixed
- [fix] Use wp_title filter from dokan theme and correct store title
- [fix] Product edit tab background white colour removed
- [fix] Media popup close icon styling fixed
- [fix] Regenerate map file
- [fix] Update code structure by id prefixed with dokan and stuff
- [fix] Transliteration fixes
- [fix] Fix withdraw threshold query
- [fix] Coupon delete problem fixed
- [fix] Fix settings page undefined error
- [fix] Change hook name ‘dokn_aditional_relation_filed’ to ‘dokan_reg_form_field’
- [fix] Language file updated


v1.4 -> January 18, 2015
---------------------
- [new] Added admin option to change store URL
- [new] Added withdraw threshold feature
- [new] Order report Export and listing
- [new] Added admin option to enable-disable store sidebar from theme
- [new] Coupon fee shipping removed
- [fix] Pagination compatible with Wordpress v4.1
- [fix] Language translation fixed
- [fix] Seller name changed to store name at featured seller widget
- [fix] Fix product stock quantity save error
- [fix] Fix product variation stock error
- [fix] Settings page error fix


v1.3 -> November 20, 2014
---------------------
- [fix] Sanitize settings fields
- [fix] Calculate admin commision without shipping
- [new] Featured seller widget
- [new] Few hooks in mail
- [fix] Customer to seller migration bugfix


v1.2 -> November 2, 2014
---------------------
- [fix] Security fixes. props to @yann
- [fix] dokan_templart_part function wasn't picking up template from theme
- [fix] Add missing action hooks from the theme migration
- [fix] Paginations in dashboard
- [fix] Product edit page responsive issue


v1.1 -> October 5, 2014
---------------------
- [new] Pre-defined attributes brought back in the plugin.
- [fix] Sold individual bug fix
- [fix] Withdraw cancel functionality was broken in plugin
- [fix] Product delete functionality was broken
- [fix] Fontawesome fonts added on dashboard. Removed icomoon
- [fix] Some Bootstrap CSS classes fix
- [new] New action hook and filters
- [new] My orders page brought back
- [fix] Duplicate order emails fixed
- [fix] Discounted price wasn't updating properly


v1.0
---------------------
- Initial plugin version released


==================== Theme Version ====================

v1.0.6 -> September 2, 2014
---------------------
- [new] Added hook and filter in product listing
- [fix] Change seller name to store name in cart
- [fix] Add store link to seller review tab
- [fix] change best seller name to store name in best seller widget
- [new] Arabic translation added
- [new] Customer migration to seller
- [fix] Condition fix for new product visibility
- [fix] Update url separator
- [fix] Coupon product dropdown shows only 10 products
- [fix] Repeted slide off
- [fix] Change manage stock check
- [new] Hooks added on settings form
- [new] Pre-defined attribute feature
- [fix] Review pagination in seller dashboard
- [fix] Email notifications removed from child orders
- [fix] Correct text domain updated
- [fix] Order status localization


v1.0.5 -> June 9, 2014
-----------------------
- [new] Enable/disable scripts, styles, sidebars from child theme
- [new] Better child theme support
- [new] Responsive seller dashboard
- [new] Filters added slider
- [fix] Multisite collisions
- [new] Seller enable/disable feature on registration
- [fix] Language file updated with missing strings
- [new] Store only category menu on store pages
- [new] Turn on/off store sidebar location/contact widgets

v1.0.4 -> May 9, 2014
-----------------------
- [new] RTL support
- [fix] Responsive style problems
- [fix] page title fix for homepage
- [fix] category dropdown widget width with many categories
- [fix] clicking category dropdown widget on mobile
- [improve] child categories in main navigation are clickable now
- [fix] main dropdown selected color fix
- [fix] coupon expire date formatting fix
- [fix] style.css is the main stylesheet now
- [fix] duplicate phone number in admin edit profile removed
- [fix] missing translation strings
- [fix] small problem in seller listing

v1.0.3 -> April 7, 2014
-----------------------
- [new] Profile settings can be updated from admin area
- [new] Per user seller percentage
- [new] Some new hooks added.
- [bugfix] Product category won't update
- [bugfix] Menu parameter removed from wp_nav_menu
- [bugfix] Currency entity fix in withdraw email
- [bugfix] Downloadable file upload directory
- [bugfix] Price validation removed from new product page.
- [improve] Demo store notice compatibility
- [improve] Edit permalink support for category base


v1.0.2 -> Mar 24, 2014
-----------------------
- [buxfix] Withdraw request balance float

v1.0.1 -> Mar 24, 2014
-----------------------
- Sold individually option added
- New action hooks and filters
- PHP 5.2 support with replacing __DIR__
- Seller shop url customization choice
- Seller order status change enable/disable option added
- Seller reviews shown on store page
- Withdraw balance control -> order status choice option
- Avatar upload feature
- New seller notification mail
- New product visibility to visible
- Best seller widget


v1.0 -> Feb 17, 2014
-----------------------
- Initial Release
